<!--- DelNomRef				--->
<!---  J. Li 				--->
<!--- Created: 2/2003		--->
<!--- Last update: 4/03/2003    --->
<!--- Updated by: M.Geoffroy	--->

<!---
 Delete a nomenclatural reference for the given name by: 
1)Delete RefDetail
2)Update Name (set NomRefDetailFk and NomRefFk as null).
--->

<cfinclude template="../template_up.cfm">

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If "Yes" button was pressed --->
	<cfif form.TheButton eq "Yes">
		<!--- Delete NomReference --->
		<cfstoredproc procedure="s_web_DelNomRef" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
		</cfstoredproc>
	</cfif>
	<!--- ... and jump to the central form --->
	<cflocation url=#session.BackFromDelNomRef# addtoken="no">
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.BackFromDelNomRef" default="">

<!--- Was this template called with get method from one of the following forms? --->
<cfif (cgi.request_method is "get") and ((session.CallingPage eq "TaxForm") or (session.CallingPage eq "RelName") or (session.CallingPage eq "RelMisapplied"))>
	<cfset session.BackFromDelNomRef = cgi.http_referer>
</cfif>
<!--- Database Interface --->
<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocresult name=OneName>
</cfstoredproc>

<cfstoredproc procedure="s_web_OneBasHomHybParents" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneBasHomHybParents>
</cfstoredproc>
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2><b>You are about to delete a nomenclatural reference for<br>
		<cfif (#url.Name2# eq -1) or (#session.ForeignRef# neq 0)>
			<i><cfoutput>#OneName.FullNameCache#</cfoutput></i>
		<cfelse>
			<i><cfoutput>#OneBasHomHybParents.FullNameCache#</cfoutput></i>
		</cfif>
		</b></h2></td>
	</tr>
	
	<!---  nomenclatural citation --->  
	<tr bgcolor="#eeeee">
		<td width=100><strong>Nomencl. ref.</strong>
		</td>
		<cfoutput>
			<cfif #url.Name2# eq -1 or #session.ForeignRef# neq 0>
				<cfif #OneName.FullNomRefCache# neq ''>
					<td width=500>#OneName.FullNomRefCache#</td>
				<cfelse>
					<tdwidth=500>&nbsp;</td>
				</cfif>
			<cfelse>
				<cfif #OneBasHomHybParents.FullNomRefCache# neq ''>
					<td width=500>#OneBasHomHybParents.FullNomRefCache#</td>
				<cfelse>
					<tdwidth=500>&nbsp;</td>
				</cfif>
			</cfif>
		</cfoutput>
	</tr>
	
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
			Do you really want to delete this nomenclatural reference from your revision?
			<br>
			<form name=EM action="#cgi.script_name#" method="post">
				<input type="submit" name="TheButton" value="Yes">
				<input type="submit" name="TheButton" value="Cancel">
			</form>
		</td>
	</tr>

</table>

<cfinclude template="../template_down.cfm">
