<!--- Add concept relation	--->
<!--- J.Li					--->
<!--- Created: 01/2003		--->
<!--- Last update: 5/2003	--->

<!---
This form is for adding concept relation between any
two potential taxa. 
If the second potential taxa does not exist, add a new one according to the selected reference
and then add a concept relation.
--->

<cfinclude template="../template_up.cfm">
	<script language="JavaScript">
		<!--- Call this page once more if user changes the relation category --->
    	function ChangeRelCatAction(Name, Ref, Name2,TRefLst, RelCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Concepts/AddRelation.cfm?name=' + Name + '&ref=' + Ref + '&name2=' + Name2 +'&Ref2=' + TRefLst + '&TRelCat=' + RelCat;
			document.EM.submit();
		}
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
		function SetHiddenDoubtfulFlag() {
			if (document.EM.DoubtfulFlag.checked) {
				document.EM.HiddenDoubtfulFlag.value = 'on';
			} else {
				document.EM.HiddenDoubtfulFlag.value = 'off';
			}
		}	
	</script>

<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfstoredproc procedure="s_web_AddConceptRel" datasource="#session.DSName#">
			<!--- Submit name, reference --->
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NameId" value="#url.name#">
			<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RefId1" value=#url.ref#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NameId2" value="#url.name2#">
			<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RefId2" value=#url.Ref2#>	
			<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RelPTQualifierId" value=#url.TRelCat#>	
			<cfif isdefined("form.DoubtfulFlag")>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@DoubtfulFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@DoubtfulFlag" value=0>  
			</cfif>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.Notes#">
		</cfstoredproc>
		<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.DoubtfulFlag")>
			<cfset session.HiddenDoubtfulFlag = form.DoubtfulFlag>
		</cfif>
		<cfset session.Notes = form.Notes>

		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
		</cfif>
	</cfif>
</cfif>
<!--- Create session variables if not already existing --->
<cfparam name="session.HiddenDoubtfulFlag" default="off">
<cfparam name="session.Notes" default = "">	
<!--- Was this template called with get method from the central form? --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "SelectRelationRef")>
	<cfset session.HiddenDoubtfulFlag = "off">
	<cfset session.Notes = "">
</cfif>
<!--- Database interface --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneFullName" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name2#>
	<cfprocresult name=OneFullName>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneRef>
</cfstoredproc>
<cfif #URL.Ref2# neq -99>
	<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref2#>
		<cfprocresult name=OneReference>
	</cfstoredproc>
	<cfset RefCache = #OneReference.RefCache#>
<cfelse>
	<cfset RefCache = ''>
</cfif>
<!--- Create form --->
<table class="maintable">
	<!--- Define columns--->
	<colgroup>
		<col width=240>
		<col width=360>		
	</colgroup>
	
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<h2><b>Add concept relationship for <br><cfoutput><i>#OnePT.FullNameCache#</i></cfoutput></b></h2>
		</td>
	</tr>
	
	<form name=EM action="#cgi.script_name#" method="post">
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<!--- Display first potential taxon --->
		<tr bgcolor ="#eeeee">
			<td colspan="2">
				<b><i>1st potential taxon:</i></b><br>
				<cfoutput>
				<i>#OnePT.FullNameCache#</i> sec. #OneRef.RefCache# 
				</cfoutput>
			</td>
		</tr>
		<!--- Indicate relationship --->
		<tr bgcolor ="#eeeee">
			<td>
				<strong>Concept relations:</strong>
				<br>
				Doubtful relation --> 
				<input type="checkbox" name="DoubtfulFlag" <cfif session.HiddenDoubtfulFlag eq 'on'> checked </cfif> onClick="SetHiddenDoubtfulFlag()"> 
				<input type="hidden" name="HiddenDoubtfulFlag"<cfif session.HiddenDoubtfulFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>		
			</td>
			<td>
				<cfoutput>	
				<input type="radio" name="RelCat" <cfif #URL.TRelCat# eq 11> checked </cfif> value=11 onClick="if (this.checked) ChangeRelCatAction(#url.Name#, #url.Ref#, #url.Name2#, #url.Ref2#, this.value)">Is congruent to<br>
				<input type="radio" name="RelCat" <cfif #URL.TRelCat# eq 12> checked </cfif> value=12 onClick="if (this.checked) ChangeRelCatAction(#url.Name#, #url.Ref#, #url.Name2#, #url.Ref2#, this.value)">Is included in<br>
				<input type="radio" name="RelCat"<cfif #URL.TRelCat# eq 14> checked </cfif> value=14 onClick="if (this.checked) ChangeRelCatAction(#url.Name#, #url.Ref#, #url.Name2#, #url.Ref2#, this.value)">Includes<br>
				<input type="radio" name="RelCat" <cfif #URL.TRelCat# eq 18> checked </cfif> value=18 onClick="if (this.checked) ChangeRelCatAction(#url.Name#, #url.Ref#, #url.Name2#, #url.Ref2#, this.value)">Overlaps<br>
				<input type="radio" name="RelCat"<cfif #URL.TRelCat# eq 26> checked </cfif> value=26 onClick="if (this.checked) ChangeRelCatAction(#url.Name#, #url.Ref#, #url.Name2#, #url.Ref2#, this.value)">Excludes
				</cfoutput>
			</td>
		</tr>
		<!--- Display second potential taxon --->
		<tr bgcolor ="#eeeee">
			<td colspan="2">
				<b><i>2nd potential taxon:</i></b><br>
				<cfoutput>
				<i>#OneFullName.FullNameCache#</i> sec.#RefCache#
				</cfoutput>
			</td>
		</tr>
		<!--- Notes --->
		<tr bgcolor="#eeeee">
			<td colspan="2">
				<b>Notes</b><br>	
			<textarea cols="70" rows="3" name="Notes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.Notes#</cfoutput></textarea>
			</td>
			</td>
		</tr>
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
			
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../template_down.cfm">


