<!--- DelRelation			--->
<!---  J. Li 				--->
<!--- Created: 1/2003		--->
<!--- Updated: M.Geoffroy		--->
<!--- Last update: 12/2003	--->

<!---
Cut the concept relation link from this accepted taxon to another accepted taxon.
Do not remove the accepted taxons. 
--->

<cfinclude template="../template_up.cfm">

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If "Yes" button was pressed --->
	<cfif form.TheButton eq "Yes">
		<!--- Delete concept relation --->
		<cfstoredproc procedure="s_web_DelConceptRel" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Ref#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name2#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Ref2#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.TRelCat#>
		</cfstoredproc>
	</cfif>
	<!--- ... and jump to the central form --->
	<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
</cfif>

<!--- Database Interface --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name2#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref2#>
	<cfprocresult name=OnePT2>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneRef1>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref2#>
	<cfprocresult name=OneRef2>
</cfstoredproc>
<cfstoredproc procedure="s_web_GetOneConceptRel" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name2#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref2#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.TRelCat#>
	<cfprocresult name=OneConceptRelation>
</cfstoredproc>

<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td><h2><b>You are about to delete a concept relation for<br><i><cfoutput>#OnePT.FullNameCache#</cfoutput></i></b></h2></td>
	</tr>
	<!--- Message --->
	<tr bgcolor ="#eeeea">
		<td >This action will <b>remove the following concept relation:</b></td>
	</tr>
	<!--- Name and reference1--->  
	<tr bgcolor="#eeeee">
		<cfoutput><td width=600><i>#OnePT.FullNameCache# sec.#OneRef1.RefCache#</i></td></cfoutput>
	</tr>
	<!--- concept relation--->  
	<tr bgcolor="#eeeee">
		<cfoutput><td width=600><b><i>#OneConceptRelation.RelPTQualifier#</i></b></td></cfoutput>
	</tr>
	<!--- Name and reference2--->  
	<tr bgcolor="#eeeee">
		<cfoutput><td width=600><i>#OnePT2.FullNameCache# sec.#OneRef2.RefCache#</i></td></cfoutput>
	</tr>
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td>
			Do you really want to delete this concept relation from your revision?
			<br>
			<form name=EM action="#cgi.script_name#" method="post">
				<input type="submit" name="TheButton" value="Yes">
				<input type="submit" name="TheButton" value="Cancel">
			</form>
		</td>
	</tr>

</table>

<cfinclude template="../template_down.cfm">
