<!--- Add fact					--->
<!--- Anton Gntsch, J. Li 		--->
<!--- Created: 10/2001			--->
<!--- Last update: 7/2003    	--->
<!--- Updated by: J. Li			--->

<!---
Template for linking arbitrary (free text) facts to a potential taxon. The URL parameter
FactCategory determines the Type of fact to be linked. The form allows to enter *one* reference 
for the respective fact. Currently, it is not allowed to enter multiple references. The form
uses session variables to keep the content for a user leaving the form and coming back later.
Note that modifications of the design of this form should very likely also be applied to 
EditFact.cfm
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">
		<!--- Call this page once more if user selects a biblio entry --->
		function ChangeBiblioAction(Name, Ref, FactCategory, TempRefCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Facts/AddFact.cfm?name=' + Name + '&ref=' + Ref + '&FactCategory=' + FactCategory + '&TempRefCat=' + TempRefCat;
			document.EM.submit();
		}	
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		function ChangeCategoryAction(Name, Ref,FactCategory, CategoryLst) {
			TempRefCat = CategoryLst.options[CategoryLst.selectedIndex].value;
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Facts/AddFact.cfm?name=' + Name + '&ref=' + Ref + '&FactCategory=' + FactCategory + '&TempRefCat=' + TempRefCat;
			document.EM.submit();
		}
		function SetHiddenDoubtfulFlag() {
			if (document.EM.DoubtfulFlag.checked) {
				document.EM.HiddenDoubtfulFlag.value = 'on';
			} else {
				document.EM.HiddenDoubtfulFlag.value = 'off';
			}
		}
	</script>
  
<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
		<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfstoredproc procedure="s_web_AddFactAndCitation" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTNameFk" value=#URL.Name#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTRefFk" value=#URL.Ref#>
			<cfprocparam Type="in" cfsqlType="cf_sql_varchar" dbvarname="@Fact" value=#form.Fact#>
			<cfprocparam Type="in" cfsqlType="cf_sql_integer" dbvarname="@FactCategory" value=#URL.FactCategory#>
			<cfprocparam Type="in" cfsqlType="cf_sql_varchar" dbvarname="@FactNotes" value=#form.FactNotes#>
			<cfif isdefined("form.DoubtfulFlag")> 
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@DoubtfulFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@DoubtfulFlag" value=0>  
			</cfif>	
			<cfif (isnumeric(form.CitBPTitle))>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefId" value=#form.CitBPTitle#>
			<cfelseif((#url.TempRefCat# eq 1)or (#url.TempRefCat# eq 2))and(isnumeric(form.CitBPAuthor) or isnumeric(form.CitBPYear))and (len(form.CitBPTitle) eq 0)>
				<cfif (isnumeric(form.CitInTitle))>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefId" value=#form.CitInTitle#>
				</cfif>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefId" null="yes">
			</cfif>
			<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Details" value=#form.Details#>
			<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@DetailNotes" value=#form.DetailNotes#>	
			<!---<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefNotes" value=#form.RefNotes#>	--->
		</cfstoredproc>
		<!--- ... and jump back to the calling template --->
		<cflocation addtoken="no" url="#session.BackFromAddFact#">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfset session.Fact = form.Fact>
		<cfset session.FactNotes = form.FactNotes>
		<cfif isdefined("form.CitBPTitle")>
			<cfset session.CitBPTitle = form.CitBPTitle>
		</cfif>
		<cfif isdefined("form.CitInTitle")>
			<cfset session.CitInTitle = form.CitInTitle>
		</cfif>
		<cfif isdefined("form.CitBPAuthor")>
			<cfset session.CitBPAuthor = form.CitBPAuthor>
		</cfif>
		<cfif isdefined("form.CitBPYear")>
			<cfset session.CitBPYear = form.CitBPYear>
		</cfif>
		<cfif isdefined("form.HiddenDoubtfulFlag")>
			<cfset session.HiddenDoubtfulFlag = form.HiddenDoubtfulFlag>
		</cfif>	
		<cfif isdefined("form.Details")>
			<cfset session.Details = form.Details>
		</cfif>	
		<cfset session.DetailNotes = form.DetailNotes>	
		<!---<cfset session.RefNotes = form.RefNotes>--->
		
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromAddFact#">
		</cfif>
		<!--- New Bib record was pressed--->
		<cfif form.TheButton eq "NewBook">
			<cflocation url="#application.EditorHome#Bib/NewBook.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=3&Head=1" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewArticleOfJournal">
			<cflocation url="#application.EditorHome#Facts/NewBibArticleOfJournal.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=9" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewPartOfTitle">
			<cflocation url="#application.EditorHome#Facts/NewBibPartOfTitle.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=13&TempInRefCat=3" addtoken="no">
		</cfif>
		<!------  'TempRefCat=0' is only for programming convienient --->
		<cfif form.TheButton eq "NewPeriodical">
			<cflocation url="#application.EditorHome#Bib/NewPeriodical.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=0&Head=1" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewDatabase">
			<cflocation url="#application.EditorHome#Facts/NewDBOrInformal.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=4" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewInformal">
			<cflocation url="#application.EditorHome#Facts/NewDBOrInformal.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=5" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewUnresolved">
			<cflocation url="#application.EditorHome#Facts/NewDBOrInformal.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=10" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewWebsite">
			<cflocation url="#application.EditorHome#Facts/NewDBOrInformal.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=7" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewPublishedCD">
			<cflocation url="#application.EditorHome#Facts/NewDBOrInformal.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=8" addtoken="no">
		</cfif>
	</cfif>
</cfif>


<!--- Create session variables if not already existing --->
<cfparam name="session.Fact" default = "">
<cfparam name="session.FactNotes" default="">
<cfparam name="session.CitBPTitle" default="">
<cfparam name="session.CitInTitle" default="">
<cfparam name="session.CitBPAuthor" default="">
<cfparam name="session.CitBPYear" default="">
<cfparam name="session.HiddenDoubtfulFlag" default="off">
<cfparam name="session.Details" default="">
<cfparam name="session.DetailNotes" default="">
<!---<cfparam name="session.RefNotes" default="">--->
<cfparam name="session.BackFromAddFact" default="">

<!--- Was this template called with get method from TaxForm? --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "TaxForm")>
	<cfset session.Fact = "">
	<cfset session.FactNotes = "">
	<cfset session.CitBPTitle = "">
	<cfset session.CitInTitle = "">
	<cfset session.CitBPYear = "">
	<cfset session.CitBPAuthor = "">
	<cfset session.DetailNotes = "">
	<!---<cfset session.RefNotes = "">--->
	<cfset session.HiddenDoubtfulFlag = "off">
	<cfset session.Details = "">
	<cfset session.BackFromAddFact = cgi.http_referer>
</cfif>

<!--- Database interface --->
<!--- Retrieve fact Type --->
<cfstoredproc procedure="s_web_OneFactCategory" datasource=#session.DSName#>
	<cfprocparam Type="in" cfsqlType="cf_sql_integer" value=#URL.FactCategory#>
	<cfprocresult name=FactCategory>
</cfstoredproc>
<cfstoredproc procedure="s_web_GetRefCategorys" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="1" dbvarname="@Low">
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="10" dbvarname="@High">
	<cfprocresult name=Categorys>
</cfstoredproc>
<!--- Retrieve  name --->
<cfstoredproc procedure="s_web_OneFullName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=FullName>
</cfstoredproc>
<!--- Retrieve information to populate bib pulldown menu --->
<cfif (#url.TempRefCat# eq 4)or(#url.TempRefCat# eq 5) or (#url.TempRefCat# eq 7)
		or(#url.TempRefCat# eq 8)or(#url.TempRefCat# eq 9) or (#url.TempRefCat# eq 10)>
	<cfif (#session.CitBPTitle# eq "")>
		<cfstoredproc procedure="s_web_DiscoverRefCache" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
		<cfprocresult name="BibValues">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.CitBPTitle)>
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPTitle#>
				<cfprocresult name="Bib">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_SearchRefCache" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitle#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="Bib">
			</cfstoredproc>
		</cfif>
	</cfif>
</cfif>
<cfif (#url.TempRefCat# eq 1) or (#url.TempRefCat# eq 2)or (#url.TempRefCat# eq 3)>
	<cfif (#session.CitBPAuthor# eq "")>
		<cfstoredproc procedure="s_web_DiscoverAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
			<cfprocresult name="AuthorTeamsValues">
		</cfstoredproc>
	<cfelse>
		<cfif isnumeric(session.CitBPAuthor)>
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPAuthor#>
				<cfprocresult name="BibAuthor">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_SearchRefAuthor" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPAuthor#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="RefAuthor">
			</cfstoredproc>
		</cfif>
	</cfif>		
	<cfif (#session.CitBPYear# eq "")>
		<cfif isnumeric(session.CitBPAuthor)>
			<cfstoredproc procedure="s_web_DiscoverYear" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPAuthor#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="YearsValues">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_DiscoverAllYear" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
				<cfprocresult name="AllYearsValues">
			</cfstoredproc>
		</cfif>
	<cfelse>
		<cfif isnumeric(session.CitBPYear)>
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPYear#>
				<cfprocresult name="BibYear">
			</cfstoredproc>
		<cfelse>
			<cfif isnumeric(session.CitBPAuthor)>
				<cfstoredproc procedure="s_web_SearchRefYear" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPYear#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPAuthor#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
					<cfprocresult name="Year">
				</cfstoredproc>
			<cfelse>
				<cfstoredproc procedure="s_web_SearchAllRefYear" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPYear#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
					<cfprocresult name="Year">
				</cfstoredproc>
			</cfif>	
		</cfif>
	</cfif>
	
	<cfif (#session.CitBPTitle# eq "")>
		<cfif isnumeric(session.CitBPYear)>
			<cfif isnumeric(session.CitBPAuthor)>
				<cfstoredproc procedure="s_web_DiscoverRefTitle" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPYear#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
					<cfprocresult name="TitleValues">
				</cfstoredproc>
			<cfelse>
				<cfstoredproc procedure="s_web_DiscoverAllYearRefTitle" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPYear#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
					<cfprocresult name="TitleValues">
				</cfstoredproc>
			</cfif>
		<cfelse>
			<cfif isnumeric(session.CitBPAuthor)>
				<cfstoredproc procedure="s_web_DiscoverAllAuthorRefTitle" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPAuthor#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
					<cfprocresult name="TitleValues">
				</cfstoredproc>
			<cfelse>
				<cfstoredproc procedure="s_web_DiscoverAllRefTitle" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
					<cfprocresult name="TitleValues">
				</cfstoredproc>
			</cfif>
		</cfif>
	<cfelse>
		<cfif isnumeric(session.CitBPTitle)>
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPTitle#>
				<cfprocresult name="Bib">
			</cfstoredproc>
		<cfelse>
			<cfif isnumeric(session.CitBPYear)>
				<cfif isnumeric(session.CitBPAuthor)>
					<cfstoredproc procedure="s_web_SearchRefTitle" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPYear#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
						<cfprocresult name="Bib">
					</cfstoredproc>
				<cfelse>
					<cfstoredproc procedure="s_web_SearchAllYearRefTitle" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPYear#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
						<cfprocresult name="Bib">
					</cfstoredproc>
				</cfif>
			<cfelse>
				<cfif isnumeric(session.CitBPAuthor)>
					<cfstoredproc procedure="s_web_SearchAllAuthorRefTitle" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPAuthor#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
						<cfprocresult name="Bib">
					</cfstoredproc>
				<cfelse>
					<cfstoredproc procedure="s_web_SearchAllRefTitle" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
						<cfprocresult name="Bib">
					</cfstoredproc>
				</cfif>
			</cfif>
		</cfif>
	</cfif>	
</cfif>

<cfif ((#url.TempRefCat# eq 1) or (#url.TempRefCat# eq 2)) and (len(session.CitBPTitle) eq 0)>
	<cfif (#session.CitInTitle# eq "")>
			<cfif isnumeric(session.CitBPYear)>
				<cfif isnumeric(session.CitBPAuthor)>
					<cfstoredproc procedure=" s_web_DiscoverAuthorYearInRefCache" datasource=#session.DSName#>
							<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPYear#>
							<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
						<cfprocresult name="InBibValues">
					</cfstoredproc>
				<cfelse>
					<cfstoredproc procedure="s_web_DiscoverAllYearInRefCache" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPYear#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
						<cfprocresult name="InBibValues">
					</cfstoredproc>
				</cfif>
		<cfelse>
			<cfif isnumeric(session.CitBPAuthor)>
				<cfstoredproc procedure=" s_web_DiscoverAuthorInRefCache" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPAuthor#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
					<cfprocresult name="InBibValues">
				</cfstoredproc>
			</cfif>
		</cfif>
	<cfelse>
		<cfif isnumeric(session.CitInTitle)>
			<cfstoredproc procedure="s_web_OneInReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitInTitle#>
				<cfprocresult name="InBib">
			</cfstoredproc>
		<cfelse>
			<cfif isnumeric(session.CitBPYear)>
				<cfif isnumeric(session.CitBPAuthor)>
					<cfstoredproc procedure="s_web_SearchAuthorYearInRefCache" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitInTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPYear#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
						<cfprocresult name="InBib">
					</cfstoredproc>
				<cfelse>
					<cfstoredproc procedure="s_web_SearchAllYearInRefCache" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPYear#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
						<cfprocresult name="InBib">
					</cfstoredproc>
				</cfif>
			<cfelse>
				<cfif isnumeric(session.CitBPAuthor)>
					<cfstoredproc procedure=" s_web_SearchAuthorInRefCache" datasource=#session.DSName#>
						<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitInTitle#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPAuthor#>
						<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
						<cfprocresult name="InBib">
					</cfstoredproc>
				</cfif>
			</cfif>
		</cfif>
	</cfif>
</cfif>


<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<cfoutput>
			<td colspan=2><h2><b>Add #FactCategory.FactCategory# for<br><i>#FullName.FullNameCache#</i><b></h2></td>
		</cfoutput>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input Type="hidden" name="TheButton">
		
		<!--- Field for free text data entry --->
		<tr bgcolor="#eeeee">
			<td colspan=2>
				<textarea cols="70" rows="10" name="Fact" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.Fact#</cfoutput></textarea>
			</td>
		</tr>
		
		<!--- Notes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Fact notes</b>
			</td>
			<td align="right">
				<input type="checkbox" name="DoubtfulFlag" <cfif session.HiddenDoubtfulFlag eq 'on'> checked </cfif> onClick="SetHiddenDoubtfulFlag()">Doubtful fact
				<input type="hidden" name="HiddenDoubtfulFlag"<cfif session.HiddenDoubtfulFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				&nbsp;&nbsp;&nbsp;&nbsp;
			</td>
		</tr>
		<tr bgcolor="#eeeee">
			<td colspan=2>
				<textarea cols="70" rows="3" name="FactNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.FactNotes#</cfoutput></textarea>
			</td>
		</tr>
		<!--- title for reference --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<cfoutput><h2><b>Reference for this #FactCategory.FactCategory#<b></h2></cfoutput>
			</td>
		</tr>
		<!--- reference section --->
		<cfif (isnumeric(session.CitBPTitle)) and (((#url.TempRefCat# eq 1) or (#url.TempRefCat# eq 2)or (#url.TempRefCat# eq 3)) or
			((#url.TempRefCat# neq 1)and (#url.TempRefCat# neq 2)and(#url.TempRefCat# neq 3) and (Len(#Bib.RefCache#)gte 55))) >  
			<tr bgcolor="#eeeee">
				<td colspan=2><b>Full reference</b>
				<br>
				<textarea cols="70" rows="3" name="fulltitle" dir="ltr" clientwidth="400" wrap=physical readonly disable><cfoutput>#Bib.RefCache#</cfoutput></textarea>
				</td>
			</tr>	
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#session.CitBPTitle#>
				<cfprocresult name=OneRef>
			</cfstoredproc>
			<cfif len(#OneRef.Notes#) gt 0> 
			<tr bgcolor="#eeeee">
				<td>
					<b>Notes(reference)</b>
				</td><td>	
					<textarea cols="52" rows="3" name="RefNotes" dir="ltr" clientwidth="400" wrap=physical readonly disable><cfoutput>#OneRef.Notes#</cfoutput></textarea>
				</td>
			</tr>
			</cfif>	
		<cfelseif ((#url.TempRefCat# eq 1)or (#url.TempRefCat# eq 2))and (isnumeric(session.CitBPAuthor) or isnumeric(session.CitBPYear))and (isnumeric(session.CitInTitle))>
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitInTitle#>
				<cfprocresult name="Bib">
			</cfstoredproc>
			<tr bgcolor="#eeeee">
				<td colspan=2><b>Full reference</b>
				<br>
				<textarea cols="70" rows="3" name="fulltitle" dir="ltr" clientwidth="400" wrap=physical readonly disable><cfoutput>#Bib.RefCache#</cfoutput></textarea>
				</td>
			</tr>	
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#session.CitInTitle#>
				<cfprocresult name=OneRef>
			</cfstoredproc>
			<cfif len(#OneRef.Notes#) gt 0> 
			<tr bgcolor="#eeeee">
				<td>
					<b>Notes(reference)</b>
				</td><td>	
					<textarea cols="52" rows="3" name="RefNotes" dir="ltr" clientwidth="400" wrap=physical readonly disable><cfoutput>#OneRef.Notes#</cfoutput></textarea>
				</td>
			</tr>
			</cfif>	
		<cfelseif (isnumeric(session.CitBPAuthor)) and ((#url.TempRefCat# eq 1) or (#url.TempRefCat# eq 2)or (#url.TempRefCat# eq 3)) and (Len(#BibAuthor.RefAuthorString#)gte 65)>  
			<tr bgcolor="#eeeee">
				<td colspan=2><b>Full authors</b>
				<br>
				<textarea cols="70" rows="3" name="fulltitle" dir="ltr" clientwidth="400" wrap=physical readonly disable><cfoutput>#BibAuthor.RefAuthorString#</cfoutput></textarea>
				</td>
			</tr>
		</cfif>
		<!--- Select Ref Category  --->
		<tr bgcolor="#eeeee">
			<td width=140><b>Select category</b></td>
			<td width=460>
			<cfoutput>
				<select name="RefCat" onChange="ChangeCategoryAction(#url.Name#, #url.Ref#,  #URL.FactCategory#,this)">
					<cfloop query="Categorys">
						<option value=#Categorys.RefCategoryId# <cfif Categorys.RefCategoryId eq #url.TempRefCat#>selected</cfif>>#Categorys.RefCategory#
					</cfloop>	
				</select>
			</cfoutput>
			</td>
		</tr>
		<!--- Select author --->
		<cfif (#url.TempRefCat# eq 1) or (#url.TempRefCat# eq 2)or (#url.TempRefCat# eq 3)>
		<tr bgcolor="#eeeee">
			<cfif (#url.TempRefCat# eq 1) >
				<td width=140><b>Article(authors)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 2) >
				<td width=140><b>Part(authors)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 3) >
				<td width=140><b>Book(authors)</b></td>
			</cfif>
			<td width = 460>
			<cfoutput>
				<select name="CitBPAuthor" onChange="ChangeBiblioAction(#URL.Name#, #URL.Ref#,#URL.FactCategory#, #url.TempRefCat#)">
				<cfif session.CitBPAuthor neq "">
					<cfif isnumeric(session.CitBPAuthor)>
						<cfif Len(#BibAuthor.RefAuthorString#)lt 65>
							<option value=#BibAuthor.RefId#>#BibAuthor.RefAuthorString#
						<cfelse>
							<option value=#BibAuthor.RefId#>#BibAuthor.AuthorFirst65#...
						</cfif>
						<option value="">------------------------------------------ no selection ------------------------------------------
					<cfelse>
						<option value="#session.CitBPAuthor#">--------------------------------------- preselection: #session.CitBPAuthor# --------------------------------------
						<option value="">------------------------------------------ no selection ------------------------------------
						<cfloop query="RefAuthor">
							<cfif Len(#RefAuthor.RefAuthorString#)lt 65>
								<option value=#RefAuthor.RefId#>#RefAuthor.RefAuthorString#
							<cfelse>
								<option value=#RefAuthor.RefId#>#RefAuthor.First65#...
							</cfif>
						</cfloop>
					</cfif>
				<cfelse>
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfloop query="AuthorTeamsValues">
						<cfif len(#AuthorTeamsValues.FirstTwo#) gt 0>
							<option value="#AuthorTeamsValues.FirstTwo#">#AuthorTeamsValues.FirstTwo#&nbsp;...
						</cfif>
					</cfloop>	
				</cfif>
				</select>
			</cfoutput>
			</td>
		</tr>	
			
		<tr bgcolor="#eeeee">
			<cfif (#url.TempRefCat# eq 1) >
				<td width=140><b>Article(year)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 2) >
				<td width=140><b>Part(year)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 3) >
				<td width=140><b>Book(year)</b></td>
			</cfif>
			<td width = 460>
			<cfoutput>
				<select name="CitBPYear" onChange="ChangeBiblioAction(#URL.Name#, #URL.Ref#,#URL.FactCategory#, #url.TempRefCat#)">
				<cfif session.CitBPYear neq "">
					<cfif isnumeric(session.CitBPYear)>
						<option value=#BibYear.RefId#>#BibYear.RefYear#
						<option value="">------------------------------------------ no selection ------------------------------------------
					<cfelse>
						
						<option value="">------------------------------------------ no selection ------------------------------------------
						
							<option value=#Year.RefId#>#Year.RefYear#
					
					</cfif>
				<cfelse>
					<option value="">------------------------------------------ no selection ------------------------------------------
						<cfif isnumeric(session.CitBPAuthor)>
							<cfloop query="YearsValues">
								<option value="#YearsValues.RefId#">#YearsValues.RefYear#
							</cfloop>	
						<cfelse>
							<cfloop query="AllYearsValues">
								<option value="_#AllYearsValues.RefYear#">#AllYearsValues.RefYear#
							</cfloop>	
						</cfif>
				</cfif>
				</select>
			</cfoutput>
			</td>
		</tr>	
		
		<tr bgcolor="#eeeee">
			<cfif (#url.TempRefCat# eq 1) >
				<td width=140><b>Article(title)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 2) >
				<td width=140><b>Part(title)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 3) >
				<td width=140><b>Book(title)</b></td>
			</cfif>
			<td width = 460>
			<cfoutput>
			<select name="CitBPTitle" onChange="ChangeBiblioAction(#URL.Name#, #URL.Ref#, #URL.FactCategory#, #url.TempRefCat#)">
			<cfif session.CitBPTitle neq "">
				<cfif isnumeric(session.CitBPTitle)>		
					<cfif Len(#Bib.Title#)lt 40>	
						<option value=#Bib.RefId#>#Bib.Title##Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#	
					<cfelse>
						<option value=#Bib.RefId#>#Bib.First40#...#Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#
					</cfif>
						<option value="">------------------------------------------ no selection ------------------------------------------
				<cfelse>
					<option value="#session.CitBPTitle#">--------------------------------------- preselection: #session.CitBPTitle# --------------------------------------
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfif isnumeric(session.CitBPYear)>
						<cfloop query="Bib">	
							<cfif Len(#Bib.Title#)lt 40>			
								<option value=#Bib.RefId#>#Bib.First40##Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#	
							<cfelse>
								<option value=#Bib.RefId#>#Bib.First40#...#Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#	
							</cfif>
						</cfloop>
					<cfelse>
						<cfloop query="Bib">	
							<cfif Len(#Bib.Title#)lt 40>				
								<option value=#Bib.RefId#>#Bib.First40##Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#&nbsp;#Bib.ThisYear#	
							<cfelse>
								<option value=#Bib.RefId#>#Bib.First40#...#Bib.ThisEdition##Bib.ThisSeries##Bib.ThisVolume#&nbsp;#Bib.ThisYear#	
							</cfif>
						</cfloop>
					</cfif>	
				</cfif>
			<cfelse>
				<option value="">------------------------------------------ no selection ------------------------------------------
				<cfif isnumeric(session.CitBPYear) and isnumeric(session.CitBPAuthor)>
					<cfloop query="TitleValues">
						<cfif Len(#TitleValues.Title#)lt 40>
							<option value="#TitleValues.RefId#">#TitleValues.Title##TitleValues.ThisEdition##TitleValues.ThisSeries##TitleValues.ThisVolume#	
						<cfelse>
							<option value="#TitleValues.RefId#">#TitleValues.First40#...#TitleValues.ThisEdition##TitleValues.ThisSeries##TitleValues.ThisVolume#	
						</cfif>
					</cfloop>	
				<cfelse>
					<cfloop query="TitleValues">
						<cfif len(#TitleValues.FirstTwo#) gt 0>
							<option value="#TitleValues.FirstTwo#">#TitleValues.FirstTwo#&nbsp;...
						</cfif>
					</cfloop>	
				</cfif>
			</cfif>
			</select>
			</cfoutput>
			</td>
		</tr>
	</cfif>
		
	<cfif ((#url.TempRefCat# eq 1)or (#url.TempRefCat# eq 2))and (len(session.CitBPTitle) eq 0)and (isnumeric(session.CitBPAuthor) or isnumeric(session.CitBPYear))> 
		<tr bgcolor="#eeeee">
			<cfif (#url.TempRefCat# eq 1)>
				<td width=140><b>In(Periodical)</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 2)>
				<td width=140><b>Part of(other title)</b></td>
			</cfif>
			<td width = 460>
				<cfoutput>
				<select name="CitInTitle" onChange="ChangeBiblioAction(#URL.Name#, #URL.Ref#, #URL.FactCategory#, #url.TempRefCat#)">
				<cfif session.CitInTitle neq "">
					<cfif isnumeric(session.CitInTitle)>
						<cfif Len(#InBib.RefCache#)lt 60>
							<option value=#InBib.RefId#>#InBib.RefCache#
						<cfelse>
							<option value=#InBib.RefId#>#InBib.First60#...
						</cfif>
						<option value="">------------------------------------------ no selection ------------------------------------------
					<cfelse>
						<option value="#session.CitInTitle#">--------------------------------------- preselection: #session.CitInTitle# --------------------------------------
						<option value="">------------------------------------------ no selection ------------------------------------------
							<cfloop query="InBib">
							<cfif Len(#InBib.RefCache#)lt 60>
								<option value=#InBib.RefId#>#InBib.RefCache#
							<cfelse>
								<option value=#InBib.RefId#>#InBib.First60#...
							</cfif>
							</cfloop>	
					</cfif>
				<cfelse>
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfloop query="InBibValues">
						<cfif len(#InBibValues.FirstTwo#) gt 0>
							<option value=#InBibValues.FirstTwo#>#InBibValues.FirstTwo#&nbsp;...
						</cfif>
					</cfloop>		
				</cfif>
				</select>
				</cfoutput>
			</td>
		</tr>
		</cfif>
		<cfif (#url.TempRefCat# eq 4)or(#url.TempRefCat# eq 5) or (#url.TempRefCat# eq 7)
			or(#url.TempRefCat# eq 8)or(#url.TempRefCat# eq 9) or (#url.TempRefCat# eq 10)>
			<!--- Select refCache --->
		<tr bgcolor="#eeeee">
			<cfif (#url.TempRefCat# eq 9)>
				<td width=140><b>Journal</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 4)>
				<td width=140><b>Database</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 5)>
				<td width=140><b>Informal reference</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 10)>
				<td width=140><b>Unresolved</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 7)>
				<td width=140><b>Website</b></td>
			</cfif>
			<cfif (#url.TempRefCat# eq 8)>
				<td width=140><b>Published CD</b></td>
			</cfif>
			<td width = 460>
			<cfoutput>
				<select name="CitBPTitle" onChange="ChangeBiblioAction(#URL.Name#, #URL.Ref#, #URL.FactCategory#, #url.TempRefCat#)">
				<cfif session.CitBPTitle neq "">
					<cfif isnumeric(session.CitBPTitle)>
						<cfif Len(#Bib.RefCache#)lt 55>
							<option value=#Bib.RefId#>#Bib.RefCache#
						<cfelse>
							<option value=#Bib.RefId#>#Bib.RefCacheFirst55#...
						</cfif>
				
						<option value="">------------------------------------------ no selection ------------------------------------------
					<cfelse>
						<option value="#session.CitBPTitle#">------------------------------------------ preselection: #session.CitBPTitle# ------------------------------------------
						<option value="">------------------------------------------ no selection ------------------------------------------
						<cfloop query="Bib">
							<cfif Len(#Bib.RefCache#)lt 55>
							<option value=#Bib.RefId#>#Bib.RefCache#
						<cfelse>
							<option value=#Bib.RefId#>#Bib.RefCacheFirst55#...
						</cfif>
						</cfloop>
					</cfif>
				<cfelse>
					<option value="">------------------------------------------ no selection ------------------------------------------
					<cfloop query="BibValues">
						<option value=#BibValues.FirstTwo#>#BibValues.FirstTwo#&nbsp;...
					</cfloop>
				</cfif>
				</select>
			</cfoutput>
			</td>
		</tr>	
		</cfif>
		<cfif (#url.TempRefCat# eq 9) >
			<tr bgcolor="#eeeee">
				<td><a href="javascript: ButtonAction('NewPeriodical')" class="addlink">New journal</a></td>
				<td>&nbsp;</td>	
			</tr>
		</cfif>
		<cfif (#url.TempRefCat# eq 4) >
			<tr bgcolor="#eeeee">
				<td><a href="javascript: ButtonAction('NewDatabase')" class="addlink">New database</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		<cfif (#url.TempRefCat# eq 5) >
			<tr bgcolor="#eeeee">
				<td>&nbsp;</td>
				<td><a href="javascript: ButtonAction('NewInformal')" class="addlink">New informal reference</a></td>
			</tr>
		</cfif>
		<cfif (#url.TempRefCat# eq 10) >
			<tr bgcolor="#eeeee">
				<td>&nbsp;</td>
				<td><a href="javascript: ButtonAction('NewUnresolved')" class="addlink">New Unresolved</a></td>
			</tr>
		</cfif>
		<cfif (#url.TempRefCat# eq 7) >
			<tr bgcolor="#eeeee">
				<td>&nbsp;</td>
				<td><a href="javascript: ButtonAction('NewWebsite')" class="addlink">New website</a></td>
			</tr>
			</cfif>
		<cfif (#url.TempRefCat# eq 8) >
			<tr bgcolor="#eeeee">
				<td>&nbsp;</td>
				<td><a href="javascript: ButtonAction('NewPublishedCD')" class="addlink">New published CD</a></td>
			</tr>
		</cfif>
		<cfif (#url.TempRefCat# eq 3)>
		<!--- New book--->
			<tr bgcolor="#eeeee">
				<td><a href="javascript: ButtonAction('NewBook')" class="addlink">New book</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		
		<cfif (#url.TempRefCat# eq 1) >
		<!--- New article in periodical--->
			<tr bgcolor="#eeeee">
				<td><a href="javascript: ButtonAction('NewArticleOfJournal')" class="addlink">New article in periodical</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		
		<cfif (#url.TempRefCat# eq 2) >
		<!--- New part of other title--->
			<tr bgcolor="#eeeee">
				<td><a href="javascript: ButtonAction('NewPartOfTitle')" class="addlink">New part of other title</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		
		<!--- Details --->
		<tr bgcolor="#eeeee">
			<td width><b>Details</b></td>
			<td width>
				<input type="text" name="Details" size="20" value="<cfoutput>#session.Details#</cfoutput>">
			</td>
		</tr>
		<!--- DetailNotes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Notes(detail)</b>
			</td><td>	
				<textarea cols="50" rows="3" name="DetailNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.DetailNotes#</cfoutput></textarea>
			</td>
		</tr>
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../template_down.cfm">
