<!--- DelAcc					--->
<!---  J. Li 					--->
<!--- Created: 7/2003			--->
<!--- Last update: 8/2003		--->

<!---
Cut the link from this accepted taxon to its parent taxon and remove the potential taxon.
Do not remove the name and its name history. 
--->

<cfinclude template="../template_up.cfm">

<!--- Database Interface --->
<!--- Potential taxon information --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneRef>
</cfstoredproc>


<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If "Yes" button was pressed --->
	<cfif form.TheButton eq "Yes">
		<!--- Delete this accepted taxon ... --->
		<cfstoredproc procedure="s_web_DelAcc" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Ref#>
		</cfstoredproc>
		<table class="maintable">
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="2"><h2><b>Deleted accepted taxon 
			<br><i><cfoutput>#OnePt.FullNameCache#</cfoutput></i></b></h2></td>
		</tr>
		<!--- Name and nomenclatural citation --->  
		<tr bgcolor="#eeeee">
			<td width=100><strong>Taxonym:</strong></td>
			<cfoutput><td width=500><b>#OnePT.FullNameCache#</b> sec. <i>#OneRef.RefCache#</i></td></cfoutput>
		</tr>
		<tr bgcolor="#eeeee">
			<td><strong>Nomencl. ref.</strong></td>
			<cfoutput>
				<cfif #OnePt.FullNomRefCache# neq ''>
					<td>#OnePt.FullNomRefCache#</td>
				<cfelse>
					<td>&nbsp;</td>
				</cfif>
			</cfoutput>
		</tr>
		<tr>
			<td><cfoutput><A href="#application.EditorHome#taxform.cfm?name=#session.FocussedName#&ref=#session.CurrentUser#">Back to root TaxForm</A></cfoutput></td>
		</tr>
		</table>
		<cfelse>
			<!--- ... and jump to the central form --->
			<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#ParentTaxon.PTNameFk2#&Ref=#URL.Ref#" addtoken="no">
		</cfif>
<cfelse>
	<table>
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="2"><h2><b>You are about to delete an accepted taxon 
			<br><i><cfoutput>#OnePt.FullNameCache#</cfoutput></i></b></h2></td>
		</tr>
		<!--- Name and nomenclatural citation --->  
		<tr bgcolor="#eeeee">
			<td width=100><strong>Taxonym:</strong></td>
			<cfoutput><td width=500><b>#OnePT.FullNameCache#</b> sec. <i>#OneRef.RefCache#</i></td></cfoutput>
		</tr>
		<tr bgcolor="#eeeee">
			<td><strong>Nomencl. ref.</strong></td>
			<cfoutput>
				<cfif #OnePt.FullNomRefCache# neq ''>
					<td>#OnePt.FullNomRefCache#</td>
				<cfelse>
					<td>&nbsp;</td>
				</cfif>
			</cfoutput>
		</tr>
	
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
			Do you really want to delete  <cfoutput>#OnePT.FullNameCache#</cfoutput> relation from your revision?
			<br>
			<form name=EM action="#cgi.script_name#" method="post">
				<input type="submit" name="TheButton" value="Yes">
				<input type="submit" name="TheButton" value="Cancel">
			</form>
		</td>
	</tr>
	</table>
</cfif>

<cfinclude template="../template_down.cfm">
