<!--- DelBasHomHybParent		--->
<!--- Anton Gntsch, J. Li 		--->
<!--- Created: 12/2001			--->
<!--- Last update: 4/2/2004    --->
<!--- Updated by: M.Geoffroy	--->

<!---
Cut the link from this Basionym, orthographic variant or homonym to its accepted name or  from this hybridparent 
to its hybridformula name. Do not remove the name and its name history. 
--->

<cfinclude template="../template_up.cfm">

<!--- Get accepted taxon for this basionym/homonym --->
<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name2#>
	<cfprocresult name=OneName>
</cfstoredproc>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If "Yes" button was pressed --->
	<cfif form.TheButton eq "Yes">
		<!--- Delete synonym ... --->
		<cfstoredproc procedure="s_web_DeleteBasHomHybParent" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name2#>
		</cfstoredproc>
	</cfif>
	<!--- ... and jump to the central form --->
	<cflocation url=#session.BackFromDelBasHomHybParent# addtoken="no">
</cfif>

<cfparam name="session.BackFromDelBasHomHybParent" default="">
<cfif (cgi.request_method is "get") and ((session.CallingPage eq "TaxForm") or (session.CallingPage eq "EditName") or (session.CallingPage eq "EditSynonym") or (session.CallingPage eq "EditMisappliedName")) >
	<cfset session.BackFromDelBasHomHybParent = cgi.http_referer>
</cfif>

<!--- Database Interface --->
<!--- Potential taxon information --->
<cfstoredproc procedure="s_web_OneBasHomHybParents" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneBasHomHybParents>
</cfstoredproc>
<!--- Get a suitable message --->
<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5115>
	<cfprocresult name=Message1>
</cfstoredproc>
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5114>
	<cfprocresult name=Message2>
</cfstoredproc>
<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5116>
	<cfprocresult name=Message3>
</cfstoredproc>
<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5128>
	<cfprocresult name=Message4>
</cfstoredproc>

<cfstoredproc procedure=" s_web_OneRelNameQualifier" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name2#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocresult name=RelNameQualifier>
</cfstoredproc>
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2><b> <cfoutput><i>#OneBasHomHybParents.FullNameCache#</i></cfoutput> <cfoutput>#RelNameQualifier.RelNameQualifier# </cfoutput> <cfoutput><i>#OneName.FullNameCache#</i></cfoutput></b></h2></td>
	</tr>
	<cfif #RelNameQualifier.RelNameQualifierId# eq 2>
		<!--- The message Id=5114 --->
		<tr bgcolor ="#eeeea">
			<td colspan="2"><cfoutput>#Message2.Message#</cfoutput></td>
		</tr>
	<cfelseif #RelNameQualifier.RelNameQualifierId# eq 1>
		<!--- The message Id=5115 --->
		<tr bgcolor ="#eeeea">
			<td colspan="2"><cfoutput>#Message1.Message#</cfoutput></td>
		</tr>
	<cfelseif #RelNameQualifier.RelNameQualifierId#  eq 9 or #RelNameQualifier.RelNameQualifierId# eq 10>
		<!--- The message Id=5116 --->
		<tr bgcolor ="#eeeea">
			<td colspan="2"><cfoutput>#Message3.Message#</cfoutput></td>
		</tr>
	<cfelseif #RelNameQualifier.RelNameQualifierId#  eq 16>
		<!--- The message Id=5128 --->
		<tr bgcolor ="#eeeea">
			<td colspan="2"><cfoutput>#Message4.Message#</cfoutput></td>
		</tr>
	</cfif>
	
	<!--- Name and nomenclatural citation --->  
	<tr bgcolor="#eeeee">
		<td width=100><strong>Name:</strong></td>
		<cfoutput><td width=460>#OneBasHomHybParents.FullNameCache#</td></cfoutput>
	</tr>
	<tr bgcolor="#eeeee">
		<td><strong>Nomencl. ref.</strong></td>
		<cfoutput>
			<cfif #OneBasHomHybParents.FullNomRefCache# neq ''>
				<td>#OneBasHomHybParents.FullNomRefCache#</td>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
		</cfoutput>
	</tr>
	
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
		<cfif #RelNameQualifier.RelNameQualifierId# eq 2>
			Do you really want to delete this homonym relation for <cfoutput>#OneName.FullNameCache#</cfoutput>?
		<cfelseif #RelNameQualifier.RelNameQualifierId# eq 1>
			Do you really want to delete this Basionym relation for <cfoutput>#OneName.FullNameCache#</cfoutput>?
		<cfelseif #RelNameQualifier.RelNameQualifierId# eq 9 or #RelNameQualifier.RelNameQualifierId# eq 10>
			Do you really want to delete this Parent relation for <cfoutput>#OneName.FullNameCache#</cfoutput>?
		<cfelseif #RelNameQualifier.RelNameQualifierId# eq 16>
			Do you really want to delete this orthographic variant for <cfoutput>#OneName.FullNameCache#</cfoutput>?
		</cfif>
			<br>
			<form name=EM action="#cgi.script_name#" method="post">
				<input type="submit" name="TheButton" value="Yes">
				<input type="submit" name="TheButton" value="Cancel">
			</form>
		</td>
	</tr>

</table>

<cfinclude template="../template_down.cfm">
