<!--- DelMisappliedName		--->
<!--- M. Geoffroy 		--->
<!--- Created: 3/2003		--->

<!---
Cut the link from this misapplied name to its accepted taxon.
Do not remove the name and its name history.
--->

<cfinclude template="../template_up.cfm">

<!--- Get accepted taxon for this misapplied name --->
<cfstoredproc procedure="s_web_Misapplied2Acc" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name1#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref1#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=AcceptedTaxon>
</cfstoredproc>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If "Yes" button was pressed --->
	<cfif form.TheButton eq "Yes">
		<cfstoredproc procedure="s_web_DeleteMisappliedName" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name1#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref1#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
			<cfprocresult name=AcceptedTaxon>
		</cfstoredproc>
	</cfif>
	<!--- ... and jump to the central form --->
	<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
</cfif>
<!--- Database Interface --->
<!--- Potential taxon information --->
<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name1#>
	<cfprocresult name=OneName>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref1#>
	<cfprocresult name=OneReference>
</cfstoredproc>
<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=8000>
	<cfprocresult name=Message>
</cfstoredproc>

<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2><b>You are about to delete a misapplied name relation for<br><i><cfoutput>#AcceptedTaxon.FullNameCache#</cfoutput></i></b></h2></td>
	</tr>
	<!--- The message Id=8000 --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><cfoutput>#Message.Message#</cfoutput></td>
	</tr>
	<!--- Name and nomenclatural citation --->  
	<tr bgcolor="#eeeee">
		<td width=100><strong>Name:</strong></td>
		<cfoutput><td width=460>#OneName.FullNameCache#</td></cfoutput>
	</tr>
	<tr bgcolor="#eeeee">
		<td><strong>Nomencl. ref.</strong></td>
		<cfoutput>
			<cfif #OneName.FullNomRefCache# neq ''>
				<td>#OneName.FullNomRefCache#</td>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
		</cfoutput>
	</tr>
	<tr bgcolor="#eeeee">
		<td><strong>sec.</strong></td>
		<cfoutput>
			<td>#OneReference.RefCache#</td>
		</cfoutput>
	</tr>
	
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
			Do you really want to delete this misapplied name relation from your revision?
			<br>
			<form name=EM action="#cgi.script_name#" method="post">
				<input type="submit" name="TheButton" value="Yes">
				<input type="submit" name="TheButton" value="Cancel">
			</form>
		</td>
	</tr>

</table>

<cfinclude template="../template_down.cfm">
