<!--- DelSynonym				--->
<!--- Anton Gntsch, J. Li 		--->
<!--- Created: 12/2001			--->
<!--- Last update: 3/11/2002	--->

<!---
Cut the link from this synonym to its accepted taxon and remove the potential taxon.
Do not remove the name and its name history. 
--->

<cfinclude template="../template_up.cfm">

<!--- Get accepted taxon for this synonym --->
<cfstoredproc procedure="s_web_Syn2Acc" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=AcceptedTaxon>
</cfstoredproc>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If "Yes" button was pressed --->
	<cfif form.TheButton eq "Yes">
		<cfif #url.TempStatus# eq 4>
			<!--- Delete pro parte synonym ... --->
			<cfstoredproc procedure="s_web_DeleteProSy" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name2#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Ref#>
			</cfstoredproc>
		<cfelse>
			<!--- Delete synonym ... --->
			<cfstoredproc procedure="s_web_DeleteSyn" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Ref#>
			</cfstoredproc>
		</cfif>
	</cfif>
	<!--- ... and jump to the central form --->
	<cflocation url=#session.BackFromDelSynonym# addtoken="no">
</cfif>
<!--- Create session variables if not already existing --->
<cfparam name="session.BackFromDelSynonym" default="">
<cfif (cgi.request_method is "get") and (session.CallingPage eq "TaxForm")>
	<cfset session.BackFromDelSynonym = cgi.http_referer>
</cfif>
<!--- If calling Page ist InactiveTaxform --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "InactiveTaxForm")>
	<cfset session.BackFromDelSynonym = cgi.http_referer>
</cfif>
<!--- Database Interface --->
<!--- Potential taxon information --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<!--- Get facts--->
<cfstoredproc procedure="s_web_PT2Facts" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=Facts>
</cfstoredproc>
<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5113>
	<cfprocresult name=Message>
</cfstoredproc>

<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2><b>You are about to delete a <cfoutput>#OnePT.Status#</cfoutput> relation for<br><i><cfoutput>#AcceptedTaxon.FullNameCache#</cfoutput></i></b></h2></td>
	</tr>
	<!--- The message Id=5000 --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><cfoutput>#Message.Message#</cfoutput></td>
	</tr>
	<!--- Name and nomenclatural citation --->  
	<tr bgcolor="#eeeee">
		<td width=100><strong>Name:</strong></td>
		<cfoutput><td width=460>#OnePT.FullNameCache#</td></cfoutput>
	</tr>
	<tr bgcolor="#eeeee">
		<td><strong>Nomencl. ref.</strong></td>
		<cfoutput>
			<cfif #OnePt.FullNomRefCache# neq ''>
				<td>#OnePt.FullNomRefCache#</td>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
		</cfoutput>
	</tr>
	
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
			Do you really want to delete this <cfoutput>#OnePT.Status#</cfoutput> relation from your revision?
			<br>
			<form name=EM action="#cgi.script_name#" method="post">
				<input type="submit" name="TheButton" value="Yes">
				<input type="submit" name="TheButton" value="Cancel">
			</form>
		</td>
	</tr>

</table>

<cfinclude template="../template_down.cfm">