<!--- Edit PTaxon Notes			--->
<!--- Anton Gntsch				--->
<!--- Created: 2/2002			--->
<!--- Last Updated: 5/2003 by J. Li	--->


<!---
Edit a PTaxon Note, for the given potential taxon.
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">
		
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>
  

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfstoredproc procedure="s_web_UpdatePTaxonNotes" datasource="#session.DSName#">
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
			<cfif #form.taxonnotes# neq ""> 
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@PotNotes" value="#form.TaxonNotes#">
			<cfelse>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@PotNotes" null="yes">			
			</cfif>
		</cfstoredproc>
		<!--- ... and jump to the central form --->
		<cflocation url=#session.BackFromEditPTaxonNotes# addtoken="no">
	<cfelse>
				
		<cfset session.TaxonNotes = form.TaxonNotes>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromEditPTaxonNotes#">
		</cfif>
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Clear">
			<!--- Feed data into backbone database ... --->
			<cfstoredproc procedure="s_web_UpdatePTaxonNotes" datasource="#session.DSName#">
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@PotNotes" null="yes">			
			</cfstoredproc>
		<!--- ... and jump to the central form --->
		<cflocation url=#session.BackFromEditPTaxonNotes# addtoken="no">
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->

<cfparam name="session.TaxonNotes" default = "">
<cfparam name="session.BackFromEditPTaxonNotes" default="">

<!--- Was this template called with get method from the central form? --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "Taxform")>
	<!--- Retrieve information for one name --->
	<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
		<cfprocresult name=ThisName>
	</cfstoredproc>
	<!--- Retrieve information for one PTaxon --->
	<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=OnePT>
	</cfstoredproc>	
	<cfset session.TaxonNotes = OnePT.Notes>
	<cfset session.BackFromEditPTaxonNotes = cgi.http_referer>
</cfif>
<cfif (cgi.request_method is "get") and (session.CallingPage eq "InactiveTaxform")>
	<!--- Retrieve information for one name --->
	<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
		<cfprocresult name=ThisName>
	</cfstoredproc>
	<!--- Retrieve information for one PTaxon --->
	<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=OnePT>
	</cfstoredproc>	
	<cfset session.TaxonNotes = OnePT.Notes>
	<cfset session.BackFromEditPTaxonNotes = cgi.http_referer>
</cfif>
<!--- Database interface --->



<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<h2>
				<b>Edit Taxon Notes for<br>
				<i><cfoutput>#ThisName.FullNameCache#</cfoutput></i> 
				</b>
			</h2>
		</td>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
				
		<!--- Notes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Notes</b>
			</td><td>	
				<textarea cols="50" rows="5" name="TaxonNotes" dir="ltr" clientwidth="500" wrap=physical><cfoutput>#session.TaxonNotes#</cfoutput></textarea>
			</td>
		</tr>
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td>
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
			</td>
			<td align="right">
				<input type="button" name="Clear" value="Clear" onClick="ButtonAction('Clear')">
			</td>
		</tr>
	</form>
</table>

<cfinclude template="../template_down.cfm">
