<!--- MoveAllSynConf						--->
<!--- D. Rpert								--->
<!--- Created: 2/2003						--->
<!--- Last update: 3/3/2003					--->
<!--- Updated by: A.Gntsch					--->
<!--- based on Syn2AccConf (Anton Gntsch) 	--->

<!--- After selecting a new parent taxon when moving all synonyms to another accepted taxon, the user has
to confirm the selection. If this form is called with a get, the previous selctions are once
more displayed. If then the Apply button is pressed, the form will call itself with
a post. From there all synonyms are moved with a stored procedure and inactivetaxform.cfm
is called with the old accepted taxon as the focus.
--->

<cfinclude template="../template_up.cfm">
	
	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>

<!--- Information needed regardless whether this was a get or post. --->
<!--- focuused potential taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.OldParent#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>

<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5011>
	<cfprocresult name=Message>
</cfstoredproc>

<!--- If this page was recursively called with post method ... --->
<cfif cgi.request_method is "post">

	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Apply move all Synonyms ... --->
		<cfstoredproc procedure="s_web_MoveAllSynonyms" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefId" value=#URL.Ref#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@CurrentAccName" value=#URL.OldParent#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@TargetAccName" value=#URL.NewParent#>
		</cfstoredproc>	
		<!--- ... and jump back to InactiveTaxForm.cfm --->
		<cflocation url="#application.EditorHome#InactiveTaxForm.cfm?Name=#URL.Oldparent#&Ref=#URL.Ref#" addtoken="no">
	</cfif>

	<!--- If Cancel button was pressed jump also back to InactiveTaxForm.cfm --->
	<cfif form.TheButton eq "Cancel">
		<cflocation url="#application.EditorHome#InactiveTaxForm.cfm?Name=#URL.OldParent#&Ref=#URL.Ref#" addtoken="no">
	</cfif>

<cfelse> <!--- This page has been called with a get --->
			<!--- New parent potential taxon --->
	<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.NewParent#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=OneParent>
	</cfstoredproc>
		<!--- Old parent potential taxon --->
	<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.OldParent#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=OneParentOld>
	</cfstoredproc>
		<!--- Display all synyonyms for old parent potential taxon --->
	<cfstoredproc procedure="s_web_Acc2Syn" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.OldParent#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=Synonyms>
	</cfstoredproc>
	<!--- Create form --->
	<table class="maintable">
	
		<!--- Title for this form --->
		<!--- Title for this form --->
		<tr bgcolor="#eeeea">
			<td>
				<h2>
					<b>Move synonyms<br>
					<cfloop query="Synonyms">
					<i><cfoutput>
					<cfif (#Synonyms.DoubtfulFlag# eq "d")>
							#Synonyms.FullnameCache#&nbsp;[doubtful #Synonyms.Status#]
						<cfelse>
							#Synonyms.FullnameCache#&nbsp;[#Synonyms.Status#]
						</cfif></cfoutput></i><br>
					</cfloop>
					for <i><cfoutput>#OneParentOld.FullNameCache#</cfoutput></i><br>
					to <i><cfoutput>#OneParent.FullNameCache#</cfoutput></i>
					</b>
				</h2>
			</td>
		</tr>
		<!--- Some explanations --->
		<tr bgcolor="#eeeea">
			<td>
				<cfoutput>#message.Message#</cfoutput>
			</td>	
		</tr>
		
		<form name=EM action="#cgi.script_name#" method="post">
		
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			
			
			
			<!--- <tr bgcolor="#eeeee">
				<td>
					<b>Notes</b><br>
					<textarea cols="60" rows="3" name="RefNotes" dir="ltr" clientwidth="400" wrap=physical></textarea>
				</td>
			</tr> --->

			<!--- Apply, Cancel, and Back buttons --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type=button value="Apply" value="Apply" onClick="ButtonAction('Apply')">
					<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
					<input type=button value="Back" onClick="window.location.href='javascript:history.back()'">
					
				</td>
			</tr>
			
		</form>

	</table>
</cfif>


<cfinclude template="../template_down.cfm">
