<!--- RelName				--->
<!--- J.Li					--->
<!--- Created: 8/2002		--->
<!--- Updated: M. Geoffroy		--->
<!--- Last update: 2/2004	--->

<!---
 It is used for  displaying information on a RelName . The URL parameters name2 and reference
correspond to a potential taxon. The parameter name correspond to a taxon name and determin the 'focus' of the template.
--->

<cfinclude template="../template_up.cfm">

<script language="javascript">

	function openNomRefCheckWindow() {
		window.open('<cfoutput>#application.EditorHome#</cfoutput>Messages/AddNomRefMessage.cfm', 'mywindow', 'width=550, height=180, scrollbars=yes')
	}
</script>

<!--- Database Interface: Retrieve data to populate central form --->
<!--- Information for the focussed name --->
<cfstoredproc procedure="s_web_OneBasHomHybParents" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneBasHomHybParents>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneNameAndCitation" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
		<cfprocresult name=NomRef>
</cfstoredproc>

<cfstoredproc procedure=" s_web_OneRelNameQualifier" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name2#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocresult name=RelNameQualifier>
</cfstoredproc>
<!--- Retrieve Accepted name for a given homonym or basionym --->
<cfstoredproc procedure="s_web_OneHomBasAcc" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#RelNameQualifier.RelNameQualifierId#>
	<cfprocresult name=OneHomBasAcc>
</cfstoredproc>
	<!--- Information for the focussed name and nomStatus --->
<cfstoredproc procedure="s_web_OneNameAndNomStatuses" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocresult name=OneNameAndNomStatuses>
</cfstoredproc>

<table class="maintable">
	<!--- Section with information about this taxon name--->  
	
	<tr bgcolor="#eeeea">
		<td width=120><strong>Name:</strong></td> 
		<cfoutput>
			<td width=440><b><i>#OneBasHomHybParents.FullNameCache#</i></td>
			<!--- if names with ranks higher than family, it can not be edited.--->
			<cfif OneBasHomHybParents.RankId lt 20>
				<td width=40>&nbsp;</td>
			<!--- if names with ranks equal or lower than family, it can be edited.--->
			<cfelse>
				<cfif (RelNameQualifier.RelNameQualifierId eq 2)>
					<td width=40><i><b><a href="EditHomonym.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OneBasHomHybParents.RankId#">Edit</a></b></i></td>
				<cfelseif (RelNameQualifier.RelNameQualifierId eq 1)>
					<td width=40><i><b><a href="EditBasionym.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OneBasHomHybParents.RankId#">Edit</a></b></i></td>
				<cfelseif (RelNameQualifier.RelNameQualifierId eq 16)>
					<td width=40><i><b><a href="EditVariant.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OneBasHomHybParents.RankId#">Edit</a></b></i></td>
				</cfif>
			</cfif>
		</cfoutput>
	</tr>
	<!--- Hybridformula and autonym have not nomenclatural refference--->
	<cfif #OneBasHomHybParents.HybridformulaFlag# neq 1 and (len(#OneBasHomHybParents.SpeciesEpi#) eq 0 or len(#OneBasHomHybParents.InfraSpeciesEpi#) eq 0 or #OneBasHomHybParents.SpeciesEpi# neq #OneBasHomHybParents.InfraSpeciesEpi#)> 
	<tr bgcolor="#eeeee">
		<td><strong>Nomencl. ref.</strong></td>
		<cfoutput>
			<cfif #OneBasHomHybParents.FullNomRefCache# neq ''>
				<cfif #OneBasHomHybParents.DetailPreliminaryFlag# eq 1>
					<td><i><b><a href="#Application.EditorHome#Bib/EditNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">#OneBasHomHybParents.FullNomRefCache#</a></b></i></td>		
				<cfelse>
					<td><i><b><a href="#Application.EditorHome#Bib/UpdateNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">#OneBasHomHybParents.FullNomRefCache#</a></b></i></td>		
				</cfif>		
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
			<cfif OneBasHomHybParents.RankId lt 20> <!--- rank higher than family? -> do not edit! ---> <!--- rank higher than family? -> do not edit! --->
				<td>&nbsp;</td>
			<cfelse>
				<cfif #OneBasHomHybParents.FullNomRefCache# neq ''>
					<td><i><b><a href="#Application.EditorHome#Bib/DelNomRef.cfm?Name2=#URL.Name2#&Name=#URL.Name#&Ref=#URL.Ref#">Del</a></b></i></td>
				<cfelse>	
					<cfif #OneBasHomHybParents.AuthorTeamFk# gte 0> 
						<td><i><b><a href="#Application.EditorHome#Bib/AddNomRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRefCat=3" class="addlink">Add</a></b></i></td>
					<cfelse>
						<td><i><b><a onclick=openNomRefCheckWindow()><u><font color="Blue">Add</font></u></a></b></i></td>
					</cfif>	
				</cfif>		
			</cfif>
		</cfoutput>  
	</tr>
	
	<cfset Header = 1>
	<cfloop query="OneNameAndNomStatuses">   
		<tr bgcolor="#eeeee">
			<cfif Header eq 1>
				<td><strong>Nomencl. status(es)</strong></td>
				<cfset Header = 0>
			<cfelse>
				<td>&nbsp;</td>	
			</cfif>
		<cfoutput>
			<cfif #OneNameAndNomStatuses.RecordCount# gt 0>
				<td>
				<cfif Len(#OneNameAndNomStatuses.FullRefCache#)lt 60>
					<a href="#application.EditorHome#Names/ShowNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#"><b>#OneNameAndNomStatuses.QuetionMark#&nbsp;#OneNameAndNomStatuses.Nomstatus#</b> &nbsp;<i>#OneNameAndNomStatuses.FullRefCache#</i></a>
				<cfelse>
					<a href="#application.EditorHome#Names/ShowNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#"><b>#OneNameAndNomStatuses.QuetionMark#&nbsp;#OneNameAndNomStatuses.Nomstatus#</b> &nbsp;<i>#OneNameAndNomStatuses.First60#...</i></a>
				</cfif>
				</td>		
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
			<cfif OneBasHomHybParents.RankId lt 20> <!--- rank higher than family? -> do not edit! ---> <!--- rank higher than family? -> do not edit! --->
				<td>&nbsp;</td>
			<cfelse>
				<cfif #OneNameAndNomStatuses.RecordCount# gt 0>
					<td>	
						<i><b>
						<a href="#application.EditorHome#Names/DelNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#">Del</a>
						</b></i>
					</td>
				</cfif>
			</cfif>
		</cfoutput>
		</tr>
	</cfloop>
	<cfif Header eq 1>
		<tr bgcolor="#eeeee">
			<td><strong>Nomencl. status(es)</strong></td>
		<cfif OneBasHomHybParents.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
			<td>&nbsp;</td>
		<cfelse>
			<td align="">
			<cfoutput>
				<i><b><a href="#application.EditorHome#Names/AddNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempNomStatus=1&TempRefCat=1" class="addlink">add nomenclatural status</a></b></i>
			</cfoutput>
			</td>
		</cfif>
			<td>&nbsp;</td>
		</tr>
	<cfelse>
		<tr bgcolor="#eeeee">
			<td>&nbsp;</td>
		<cfif OneBasHomHybParents.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
			<td>&nbsp;</td>
		<cfelse>
			<td align="">
			<cfoutput>
				<i><a href="#application.EditorHome#Names/AddNomStatus.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempNomStatus=1&TempRefCat=1" class="addlink">add nomenclatural status</a></i>
			</cfoutput>
			</td>
		</cfif>
			<td>&nbsp;</td>
		</tr>
	</cfif>
</cfif>
	<tr bgcolor="#eeeee">
		<td><strong>Rank:</strong></td>
		<cfoutput>
			<td>#OneBasHomHybParents.Rank#</td>
		</cfoutput>
		<td>&nbsp;</td>
	</tr>

	<cfset Header = 1>
	<cfloop query="OneHomBasAcc">  
	<tr bgcolor="#eeeee">
		<cfoutput>
			<cfif Header eq 1>	
				<td><strong>#RelNameQualifier.RelNameQualifier#</strong></td>
				<cfset Header = 0>
			<cfelse>
				<td>&nbsp;</td>	
			</cfif>
		</cfoutput>
		<cfoutput>
			<cfif OneBasHomHybParents.RankId lt 20> <!--- rank higher than family? -> do not edit! ---> 
				<td>#OneHomBasAcc.FullnameCache#</td>
			<cfelse>
				<td><a href="#application.EditorHome#TaxForm.cfm?name=#OneHomBasAcc.NameId#&ref=#url.ref#">#OneHomBasAcc.FullnameCache#</a></td>
			</cfif>
			<td>&nbsp;</td>
		</cfoutput>  
	</tr>
	</cfloop> 
</table>

<cfinclude template="../template_down.cfm">
