<!--- SelectHybParent					--->
<!---  Author: J. Li 					--->
<!--- Created: 9/2002					--->
<!--- Last update: 7/2003 by J. Li  	 --->
<!---
Search for records in the name table.  Use an additional selectbox to specify the field
 to be searched. The "*" charcacter within serach strings is replaced by "%" to be 
 compliant with ANSI SQL.This template is used for selecting a name as a parent of a 
 hybridformula.

--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>


<!--- Action: Submit Query and display hits with links to the new focus --->
<cfif cgi.request_method is "post">
<!--- Call stored procedure to search for name --->
<cfif (form.TheButton neq "New Search" and form.TheButton neq "Cancel") and len(ltrim(rtrim(replace(#form.SearchString#, '*', '', 'all' ))))gte 3 >
	<cfset NewSearchString = #replace(#form.SearchString#, "*", "%", "all")#>
	<cfstoredproc procedure="s_web_SearchName" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.Where#>
		<cfprocresult name=Hits>
	</cfstoredproc>
	<!--- Display hits --->
	<table class="maintable">
	
		<!--- Title --->
		<tr bgcolor ="#eeeea">
			<td colspan="3">
				<h3>
					<cfoutput>
						#Hits.RecordCount# hits for<br>
						<i>
							<cfswitch expression=#form.Where#>
								<cfcase value=1>Entire taxon name</cfcase>
								<cfcase value=2>Suprageneric name</cfcase>
								<cfcase value=3>Genus</cfcase>
								<cfcase value=4>Infrageneric epithet</cfcase>
								<cfcase value=5>Species epihtet</cfcase>
								<cfcase value=6>Infraspecific epithet</cfcase>
								<cfcase value=7>Unnamed NamePhrase</cfcase>
								<cfcase value=8>Cultivar Name</cfcase>
								<cfcase value=9>Cultivar GroupName</cfcase>
							</cfswitch>
							&nbsp;=&nbsp;
							#form.SearchString#
						</i>
					</cfoutput>
				</h3>
			</td>
		</tr>

		<!--- Header --->
		<tr bgcolor="#eeeee">
			<td><b>Full name</b></td>
			<td><b>Rank</b></td>
		</tr>

		<!--- Hits and links to new focus --->
		<cfoutput query=Hits>
			<tr bgcolor="##eeeee">
				<cfif #URL.TempSynCat# eq 0>
					<cfif #url.RelQualifier# eq 9>
						<td><a href="AddHybParent.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Ref2=#URL.Ref2#&TempRank=#URL.TempRank#&TempSynCat=#URL.TempSynCat#&Name1=#Hits.NameId#&Relqualifier=9">#Hits.FullNameCache#</a></td>
					</cfif>	
					<cfif #url.RelQualifier# eq 10>
						<td><a href="AddHybParent.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Ref2=#URL.Ref2#&TempRank=#URL.TempRank#&TempSynCat=#URL.TempSynCat#&Name1=#Hits.NameId#&Relqualifier=10&Name2=#URL.Name2#">#Hits.FullNameCache#</a></td>
					</cfif>
				<cfelse>
					<cfif #url.RelQualifier# eq 9>
						<td><a href="AddHybParent.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&TempSynCat=#URL.TempSynCat#&Name1=#Hits.NameId#&Relqualifier=9">#Hits.FullNameCache#</a></td>
					</cfif>	
					<cfif #url.RelQualifier# eq 10>
						<td><a href="AddHybParent.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&TempSynCat=#URL.TempSynCat#&Name1=#Hits.NameId#&Relqualifier=10&Name2=#URL.Name2#">#Hits.FullNameCache#</a></td>
					</cfif>
				</cfif>			
				<td>#Hits.Rank#</td>		
			</tr>	
		</cfoutput>

		<!--- Button: Back --->
		<tr bgcolor ="#eeeea">
			<form name=EM action="#cgi.script_name#" method="post">
			<input type="hidden" name="TheButton">
			<td colspan="3">
				<input type=button name="New Search" value="New Search" onClick="ButtonAction('New Search')">
				<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">
			</td>
			</form>
		</tr>	
	</table>
	<cfelseif form.TheButton eq "Cancel" and #url.RelQualifier# eq 9>
		<cfif #URL.TempSynCat# neq 0>
			<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
		<cfelse>
			<cflocation url="SelectNameAndR.cfm?name=#URL.name#&ref=#URL.ref#&Name2=-99&Ref2=#URL.Ref2#" addtoken="no">
		</cfif>
	<cfelseif form.TheButton eq "Cancel" and #url.RelQualifier# eq 10 >
		<cfstoredproc procedure="s_web_DeleteHybParents" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name2#>
		</cfstoredproc>
		<cfif #URL.TempSynCat# neq 0>
			<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
		<cfelse>
			<cflocation url="SelectNameAndR.cfm?name=#URL.name#&ref=#URL.ref#&Name2=-99&Ref2=#URL.Ref2#" addtoken="no">
		</cfif>
	<cfelseif form.TheButton eq "New Search" >
		<cfif  #url.RelQualifier# eq 9>
			<cflocation url="#application.EditorHome#Names/SelectHybParent.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&TempSynCat=#URL.TempSynCat#&Relqualifier=9" addtoken="no">
		</cfif>
		<cfif  #url.RelQualifier# eq 10>
			<cflocation url="#application.EditorHome#Names/SelectHybParent.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&TempSynCat=#URL.TempSynCat#&Relqualifier=10&Name2=#URL.Name2#" addtoken="no">
		</cfif>
		<script language=javascript>
			window.close('<cfoutput>#application.EditorHome#</cfoutput>messages/searchNameOrRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
		</script>
	<cfelse>
		<table class="maintable">
		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=250>
		</colgroup>
			<!--- Title for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<cfif #url.RelQualifier# eq 9>
					<h3>Select First Parent (name string)</h3>
					</cfif>
					<cfif #url.RelQualifier# eq 10>
					<h3>Select Second Parent (name string)</h3>
					</cfif>
				</td>
			</tr>
	
			<!--- some explanations --->
			<tr bgcolor="#eeeee">
				<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*inace*').</td>
				<td>Select name part to be queried.</td>
			</tr>

		<form name=EM action="#cgi.script_name#" method="post">
		<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<input type="text" name="SearchString" size="60">
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrse
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button" name="Search" value="Search" onClick="ButtonAction('Search')">
					<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
					
				</td>
			</tr>
		</form>
		</table>
	</cfif>
	<cfif (form.TheButton neq "New Search" and form.TheButton neq "Cancel") and len(ltrim(rtrim(replace(#form.SearchString#, '*', '', 'all' ))))lt 3 >
		<!--- Open message window --->
		<script language=javascript>
			window.open('<cfoutput>#application.EditorHome#</cfoutput>messages/searchNameOrRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
		</script>
	</cfif>
<cfelse>
	<table class="maintable">

		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=250>
		</colgroup>
	
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<cfif #url.RelQualifier# eq 9>
				<h3>Select First Parent (name string)</h3>
				</cfif>
				<cfif #url.RelQualifier# eq 10>
				<h3>Select Second Parent (name string)</h3>
				</cfif>
			</td>
		</tr>
	
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*inace*').</td>
			<td>Select name part to be queried.</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
		<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<input type="text" name="SearchString" size="60">
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrse
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button" name="Search" value="Search" onClick="ButtonAction('Search')">
					<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">	
				</td>
			</tr>
		</form>
	</table>
</cfif>

<cfinclude template="../template_down.cfm">
