<!--- Acc2SynAdd.cfm			--->
<!--- D.Rpert 					--->
<!--- Created: 5/2003			--->
<!--- Last update: 5/2003	--->

<!---This template is used for adding a synonym to an accepted taxon.--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Call this page once more if user changes the synonym category --->
    	function ChangeSynCatAction(Name, Ref,  NameIn, TempStatus) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>status/Acc2SynAdd.cfm?name=' + Name + '&ref=' + Ref + '&NameIn=' + NameIn + '&TempStatus=' + TempStatus;
			document.EM.submit();
		}
		function SetHiddenDoubtfulFlag() {
			if (document.EM.DoubtfulFlag.checked) {
				document.EM.HiddenDoubtfulFlag.value = 'on';
			} else {
				document.EM.HiddenDoubtfulFlag.value = 'off';
			}
		}
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}	
</script>

<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.NameIn#>
	<cfprocresult name=OneName1>
</cfstoredproc>
<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Yes button was pressed --->
	<cfif form.TheButton eq "Yes">		
		<cfstoredproc procedure="s_web_SetStatusAcc2Syn" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.NameIn#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.TempStatus#>
			<cfif isdefined("form.DoubtfulFlag")>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="d">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="a">  
			</cfif>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.Notes#">
		</cfstoredproc>
		<!--- ... and jump to the central form --->
		<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.HiddenDoubtfulFlag")>
			<cfset session.HiddenDoubtfulFlag = form.HiddenDoubtfulFlag>
		</cfif>
		<cfset session.Notes = form.Notes>
		<!--- "Cancel" was pressed --->
	</cfif>
</cfif>
<!--- Create session variables if not already existing --->
<cfparam name="session.HiddenDoubtfulFlag" default="off">
<cfparam name="session.Notes" default = "">
<!--- Was this template called with get method from the central form? --->
<cfif (cgi.request_method is "get")>
	<cfset session.DoubtfulFlag = "off">
	<cfset session.Notes = "">
</cfif>
<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocresult name=OneName>
</cfstoredproc>
<table class="maintable">
	<!--- Title for this form --->
	<form name=EM action="#cgi.script_name#" method="post">
	<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
	<input type="hidden" name="TheButton">
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2>
		<cfif #url.TempStatus# eq 1>
			<b>Selected Included Taxon:</b>
			<br> <cfoutput><i>#OneName1.FullNameCache#</i></cfoutput>
		<cfelseif #url.TempStatus# gte 2>
			<b>Selected </b> <cfoutput><i>#OneName1.FullNameCache#</i></cfoutput> is
			<br></h2> 
			Doubtful<input type="checkbox" name="DoubtfulFlag" <cfif session.HiddenDoubtfulFlag eq 'on'> checked </cfif> onClick="SetHiddenDoubtfulFlag()"> 
			<input type="hidden" name="HiddenDoubtfulFlag"<cfif session.HiddenDoubtfulFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>
			<cfoutput>
				Synonym:<input type="radio" name="SynCat" <cfif #URL.TempStatus# eq 2>checked</cfif> value=2 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Ref#, #nameIn#, this.value)">&nbsp;
				<!---Doubtful syn.:<input type="radio" name="SynCat" <cfif #URL.TempSynCat# eq 2 and #OneName.DoubtfulFlag# eq 1>checked</cfif> value=2 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Ref#, #url.TempRank#, this.value)">&nbsp;--->
				Pro parte syn.:<input type="radio" name="SynCat" <cfif #URL.TempStatus# eq 4>checked</cfif> value=4 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Ref#, #nameIn#, this.value)">&nbsp;
				Partial synonym:<input type="radio" name="SynCat" <cfif #URL.TempStatus# eq 3>checked</cfif> value=3 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Ref#,  #nameIn#,this.value)">
			</cfoutput>
		</cfif>
		</td>
	</tr>
	<!--- Name and nomenclatural citation --->  
	<tr bgcolor="#eeeee">
		<td width=140><strong>Name:</strong></td>
		<cfoutput><td width=460>#OneName.FullNameCache#</td></cfoutput>
	</tr>
	<tr bgcolor="#eeeee">
		<td><strong>Nomencl. ref.</strong></td>
		<cfoutput>
			<cfif #OneName.FullNomRefCache# neq ''>
				<td>#OneName.FullNomRefCache#</td>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
		</cfoutput>
	</tr>
	
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
		<cfif #url.TempStatus# eq 1>
			Are you sure <cfoutput><i>#OneName1.FullNameCache#</i></cfoutput>  is an included taxon of <cfoutput><i>#OneName.FullNameCache#</i></cfoutput> ?
		<cfelseif #url.TempStatus# gte 2>
			Are you sure  <cfoutput><i>#OneName1.FullNameCache#</i></cfoutput>  is a synonym  of <cfoutput><i>#OneName.FullNameCache#</i></cfoutput> ?
		</cfif>
		</td>
	</tr>
	<tr bgcolor="#eeeee">
		<td><b>Notes(relation)</b></td>
		<td><textarea cols="50" rows="3" name="Notes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.Notes#</cfoutput></textarea></td>
		</tr>
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<input type="button" name="Yes" value="Yes" onClick="ButtonAction('Yes')">
			<input type=button value="Cancel" onClick="window.location.href='javascript:history.back()'">
		</td>
	</tr>
</form>
</table>
<cfinclude template="../template_down.cfm">