<!--- AccParent.cfm				--->
<!---  J. Li	 				--->
<!--- Created: 9/2003			--->
<!---
This form is used to select a new parent taxon (active accepted)
when an inactive  accepted taxon is turned into an active accepted taxon.
--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>


<!--- Potential taxon information to be displayed regardless whether this was a get or post. --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>

<!--- Action: Submit Query and display hits with links to the taxon to be selected --->
<!--- as a new parent if this was a post. --->

<cfif ((#OnePT.RankId# gt 40 and #OnePT.HybridformulaFlag# neq 1)or  cgi.request_method is "post")>
	<!---search parents if the given taxon is hybridformula or its rank is below genus--->
	<cfif #OnePT.RankId# gt 40 and #OnePT.HybridformulaFlag# neq 1>
	<cfstoredproc procedure="s_web_SelectReacParent" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocresult name=Hits>
		</cfstoredproc>
	<cfelse>
	<!---search parents if the given taxon eaqual or higher than genus--->
	<cfset NewSearchString = #replace(#form.SearchString#, "*", "%", "all")#>
		<cfstoredproc procedure="s_web_SearchReacParent" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocresult name=Hits>
		</cfstoredproc>
	</cfif>	
	<!--- Display hits --->
	<table class="maintable">
		
		<!--- Title for this form --->
		<tr bgcolor="#eeeea">
			<td colspan="2">
				<h2>
					<b>Choose an accepted taxon as a parent taxon for<br>
					<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i>
					</b>
				</h2>
			</td>
		</tr>
		
		<tr bgcolor ="#eeeea">
			<td colspan="3">
				<h3>
					<cfoutput>
					<cfif #OnePT.RankId# lte 40 or #OnePT.HybridformulaFlag# eq 1 >
						#Hits.RecordCount# hits for #form.SearchString# as  valid parents of <br>
						<i>			
				
						 #OnePT.FullNameCache#
						</i>
		
					<cfelse>
						#Hits.RecordCount# hits for valid parents of <br>
						<i>			
				
						 #OnePT.FullNameCache#
						</i>
					</cfif>
					</cfoutput>
					
				</h3>
			</td>
		</tr>
		<!--- Header --->
		<tr bgcolor="#eeeee">
			<td><b>Full name</b></td>
			<td><b>Rank</b></td>
		</tr>

		<!--- Hits and links to select the new parent taxon --->
		<cfoutput query=Hits>
			<tr bgcolor="##eeeee">
				<td><a href="#application.EditorHome#Status/ReactivateConfNewRoot.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NewParent=#Hits.NameId#">#Hits.FullNameCache#</a></td>
				<td>#Hits.Rank#</td>
			</tr>	
		</cfoutput>
		<cfif Hits.recordcount gt 0>
			<tr bgcolor="#eeeea">
				<td colspan="2">Please follow one of the given links to <b>select the new parent taxon.</b></td>
			</tr>
		</cfif>
		
		<!--- Button: Back --->
		<tr bgcolor ="#eeeea">
			<form name=EM action="#cgi.script_name#" method="post">
				<tr bgcolor ="#eeeea">
			<td colspan="3">
				<input type=button value="Cancel" onClick="window.location.href='javascript:history.go(-2)'">
				<cfif #OnePT.RankId# lte 40>
					<input type=button value="New Search" onClick="window.location.href='javascript:history.back()'">
				</cfif>
			</td>
			</td>
		</tr>
			</form>
		</tr>	
	</table>
<cfelse>
	<table class="maintabe">

		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=250>
		</colgroup>
	
		<tr bgcolor="#eeeea">
			<td colspan="2">
				<h2>
					<b>Search an accepted taxon as a parent taxon for<br>
					<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i>
					</b>
				</h2>
			</td>
		</tr>
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td colspan="2">Search parents(eg. '*inace*').</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
		
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td colspan="2">
					<input type="text" name="SearchString" size="60">
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="submit" value="Search">
					<cfoutput>
						<input type=button value="Cancel" onClick="window.location.href='javascript:history.back()'">
					</cfoutput>
				</td>
			</tr>
		
		</form>
	</table>
	</body>
</cfif>

<cfinclude template="../template_down.cfm">


