<!--- ReactivateConf				--->
<!--- J.Li		 					--->
<!--- Created: 9/2003				--->

<!---
This form is used to conform the "reactivation" of an inativate taxon.  
--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>


<!--- Information for the given potential taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<!--- detect if there are synonyms in this taxa tree have been cut relations to active taxa --->
<cfstoredproc procedure="s_web_DetectCutSyn" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=DetectCutSyn>
</cfstoredproc>
<!--- detect if there are concept relations in this taxa tree have been cut relations to active taxa --->
<cfstoredproc procedure="s_web_DetectCutCon" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=DetectCutCon>
</cfstoredproc>
<!--- detect if this taxon is the root of the inactivate taxa tree --->
<cfstoredproc procedure="s_web_DetectInactivateRoot" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=DIR>
</cfstoredproc>
<!--- Create session variables if not already existing --->
<cfparam name="session.BackFromReactivateConf" default="">
<cfif (cgi.request_method is "get") and (session.CallingPage eq "InactiveTaxForm")>
	<cfset session.BackFromReactivateConf = cgi.http_referer>
</cfif>
<!--- If this page was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<cfif form.TheButton eq "Yes" or form.TheButton eq "YesNew"> 
		<!--- ... and jump to Search parent Form --->
		<cflocation url="#application.EditorHome#Status/AccParent.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	</cfif>
	<cfif form.TheButton eq "YesOld"> 		
	<!--- reactivate the given taxon if this taxon is the root of the tree.... --->
		<cfstoredproc procedure="s_web_ReactivateTaxonTreeRoot" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
		</cfstoredproc>
			<!--- ... and jump to TaxForm --->
		<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	</cfif>
	
	<cfif form.theButton eq "Cancel">
		<!--- ... and jump to the central form --->
		<cflocation url=#session.BackFromReactivateConf# addtoken="no">
	</cfif>
<cfelse>
	<table class="maintable">
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td width="640">
				<h2>
					<b>Reactivate<br>
					<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i>
					</b>		
				</h2>
			</td>
		</tr>
		
		<form name="EM" action="#cgi.script_name#" method="post">
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Display the message for rreactivating an accepted taxon --->
			<!--- get a suitable message --->
			<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5120>
				<cfprocresult name=Message>
			</cfstoredproc>
			<tr bgcolor= "#eeeee">
				<td width="640">
					<cfoutput>#Message.Message#</cfoutput> <br>
				</td>
			</tr>
			<!-- give an alert if there are synonyms in this taxa tree have been cut relations to active taxa --->
			<cfif #DetectCutCon.recordcount# gt 0>
				<cfloop query="DetectCutCon">
				<tr bgcolor= "#eeeee">
					<td width="640">
						<cfoutput><img border="0" src="#application.EditorHome#Pics/alert.gif"> #DetectCutCon.Notes#</cfoutput> This relation 
						  will not be automatically restored.
					</td>
				</tr>
				</cfloop>
			</cfif>
			<!---give an alert if there are synonyms in this taxa tree have been cut relations to active taxa --->
			<cfif #DetectCutSyn.recordcount# gt 0>
				<cfloop query="DetectCutSyn">
				<tr bgcolor= "#eeeee">
					<td width="640">
						 <cfoutput><img border="0" src="#application.EditorHome#Pics/alert.gif"> #DetectCutSyn.Notes#</cfoutput> This relation 
						  will not be automatically restored.
					</td>
				</tr>
				</cfloop>
			</cfif>
			<!--- confirm or cancel ... --->
			<tr bgcolor = "#eeeea">
				<td>
					<cfif #DIR.recordcount# gt 0>
						Do you really want to reactivate <cfoutput>#OnePT.FullNameCache# by linked it to its old parent<br>
						 <i><b>#DIR.FullNameCache#</b></i><br>
						 or by linked it to a new parent?</cfoutput><br>
						 
						<!--- Add the buttons  --->
						<input type="button" name="YesOld" value="Yes, old parent" onClick="ButtonAction('YesOld')"> 
						<input type="button" name="YesNew" value="Yes, new parent" onClick="ButtonAction('YesNew')"> 
					<cfelse>
						Do you really want to reactivate <cfoutput>#OnePT.FullNameCache# now?</cfoutput><br>
						<!--- Add the buttons  --->
						<input type="button" name="Yes" value="Yes" onClick="ButtonAction('Yes')"> 
					</cfif>
						<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">	
				</td>
			</tr>
		</form>
		
	</table>
</cfif>

<cfinclude template="../template_down.cfm">

