<!--- Status menu			--->
<!--- A.Gntsch 			--->
<!--- Created: 1/2003		--->
<!--- Last update: 7/2003 by J. Li--->
<!---
This form is used to display the list of options when a user tries to alter the status
of a potential taxon. Additionally an information button for every available status is
displayed.
--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>


<!--- Information for the given potential taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<cfstoredproc procedure="s_web_PT2Facts" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=s_PTFacts>
</cfstoredproc>

<!--- If this page was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<cfif form.TheButton eq "SwapStatus"> <!--- Currently the one and only button ... --->
		<!--- Action: alter from doubtful ('d') to not doubtful ('a') and vice versa ... --->
		<cfif OnePT.DoubtfulFlag eq 'a'>
			<cfstoredproc procedure="s_web_SetDoubtfulFlag" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
				<cfprocparam type="IN" cfsqltype=cf_sql_char value='d'>
			</cfstoredproc>
		</cfif>
		<cfif OnePT.DoubtfulFlag eq 'd'>
			<cfstoredproc procedure="s_web_SetDoubtfulFlag" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
				<cfprocparam type="IN" cfsqltype=cf_sql_char value='a'>
			</cfstoredproc>
		</cfif>
		<!--- ... and jump back to taxform --->
		<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	</cfif>
<cfelse>
	<table class="maintable">
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td width="640">
				<h2>
					<b>Alter status for<br>
					<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i><br>
					present status:
					<cfif (OnePT.DoubtfulFlag eq 'd')>
						<cfif (OnePT.StatusId eq 1)>
							<cfoutput>preliminary #OnePT.Status#</cfoutput>
						<cfelse>
							<cfoutput>doubtful #OnePT.Status#</cfoutput>	
						</cfif>
					<cfelse>
						<cfoutput>#OnePT.Status#</cfoutput>
					</cfif>
					</b>
				</h2>
			</td>
		</tr>
		<form name="EM" action="#cgi.script_name#" method="post">
		
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			
			<!--- Display alter doubtful flag option as a button --->
			<tr bgcolor ="#eeeee">
				<td>
					<cfif OnePT.DoubtfulFlag eq 'd'>
						<input type=button name="SwapStatus" value="Delete preliminary flag" onClick="ButtonAction('SwapStatus')">
					<cfelse>
						<input type=button name="SwapStatus" value="Set preliminary flag" onClick="ButtonAction('SwapStatus')">
					</cfif>
				</td>
			</tr>
			<tr bgcolor ="#eeeea">
				<cfoutput>
					<td><b>Or turn <i>#OnePT.FullNameCache#</i> into ...</b></td>
				</cfoutput>
			</tr>
			<!--- Display appropriate options --->
			<!--- change from synonym (and partial and pro parte synonym) to accepted --->
			<cfif ((OnePT.StatusId eq 2) or (OnePT.StatusId eq 3) or (OnePT.StatusId eq 4) or (OnePT.StatusId eq 5))>
				<!--- change from synonym (and partial and pro parte synonym) to accepted or one of the synonym status values--->
				<tr bgcolor="#eeeee">
					<cfoutput>
						<td>--> <a href="Syn2Acc.cfm?Name=#url.Name#&Ref=#url.Ref#">accepted</a></td>
					</cfoutput>
				</tr>
			</cfif>
			<cfif ((OnePT.StatusId eq 1) or (OnePT.StatusId eq 5))> <!--- change from accepted to synonym, partial synonym, or pro parte synonym --->
				<tr bgcolor="#eeeee">
					<cfoutput>
						<cfif OnePT.DoubtfulFlag eq 'i'> <!--- accepted taxon is inactive --->
							<cfif #s_PTFacts.recordcount# IS 0> <!--- no synonyms, included taxa or facts are connected to the accepted taxon --->
								<td>--> <a href="Acc2Syn.cfm?Name=#url.Name#&Ref=#url.Ref#">synonym, pro parte synonym, or partial synonym</a></td>
							</cfif>
						<cfelse> <!--- accepted taxon is not inactive ---> 
							<td>--> <a href="InactivateConf.cfm?Name=#url.Name#&Ref=#url.Ref#&AlterStatus=1">synonym, pro parte synonym, or partial synonym</a></td>
						</cfif>
					</cfoutput>
				</tr>
			</cfif>
	
			<!--- Add finally the back button --->
			<tr bgcolor ="#eeeea">
				<td>
					<input type=button value="Back" onClick="window.location.href='javascript:history.back()'">
				</td>
			</tr>
		</form>
	</table>

</cfif>

<cfinclude template="../template_down.cfm">
