<!--- CharacterCodes		--->
<!--- A.Gntsch 			--->
<!--- Created: 3/2003		--->
<!--- Last update: 3/2003	--->
<!--- This is a simple page explaining how to encode diacritic charaters using the Euro+Med encodings. --->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Character encoding information</title>
</head>

<body bgcolor=FloralWhite><table align="center"><tr><td>

<h1>Encoding of accented characters</h1>

<table width="600">
	<tr bgcolor="#eeeea">
		<td colspan="4">
			The Euro+Med remote editor does currently not rely on unicode aware software components especially 
			with respect to browsers used to carry out taxonomic revisions. Therefore, <b>diacritic characters
			</b> used in author strings <b>must be encoded</b> as specified in the <a href="http://www.euromed.org.uk/d_ocuments/Data_Standards_Version2-8.pdf">
			Euro+Med data standards</a>.<br>When trying to enter a diacritic character, please consult an <a href="http://www.bbsinc.com/symbol.html">ASCII table</a> 
			first. If the character appears there, just copy it to you text field or use your keyboard to enter it directly.<br>
			If it is not contained in the ASCII table, please use the following table to encode the character. For example, a capital C with a Caron (hatschek)
 			is not included in the ASCII table and therefore needs to be recorded as <b>'C$K'</b>.
		</td>
	</tr>
	<tr bgcolor="FloralWhite">
		<td width="90"><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/01.jpg" width="20" height="39"></cfoutput></td>
		<td width="220">$U</td>
		<td width="90"><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/09.jpg" width="20" height="39"></cfoutput></td>
		<td width="200">$Z</td>
	</tr>
	<tr bgcolor="FloralWhite">
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/02.jpg" width="20" height="39"></cfoutput></td>
		<td>$O</td>
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/10.jpg" width="20" height="39"></cfoutput></td>
		<td>$C</td>
	</tr>
	<tr bgcolor="FloralWhite">
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/03.jpg" width="20" height="39"></cfoutput></td>
		<td>$A</td>
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/11.jpg" width="20" height="39"></cfoutput></td>
		<td>$Y</td>
	</tr>
	<tr bgcolor="FloralWhite">
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/04.jpg" width="20" height="39"></cfoutput></td>
		<td>$G</td>
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/12.jpg" width="20" height="39"></cfoutput></td>
		<td>$D</td>
	</tr>
	<tr bgcolor="FloralWhite">
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/05.jpg" width="20" height="39"></cfoutput></td>
		<td>$F</td>
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/13.jpg" width="20" height="39"></cfoutput></td>
		<td>$X</td>
	</tr>
	<tr bgcolor="FloralWhite">
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/06.jpg" width="20" height="39"></cfoutput></td>
		<td>$K</td>
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/14.jpg" width="20" height="39"></cfoutput></td>
		<td>$H</td>
	</tr>
	<tr bgcolor="FloralWhite">
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/07.jpg" width="20" height="39"></cfoutput></td>
		<td>$B</td>
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/15.jpg" width="20" height="39"></cfoutput></td>
		<td>$W</td>
	</tr>
	<tr bgcolor="FloralWhite">
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/08.jpg" width="20" height="39"></cfoutput></td>
		<td>$M</td>
		<td><cfoutput><img border="0" src="#application.EditorHome#/Pics/Chars/16.jpg" width="20" height="39"></cfoutput></td>
		<td>$E</td>
	</tr>
	
	<!--- Button to close this window --->
	<tr bgcolor="#eeeea">
		<form>											
    		<td colspan="4" align="center">
				<input type="button" value="Close" onClick="window.close()"> 
			</td>	
		</form>
	</tr>
</table>		

<cfinclude Template="..\Footer.cfm">

</td></tr></table></body>

</html>
