<cfif (cgi.request_method is "post") and (not(isdefined("URL.error")))>
	<!-- Check if the user selected a project -->	
	<cfif not(isdefined("form.project"))>
		<cflocation url="#application.EditorHome#Authent/Login.cfm?error=no_project" addtoken="no">
	</cfif>

	<cfset UserName = form.UserName>
	<cfset Password = form.Password>
	<!--- Call stored procedure checking UserName/Password and the user's Id as stored 
	in the database. If UserID=-1, the authentication failes) --->
	<cfstoredproc procedure="s_web_CheckAuthorisation" datasource=#form.Project#>
		<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#UserName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#Password#>
		<cfprocresult name=User>
	</cfstoredproc>
	
	<!--- Login was successfull? --->
	<cfif User.RefFk gt 0>
	
		<!-- Find the project data inside the ProjectConstant array -->
		<CFLOOP INDEX = "loopcount" FROM="1" TO= "#ArrayLen(ProjectConstant)#" >
			<cfif ProjectConstant[loopcount][2] eq form.Project>
				<cfset projectnumber= loopcount>
			</cfif>
		</CFLOOP>
	
		<!-- Load the constants for this project -->
		<cfset session.ProjectName = ProjectConstant[projectnumber][1]>
		<cfset session.DSName = ProjectConstant[projectnumber][2]>
		<cfset session.LogoFile = ProjectConstant[projectnumber][3]>
		<cfset session.ShortDescription = ProjectConstant[projectnumber][4]>
		<cfset session.project = ProjectConstant[projectnumber][2]>
		<cfset session.template = form.template>
		<cfset session.FocussedName = User.FocussedName>
		<cfset session.MinimumEditableRank = ProjectConstant[projectnumber][5]>
		<cfset session.MaxInclusionRank = ProjectConstant[projectnumber][6]>
		<cfset session.FooterText = ProjectConstant[projectnumber][7]>
		<cfset session.HelpVisible = false>
		<cfset session.Fullscreen = false>
		<cfset session.TextSize = 11>
	
		<!--- Set Id for this session ... --->
		<cfset session.CurrentUser = User.RefFk>
		<!--- Set the username that login ... --->
		<cfset session.UserName = UserName>
		<!--- ... and jump to central form window --->
		<cflocation url="#application.EditorHome#taxform.cfm?name=#User.FocussedName#&ref=#session.CurrentUser#" addtoken="no">
	<cfelse>
		<cflocation url="#application.EditorHome#Authent/Login.cfm?error=login_failed" addtoken="no">
	</cfif>
<cfelse>	
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<!-- saved from url=(0026)http://glish.com/css/7.asp -->
<HTML>
<HEAD>
<TITLE>Taxonomic Editor</TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"><style type="text/css">
<!--
body,td,th {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}
body {
	background-color: #CCCC99;
}
.style1 {font-size: 14px}
.style2 {
	color: #990000;
	font-weight: bold;
}
-->
</style></HEAD>
<BODY>
    <h2 align="center">Welcome to the Web Taxonomic Editor	
    </h2>
    <cfif (isdefined("URL.error"))>
    <div align="center" class="style2">
      <cfif URL.error eq "login_failed">
		      <span class="style1">				  Authentication failed! (Note that both username and password are case sensitive)
              <cfelse>
		      <cfif URL.error eq "projectnotinlist">
			    The project set as parameter is not in the list of available projects in the editor, please contact the administrator.
                <cfelse>
			    Please, select a project.
		      </cfif>
		      </span>
      </cfif>
    </div>
  </cfif>

		<div align="center"><CFOUTPUT>
	      <form name=EM action="#cgi.script_name#" method="post">
	      </CFOUTPUT>
			  <table width="436" cellpadding="3" cellspacing="3" bgcolor="#FFFFFF" style="border: 1px dotted #FFCC00">
				  <tr>
				    <td width="76"><div align="left"><strong>Project:</strong></div></td>
				    <td width="337">
				      <div align="left">
				        <cfif (not(isdefined("URL.project")))>
					      <select name="project" id="project">
					          <CFLOOP INDEX = "loopcount" FROM="1" TO= "#ArrayLen(ProjectConstant)#" >
						          <CFOUTPUT>
						              <option value="#ProjectConstant[loopcount][2]#">#ProjectConstant[loopcount][1]#</option>
					            </CFOUTPUT>
				            </CFLOOP>
				          </select>
				          <cfelse>
				   	      <!-- Check if the project set manually by the user is in the list of available projects -->
						      <cfset projectinlist = False>
						      <CFLOOP INDEX = "i" FROM="1" TO= "#ArrayLen(ProjectConstant)#" >
						          <cfif ProjectConstant[i][2] eq URL.project>
							          <cfset projectinlist = True>
					            </cfif>
				          </CFLOOP>
						      <cfif projectinlist eq True>
				 		          <cfoutput>
				   			          #URL.project#
				   			          <input name="project" type="hidden" value="#URL.project#">
			 		            </cfoutput>
					            <cfelse>
						          <cflocation url="#application.EditorHome#Authent/Login.cfm?error=projectnotinlist" addtoken="no">
				          </cfif>
			            </cfif>
			          </div></td>
			    </tr>
  
				<tr>
				    <td><div align="left"><strong>Username:</strong></div></td>
				    <td><div align="left">
				      <input type="text" name="UserName" size=50>
			        </div></td>
			    </tr>
				  <tr>
					  <td><div align="left"><strong>Password:</strong></div></td>
					  <td><div align="left">
					    <input type="password" name="Password" size=50>
				      </div></td>
			    </tr>
				<tr>
					  <td><div align="left"><strong>Template:</strong></div></td>
					  <td><div align="left">
                        <select name="template" id="template">
                          <option value="basic">Basic Template</option>
                          <option value="extended" selected>Extended template</option>
                        </select>
</div></td>
			    </tr>
				  <tr>
					  <td colspan=2><input name="Submit" type="submit" value="Login"></td>
				  </tr>
              </table>
			  </form>
  
      </div>
  </body>
	  </html>
</cfif>
