<!--- New author			--->
<!--- Marc Geoffroy 		--->
<!--- Created: 10/2001		--->
<!--- Last update: 03/2003	--->

<!--- Create a new authorstring. --->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">

		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>


<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfif form.Abbrev eq "" and form.FirstName eq "" and form.LastName eq "" and form.Dates eq "" and form.AreaOfInterest eq "" and form.AuthorNotes eq "">
			<cflocation url="#application.EditorHome#Authors/NewAuthor.cfm?Ref=' + Ref" addtoken="no">
		<cfelse>
			<cfstoredproc procedure="s_web_AddAuthor" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.Abbrev#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.FirstName#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.LastName#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.Dates#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AreaOfInterest#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.Ref#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AuthorNotes#>
			</cfstoredproc>
			<!--- ... and jump back to the calling template --->
			<cflocation addtoken="no" url="#session.BackFromNewAuthor#">
		</cfif>
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfset session.Abbrev = form.Abbrev>
		<cfset session.FirstName = form.FirstName>
		<cfset session.LastName = form.LastName>
		<cfset session.Dates = form.Dates>
		<cfset session.Dates = form.AreaOfInterest>
		<cfset session.AuthorNotes = form.AuthorNotes>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromNewAuthor#">
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.Abbrev" default="">
<cfparam name="session.FirstName" default="">
<cfparam name="session.LastName" default="">
<cfparam name="session.Dates" default="">
<cfparam name="session.AreaOfInterest" default="">
<cfparam name="session.AuthorNotes" default="">
<cfparam name="session.BackFromNewAuthor" default="">
		
<!--- Was this template called with get method from name form? --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "NewAuthorTeam")>
	<cfset session.Abbrev = "">
	<cfset session.FirstName = "">
	<cfset session.LastName = "">
	<cfset session.Dates = "">
	<cfset session.AreaOfInterest = "">
	<cfset session.AuthorNotes = "">
	<cfset session.BackFromNewAuthor = cgi.http_referer>
</cfif>


<!--- Create form --->
<table class="maintable">
	<!--- Define columns--->
	<colgroup>
		<col width=140>
		<col width=460>		
	</colgroup>
	
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<h2><b>Create new author</b></h2>
		</td>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		
		<!--- Data entry --->
		
		<!--- Abbreviation --->
		<tr bgcolor="#eeeee">
			<td><b>Abbreviation</b></td>
			<td>
				<input type="text" name="Abbrev" size="20" value="<cfoutput>#session.Abbrev#</cfoutput>">
			</td>
		</tr>
		<!--- First name --->
		<tr bgcolor="#eeeee">
			<td><b>First name</b></td>
			<td>
				<input type="text" name="FirstName" size="50" value="<cfoutput>#session.FirstName#</cfoutput>">
			</td>
		</tr>
		<!--- Last name --->
		<tr bgcolor="#eeeee">
			<td><b>Last name</b></td>
			<td>
				<input type="text" name="LastName" size="50" value="<cfoutput>#session.LastName#</cfoutput>">
			</td>
		</tr>
		<!--- Dates --->
		<tr bgcolor="#eeeee">
			<td><b>Dates string</b></td>
			<td>
				<input type="text" name="Dates" size="50" value="<cfoutput>#session.Dates#</cfoutput>">
			</td>
		</tr>
		<!--- AreaOfInterest --->
		<tr bgcolor="#eeeee">
			<td><b>Area of interest</b></td>
			<td>
				<input type="text" name="AreaOfInterest" size="50" value="<cfoutput>#session.AreaOfInterest#</cfoutput>">
			</td>
		</tr>
		<!--- Notes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Notes</b>
			</td><td>	
				<textarea cols="50" rows="3" name="AuthorNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.AuthorNotes#</cfoutput></textarea>
			</td>
		</tr>
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>



<cfinclude template="../template_down.cfm">

