<!--- New author team		--->
<!--- Anton Gntsch, J.Li	--->
<!--- Created: 10/2001		--->
<!--- Last update: 7/2003    --->
<!--- Updated by:J. Li		--->

<!---
Create a new author team by either selecting a number of already existing authors or
filling in the free text field for rapid data entry. In this case, the AuthorTeamCache
field in the database is used to capture the information until someone creates a structured
record for this authorteam. A check button is used to create an external Java object for
checking the free text author string syntactically and whether a user does both selecting 
authors and filling in the free text. Therefore, the Java class fcan be developed independently.
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">

		<!--- Call this page once more if user user changes an author --->
		function ChangeAuthorAction(Ref) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Authors/NewAuthorTeam.cfm?Ref=' + Ref;
			document.EM.submit();
		}
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}	
	</script>
 

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfif form.AuthorTeamCache neq "">
			<cfstoredproc procedure="s_web_AddAuthorTeamCache" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.Ref#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AuthorTeamCache#>
			</cfstoredproc>
		<cfelse>
			<cfset AuthorIdLst = "">
			<cfif isnumeric(form.Author1)>
				<cfset AuthorIdLst = form.Author1>
			</cfif>
			<cfif isnumeric(form.Author2)>
				<cfif AuthorIdLst neq "">
					<cfset AuthorIdLst = AuthorIdLst & "|"> 
				</cfif>
				<cfset AuthorIdLst = AuthorIdLst & form.Author2>
			</cfif>
			<cfif isnumeric(form.Author3)>
				<cfif AuthorIdLst neq "">
					<cfset AuthorIdLst = AuthorIdLst & "|"> 
				</cfif>
				<cfset AuthorIdLst = AuthorIdLst & form.Author3>
			</cfif>
			<cfif isnumeric(form.Author4)>
				<cfif AuthorIdLst neq "">
					<cfset AuthorIdLst = AuthorIdLst & "|"> 
				</cfif>
				<cfset AuthorIdLst = AuthorIdLst & form.Author4>
			</cfif>
			<cfif isnumeric(form.Author5)>
				<cfif AuthorIdLst neq "">
					<cfset AuthorIdLst = AuthorIdLst & "|"> 
				</cfif>
				<cfset AuthorIdLst = AuthorIdLst & form.Author5>
			</cfif>
			<cfif AuthorIdLst neq "">
				<cfstoredproc procedure="s_web_AddAuthorTeam" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype=cf_sql_integer value=#URL.Ref#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#AuthorIdLst#>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar value=#form.AuthorTeamNotes#>
				</cfstoredproc>
			</cfif>
			
		</cfif>
		<!--- ... and jump back to the calling template --->
		<cflocation addtoken="no" url="#session.BackFromNewAuthorTeam#">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfset session.AuthorTeamCache = form.AuthorTeamCache>
		<cfset session.Author1 = form.Author1>
		<cfset session.Author2 = form.Author2>
		<cfset session.Author3 = form.Author3>
		<cfset session.Author4 = form.Author4>
		<cfset session.Author5 = form.Author5>
		<cfset session.AuthorTeamNotes = form.AuthorTeamNotes>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromNewAuthorTeam#">
		</cfif>
		<!--- Syntax check button was pressed --->
		<cfif form.TheButton eq "Check">
			<!--- Create Java object AuthorString and call the method CheckAuthorString() --->
			<cfobject type = "JAVA" action = "Create" name="MyAuthorString" class="AuthorString">
			<cfset MyAuthorString.init(form.AuthorTeamCache, form.Author1&form.Author2&form.Author3&form.Author4&form.Author5)>
			<cfset NameRet = MyAuthorString.CheckAuthorString()>
			<cfif len(NameRet) eq 0> <!--- no syntax errors found --->
				<cfset NameRetURLEnc = '9999'>
			<cfelse>
				<cfset NameRetURLEnc = urlencodedformat(NameRet)>
			</cfif>
			<!--- Open message window --->
			<script language=javascript>
				<cfoutput>
					window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=#NameRetURLEnc#','mywindow','width=400,height=300,scrollbars=yes')
				</cfoutput>
			</script>
		</cfif>
		<!--- New author button was pressed --->
		<cfif form.TheButton eq "NewAuthor">
			<cflocation url="#application.EditorHome#Authors/NewAuthor.cfm?Ref=#URL.Ref#" addtoken="no">
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.AuthorTeamCache" default="">
<cfparam name="session.Author1" default="">
<cfparam name="session.Author2" default="">
<cfparam name="session.Author3" default="">
<cfparam name="session.Author4" default="">
<cfparam name="session.Author5" default="">
<cfparam name="session.AuthorTeamNotes" default="">
<cfparam name="session.BackFromNewAuthorTeam" default="">
		
<!--- Was this template called with get method from one of the name entry forms? --->
<cfif (cgi.request_method is "get") and ((session.CallingPage eq "AddIncludedTaxon") or (session.CallingPage eq "AddSynonym") or (session.CallingPage eq "AddName") or (session.CallingPage eq "EditMisappliedName") or
(session.CallingPage eq "AddBasionym") or (session.CallingPage eq "AddHomonym") or (session.CallingPage eq "EditHomonym")or (session.CallingPage eq "NewBook")or
(session.CallingPage eq "EditSynonym") or (session.CallingPage eq "EditBasionym")or (session.CallingPage eq "EditName")or (session.CallingPage eq "AddNomRef")or (session.CallingPage eq "UpdateNomRef"))>

	<cfset session.AuthorTeamCache = "">
	<cfset session.Author1 = "">
	<cfset session.Author2 = "">
	<cfset session.Author3 = "">
	<cfset session.Author4 = "">
	<cfset session.Author5 = "">
	<cfset session.AuthorTeamNotes = "">
	<cfset session.BackFromNewAuthorTeam = cgi.http_referer>
</cfif>

<!--- Database interface --->
<!--- Retrieve information to populate pulldown menus for authors --->
<cfif (#session.Author1# eq "") or (#session.Author2# eq "") or (#session.Author3# eq "") or (#session.Author4# eq "") or (#session.Author5# eq "")>
	<cfstoredproc procedure="s_web_DiscoverValues" datasource="#session.DSName#">
		<cfprocparam type="in" cfsqltype=cf_sql_varchar value="Author">
		<cfprocparam type="in" cfsqltype=cf_sql_varchar value="Abbrev">
		<cfprocresult name=AuthorValues>
	</cfstoredproc>
</cfif>
<cfif session.Author1 neq "">
	<cfif isnumeric(session.Author1)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author1#>
			<cfprocresult name=ResultAuthor1>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author1#>
			<cfprocresult name=ResultAuthor1>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.Author2 neq "">
	<cfif isnumeric(session.Author2)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author2#>
			<cfprocresult name=ResultAuthor2>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author2#>
			<cfprocresult name=ResultAuthor2>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.Author3 neq "">
	<cfif isnumeric(session.Author3)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author3#>
			<cfprocresult name=ResultAuthor3>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author3#>
			<cfprocresult name=ResultAuthor3>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.Author4 neq "">
	<cfif isnumeric(session.Author4)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author4#>
			<cfprocresult name=ResultAuthor4>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author4#>
			<cfprocresult name=ResultAuthor4>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.Author5 neq "">
	<cfif isnumeric(session.Author5)>
		<cfstoredproc procedure="s_web_OneAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author5#>
			<cfprocresult name=ResultAuthor5>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthor" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author5#>
			<cfprocresult name=ResultAuthor5>
		</cfstoredproc>
	</cfif>
</cfif>

<!--- Create form --->
<table class="maintable">
	<!--- Define columns--->
	<colgroup>
		<col width=140>
		<col width=460>		
	</colgroup>
	
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<h2><b>Create new authorteam</b></h2>
		</td>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		
		<!--- Rapid data entry field --->
		<tr bgcolor ="#eeeee">
			<td colspan="2">
				<b><i>Rapid data entry</i></b><br>
				<input type="text" name="AuthorTeamCache" size="80" value="<cfoutput>#session.AuthorTeamCache#</cfoutput>">
				
			</td>
		</tr>
		<!--- Structured data entry (a sequence of five authors) --->
		<tr bgcolor ="#eeeee"><td colspan="2"><b><i>Structured data entry</i></b></td></tr>
		<tr bgcolor="#eeeee">
			<td><b>1st author</b></td>
			<td>
				<cfoutput>
				<select name="Author1" onChange="ChangeAuthorAction(#url.Ref#)">
					<cfif session.Author1 neq "">
						<cfif isnumeric(session.Author1)>
							<option value=#ResultAuthor1.AuthorId#>#ResultAuthor1.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author1#">----------------- preselection: #session.Author1# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor1">
								<option value=#ResultAuthor1.AuthorId#>#ResultAuthor1.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
				</cfoutput>
			</td>
		</tr>
		<tr bgcolor="#eeeee">
			<td><b>2nd author</b></td>
			<td>
				<cfoutput>
				<select name="Author2" onChange="ChangeAuthorAction(#url.Ref#)">
					<cfif session.Author2 neq "">
						<cfif isnumeric(session.Author2)>
							<option value=#ResultAuthor2.AuthorId#>#ResultAuthor2.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author2#">----------------- preselection: #session.Author2# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor2">
								<option value=#ResultAuthor2.AuthorId#>#ResultAuthor2.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
				</cfoutput>
			</td>
		</tr>
		<tr bgcolor="#eeeee">
			<td><b>3rd author</b></td>
			<td>
				<cfoutput>
				<select name="Author3" onChange="ChangeAuthorAction(#url.Ref#)">
					<cfif session.Author3 neq "">
						<cfif isnumeric(session.Author3)>
							<option value=#ResultAuthor3.AuthorId#>#ResultAuthor3.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author3#">----------------- preselection: #session.Author3# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor3">
								<option value=#ResultAuthor3.AuthorId#>#ResultAuthor3.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
				</cfoutput>
			</td>
		</tr>
		<tr bgcolor="#eeeee">
			<td><b>4th author</b></td>
			<td>
				<cfoutput>
				<select name="Author4" onChange="ChangeAuthorAction(#url.Ref#)">
					<cfif session.Author4 neq "">
						<cfif isnumeric(session.Author4)>
							<option value=#ResultAuthor4.AuthorId#>#ResultAuthor4.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author4#">----------------- preselection: #session.Author4# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor4">
								<option value=#ResultAuthor4.AuthorId#>#ResultAuthor4.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
				</cfoutput>
			</td>
		</tr>
		<tr bgcolor="#eeeee">
			<td><b>5th author</b></td>
			<td>
				<cfoutput>
				<select name="Author5" onChange="ChangeAuthorAction(#url.Ref#)">
					<cfif session.Author5 neq "">
						<cfif isnumeric(session.Author5)>
							<option value=#ResultAuthor5.AuthorId#>#ResultAuthor5.Abbrev#
							<option value="">-------------------- no selection --------------------
						<cfelse>
							<option value="#session.Author5#">----------------- preselection: #session.Author5# ---------------
							<option value="">-------------------- no selection --------------------
							<cfloop query="ResultAuthor5">
								<option value=#ResultAuthor5.AuthorId#>#ResultAuthor5.Abbrev#&nbsp;
							</cfloop>
						</cfif>
					<cfelse>	
						<option value="">-------------------- no selection --------------------
						<cfloop query="AuthorValues">
							<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
						</cfloop>		    
					</cfif>	
				</select>
				</cfoutput>
			</td>
		</tr>
		<!--- New author button --->
		<tr bgcolor="#eeeee">
			<td><a href="javascript: ButtonAction('NewAuthor')" class="addlink">New Author</a></td>
			<td>&nbsp;</td>
		</tr>
		
		<!--- Notes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Notes</b>
			</td><td>	
				<textarea cols="50" rows="3" name="AuthorTeamNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.AuthorTeamNotes#</cfoutput></textarea>
			</td>
		</tr>
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Check" value="Check" onclick="ButtonAction('Check')">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../template_down.cfm">

