<!--- AddNomRef					--->
<!--- Anton Gntsch,  J. Li		--->
<!--- Created: 12/2001			--->
<!--- Last update: 5/2003    	--->
<!--- Updated by: J.Li			--->
<!---
Add the nomenclatural citation for the given taxon name. The reference categorys are:
'Book', 'Article in periodical' and 'Part of other title'.
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">
		function ChangeCategoryAction(Name, Ref, CategoryLst) {
			TempRefCat = CategoryLst.options[CategoryLst.selectedIndex].value;
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Bib/AddNomRef.cfm?name=' + Name + '&ref=' + Ref + '&TempRefCat=' + TempRefCat;
			document.EM.submit();
		}
		
		<!--- Call this page once more if user selects a biblio entry --->
		function ChangeBiblioAction(Name, Ref, TempRefCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Bib/AddNomRef.cfm?name=' + Name + '&ref=' + Ref + '&TempRefCat=' + TempRefCat;
			document.EM.submit();
		}	
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>



<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<cfif (isnumeric(form.CitBPTitle))>
			<cfstoredproc procedure="s_web_UpdateOrInsertNomenclReference" datasource=#session.DSName#>		
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTNameFk" value=#URL.Name#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTRefFk" value=#URL.Ref#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefId" value=#form.CitBPTitle#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Details" value=#form.Details#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@DetailNotes" value=#form.DetailNotes#>	
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefNotes" value=#form.RefNotes#>	
			</cfstoredproc>
		</cfif>
		<!--- ... and jump back to the calling template --->
		<cflocation addtoken="no" url="#session.BackFromAddNomRef#">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.CitBPTitle")>
		<cfset session.CitBPTitle = form.CitBPTitle>
		</cfif>
		<cfif isdefined("form.Details")>
			<cfset session.Details = form.Details>
		</cfif>	
		<cfset session.DetailNotes = form.DetailNotes>	
		<cfset session.RefNotes = form.RefNotes>	

		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromAddNomRef#">
		</cfif>
		<!--- New Bib record was pressed--->
		<cfif form.TheButton eq "NewBook">
			<cflocation url="#application.EditorHome#Bib/NewBook.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=3&Head=0" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewArticleOfJournal">
			<cflocation url="#application.EditorHome#Bib/NewArticleOfJournal.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=9&Head=0" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewPartOfTitle">
			<cflocation url="#application.EditorHome#Bib/NewPartOfTitle.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=13&Head=0&TempInRefCat=3" addtoken="no">
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.CitBPTitle" default="">
<cfparam name="session.Details" default="">
<cfparam name="session.DetailNotes" default="">
<cfparam name="session.RefNotes" default="">
<cfparam name="session.BackFromAddNomRef" default="">

<!--- Was this template called with get method from TaxForm,  RelName or RelMisapplied form? --->
<cfif (cgi.request_method is "get") and ((session.CallingPage eq "TaxForm")or(session.CallingPage eq "RelName")or(session.CallingPage eq "RelMisapplied")) >
	<!--- Set session variables --->
	<cfset session.CitBPTitle = "">
	<cfset session.DetailNotes = "">
	<cfset session.RefNotes = "">
	<cfset session.Details = "">
	<cfset session.BackFromAddNomRef = cgi.http_referer>
</cfif>
<!--- Database interface --->
<cfstoredproc procedure="s_web_GetRefCategorys" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="1" dbvarname="@Low">
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="3" dbvarname="@High">
	<cfprocresult name=Categorys>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneFullName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=FullName>
</cfstoredproc>
<cfif (#session.CitBPTitle# eq "")>
	<cfstoredproc procedure="s_web_DiscoverNomRefCache" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name#>
		<cfprocresult name="NomValues">
	</cfstoredproc>
<cfelse>
	<cfif isnumeric(session.CitBPTitle)>
		<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.CitBPTitle#>
			<cfprocresult name="Bib">
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchNomRefCache" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.CitBPTitle#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
			<cfprocresult name="Bib">
		</cfstoredproc>
	</cfif>
</cfif>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"> 
			<h2>
				<b>Add nomenclatural reference for<br>
					<i><cfoutput>#FullName.FullNameCache#</cfoutput></i>
				</b>
			</h2>
		</td>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<!--- Select Ref Category  --->
		<tr bgcolor="#eeeee">
			<td width=140><b>Select category:</b></td>
			<td width=460>
			<cfoutput>
				<select name="RefCat" onChange="ChangeCategoryAction(#url.Name#, #url.Ref#,  this)">
					<cfloop query="Categorys">
						<option value=#Categorys.RefCategoryId# <cfif Categorys.RefCategoryId eq #url.TempRefCat#>selected</cfif>>#Categorys.RefCategory#
					</cfloop>
				</select>
			</cfoutput>
			</td>
		</tr>
		
		<!--- Select Nom Reference --->
		<tr bgcolor="#eeeee">
			<td width=140><b>Reference</b></td>
			<td width = 460>
				<cfoutput>
				<select name="CitBPTitle" onChange="ChangeBiblioAction(#URL.Name#, #URL.Ref#, #url.TempRefCat#)">
				<cfif session.CitBPTitle neq "">
					<cfif isnumeric(session.CitBPTitle)>
						<option value=#Bib.RefId#>#Bib.NomRefCache#
						<option value="">----------------------------------- no selection -----------------------------------
					<cfelse>
						<option value="">----------------------------------- no selection -----------------------------------
						<option value=#Bib.RefId#>#Bib.NomRefCache#
					</cfif>
				<cfelse>
					<option value="">----------------------------------- no selection -----------------------------------
					<cfloop query="NomValues">
						<cfif len(#NomValues.NomRefCache#) gt 0>
							<option value="#NomValues.RefId#">#NomValues.NomRefCache#
						</cfif>
					</cfloop>	
				</cfif>
				</select>
				</cfoutput>
			</td>
		</tr>	
		<!--- New book--->
		<cfif (#url.TempRefCat# eq 3)>
			<tr bgcolor="#eeeee">
				<td><a href="javascript: ButtonAction('NewBook')" class="addlink">New book</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		<!--- New article in periodical--->	
		<cfif (#url.TempRefCat# eq 1) >
			<tr bgcolor="#eeeee">
				<td><a href="javascript: ButtonAction('NewArticleOfJournal')" class="addlink">New article in periodical</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		<!---New part of other title--->
		<cfif (#url.TempRefCat# eq 2) >
			<tr bgcolor="#eeeee">
				<td><a href="javascript: ButtonAction('NewPartOfTitle')" class="addlink">New part of other title</a></td>
				<td>&nbsp;</td>
			</tr>	
		</cfif>
		
		<!--- RefNotes --->
		<cfif (isnumeric(session.CitBPTitle))> 
			<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#session.CitBPTitle#>
				<cfprocresult name=OneRef>
			</cfstoredproc>
			<tr bgcolor="#eeeee">
				<td>
					<b>Notes(reference)</b>
				</td><td>	
					<textarea cols="50" rows="3" name="RefNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#OneRef.Notes#</cfoutput></textarea>
				</td>
			</tr>	
		<cfelse>
			<tr bgcolor="#eeeee">
				<td>
					<b>Notes(reference)</b>
				</td><td>	
					<textarea cols="50" rows="3" name="RefNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.RefNotes#</cfoutput></textarea>
				</td>
			</tr>	
		</cfif>
		<!--- Details --->
		<tr bgcolor="#eeeee">
			<td width><b>Details</b></td>
			<td width>
				<input type="text" name="Details" size="20" value="<cfoutput>#session.Details#</cfoutput>">
			</td>
		</tr>
		<!--- DetailNotes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Notes(detail)</b>
			</td><td>	
				<textarea cols="50" rows="3" name="DetailNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.DetailNotes#</cfoutput></textarea>
			</td>
		</tr>
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
			</td>
		</tr>
	</form>
</table>

<cfinclude template="../template_down.cfm">

