<!--- EditNomRef				--->
<!--- J. Li						--->
<!--- Created: 5/2003			--->

<!---
Edit the nomenclatural reference for the given taxon name. Edit can only be worked in the same 
reference category. If refCategory need to be changed, use delete function to delete the old reference and add 
a new one that fits the required refCategory. This form is only used when the preliminaraFlag = 1 in RefDetail table.
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>



<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<cfstoredproc procedure="s_web_EditNomenclReference" datasource=#session.DSName#>		
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTNameFk" value=#URL.Name#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTRefFk" value=#URL.Ref#>
			<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@Flag" value=1>
			<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@FullReference" value=#form.FullReference#>	
			<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@DetailNotes" value=#form.DetailNotes#>		
		</cfstoredproc>
		<!--- ... and jump back to the calling template --->
		<cflocation addtoken="no" url="#session.BackFromEditNomRef#">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.DetailNotes")>
			<cfset session.DetailNotes = form.DetailNotes>	
		</cfif>
		<cfif isdefined("form.FullReference")>
			<cfset session.FullReference = form.FullReference>	
		</cfif>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromEditNomRef#">
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.DetailNotes" default="">
<cfparam name="session.FullReference" default="">
<cfparam name="session.BackFromEditNomRef" default="">
<!--- Retrieve reference information --->
<cfstoredproc procedure="s_web_OneNameAndCitation" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=NomRef>
</cfstoredproc>
<!--- Was this template called with get method from central, RelName or RelMisapplied form? --->
<cfif (cgi.request_method is "get") and ((session.CallingPage eq "TaxForm")or(session.CallingPage eq "RelName")or (session.CallingPage eq "RelMisapplied")) >
	<!--- Set session variables --->
	<cfset session.DetailNotes = NomRef.DetailNotes>
	<cfset session.FullReference = NomRef.FullNomRefCache>
	<cfset session.BackFromEditNomRef = cgi.http_referer>
</cfif>

<!--- Database interface --->
<cfstoredproc procedure="s_web_OneFullName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=FullName>
</cfstoredproc>

<cfstoredproc procedure="s_web_OneRefCategory" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempRefCat#>
	<cfprocresult name=OneCategory>
</cfstoredproc>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"> 
			<h2>
				<b>Edit nomenclatural reference for<br>
					<i><cfoutput>#FullName.FullNameCache#</cfoutput></i>
				</b>
			</h2>
		</td>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<!--- Select Ref Category  --->
		<tr bgcolor="#eeeee">
			<td width=140><b>Reference category:</b></td>
			<td width=460>
				<input type="text" name="RefCat" size="20" value="<cfoutput>#OneCategory.RefCategory#</cfoutput>" disabled>
			</td>
		</tr>
		<!--- Select Nom Reference --->
		<tr bgcolor="#eeeee">
			<td width=140><b>Full reference</b></td>
			<td width = 460>	
				<input type="text" name="Fullreference" size="66" value="<cfoutput>#session.Fullreference#</cfoutput>">
			</td>
		</tr>
		
		<!--- DetailNotes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Notes(detail)</b>
			</td><td>	
				<textarea cols="50" rows="3" name="DetailNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.DetailNotes#</cfoutput></textarea>
			</td>
		</tr>
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
			</td>
		</tr>
	</form>
</table>
<cfinclude template="../template_down.cfm">


