<!--- NewBook				--->
<!--- J. Li					--->
<!--- Created: 8/2002		--->
<!--- Last update: 5/2003	--->

<!---
Create a new  book. 
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">
		function SetHiddenThesisFlag() {
			if (document.EM.ThesisFlag.checked) {
				document.EM.HiddenThesisFlag.value = 'on';
			} else {
				document.EM.HiddenThesisFlag.value = 'off';
			}
		}
		
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>


<!--- Database interface --->
<cfstoredproc procedure="s_web_OneFullName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=FullName>
</cfstoredproc>
<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<cfif ((#url.Head# eq 0 or #url.Head# eq 2) and len(#form.NomTitleAbbrev#) gt 0) or
			((#url.Head# eq 1) and len(#form.Title#) gt 0 and len(#form.Authors#) gt 0)>
			<cfstoredproc procedure="s_web_AddBib" datasource=#session.DSName#>		
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTRefFk" value=#URL.Ref#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefCategoryFk" value=3>
							
				<cfif Len(form.Title) is not 0>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Title" value=#form.Title#>
				<cfelse>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Title" null="yes">
				</cfif>
				<cfif Len(form.NomTitleAbbrev) is not 0>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@NomTitleAbbrev" value=#form.NomTitleAbbrev#>
				<cfelse>
					<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@NomTitleAbbrev" null="yes">
				</cfif>
				<cfif #url.Head# eq 0>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NomAuthorAbbrev" value=#FullName.AuthorTeamFk#>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NomAuthorAbbrev" null="yes">
				</cfif>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Edition" value=#form.Edition#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Series" value=#form.Series#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Publication_Town" value=#form.Publication_Town#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Publisher" value=#form.Publisher#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefAuthorstring" value=#form.Authors#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Volume" value=#form.Volume#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@PageString" value=#form.PageString#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefYear" value=#form.RefYear#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@DateString" value=#form.DateString#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@ISBN" value=#form.ISBN#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@ISSN" null="yes">
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@URL" value=#form.URL#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@ExportDate" value=#form.ExportDate#>
				<!--- Submit ThesisFlag --->
				<cfif (isdefined("form.ThesisFlag"))>
					<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@ThesisFlag" value=1>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@ThesisFlag" value=0>  
				</cfif>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefDepositedAt" value=#form.RefDepositedAt#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@NomStandard" value=#form.NomStandard#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@InformalRefCategory" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@IsPaper" value=0> 
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Notes" value=#form.RefNotes#>		
			</cfstoredproc>
			<!--- ... and jump back to the calling template --->
			<cflocation addtoken="no" url="#session.BackFromNewBook#">
		<cfelse>
			<!--- Open message window --->
			<script language=javascript>
				window.open('<cfoutput>#application.EditorHome#</cfoutput>messages/NewRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
			</script>
			<!--- Save form field data into session variables ... --->
			<cfif isdefined("form.Title")>
				<cfset session.Title = form.Title>
			</cfif>
			<cfif isdefined("form.NomTitleAbbrev")>
				<cfset session.NomTitleAbbrev = form.NomTitleAbbrev>
			</cfif>
			<cfif isdefined("form.Edition")>
				<cfset session.Edition = form.Edition>
			</cfif>
			<cfif isdefined("form.Series")>
				<cfset session.Series = form.Series>
			</cfif>
			<cfif isdefined("form.Publication_Town")>
				<cfset session.Publication_Town = form.Publication_Town>
			</cfif>
			<cfif isdefined("form.Publisher")>
				<cfset session.Publisher = form.Publisher>
			</cfif>
			<cfif isdefined("form.Authors")>
				<cfset session.Authors = form.Authors>
			</cfif>
			<cfif isdefined("form.Volume")>
				<cfset session.Volume = form.Volume>
			</cfif>
			<cfif isdefined("form.PageString")>
				<cfset session.PageString = form.PageString>
			</cfif>
			<cfif isdefined("form.RefYear")>
				<cfset session.RefYear = form.RefYear>
			</cfif>
			<cfif isdefined("form.ISBN")>
				<cfset session.ISBN = form.ISBN>
			</cfif>	
			<cfif isdefined("form.URL")>
				<cfset session.URL = form.URL>
			</cfif>
			<cfif isdefined("form.ExportDate")>
				<cfset session.ExportDate = form.ExportDate>
			</cfif>
			<cfif isdefined("form.RefDepositedAt")>
				<cfset session.RefDepositedAt = form.RefDepositedAt>
			</cfif>
			<cfif isdefined("form.NomStandard")>
				<cfset session.NomStandard = form.NomStandard>
			</cfif>
			<cfif isdefined("form.HiddenThesisFlag")>
				<cfset session.HiddenThesisFlag = form.HiddenThesisFlag>
			</cfif>	
			<cfset session.RefNotes = form.RefNotes>
			<cfif isdefined("form.DateString")>
				<cfset session.DateString = form.DateString>
			</cfif>
		</cfif>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
	<cfelseif form.TheButton eq "Cancel">
		<cflocation addtoken="no" url="#session.BackFromNewBook#">
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->

<cfparam name="session.Title" default="">
<cfparam name="session.NomTitleAbbrev" default="">
<cfparam name="session.Edition" default="">
<cfparam name="session.Series" default="">
<cfparam name="session.Publication_Town" default="">
<cfparam name="session.Publisher" default="">
<cfparam name="session.Authors" default="">
<cfparam name="session.Volume" default="">
<cfparam name="session.PageString" default="">
<cfparam name="session.RefYear" default="">
<cfparam name="session.DateString" default="">
<cfparam name="session.ISBN" default="">
<cfparam name="session.URL" default="">
<cfparam name="session.ExportDate" default="">
<cfparam name="session.RefDepositedAt" default="">
<cfparam name="session.NomStandard" default="">
<cfparam name="session.HiddenThesisFlag" default="off">
<cfparam name="session.RefNotes" default="">
<cfparam name="session.PageString" default="">
<cfparam name="session.BackFromNewBook" default="">

<!--- Was this template called with get method from one of the following forms? --->
<cfif (cgi.request_method is "get") and ((session.CallingPage eq "UpdateNomRef") or (session.CallingPage eq "AddNomRef")or 
	(session.CallingPage eq "NewPartOfTitle")or(session.CallingPage eq "NewBibPartOfTitle")or (session.CallingPage eq "AddFact")or 
	(session.CallingPage eq "EditFact")or(session.CallingPage eq "EditTaxArea")or(session.CallingPage eq "AddNomStatus")or(session.CallingPage eq "AddBibRef"))>
	<!--- Set session variables --->
	<cfset session.Title = "">
	<cfset session.NomTitleAbbrev = "">
	<cfset session.Edition = "">
	<cfset session.Series = "">
	<cfset session.Publication_Town = "">
	<cfset session.Publisher = "">
	<cfset session.Authors = "">
	<cfset session.RefYear = "">
	<cfset session.Volume = "">
	<cfset session.PageString = "">
	<cfset session.ISBN = "">
	<cfset session.RefNotes = "">
	<cfset session.DateString ="">
	<cfset session.URL = "">
	<cfset session.ExportDate = "">
	<cfset session.RefDepositedAt = "">	
	<cfset session.NomStandard = "">	
	<cfset session.HiddenTHesisFlag = "off">
	<cfset session.BackFromNewBook = cgi.http_referer>
</cfif>
<!--- Create form --->
<table class="maintable">
	<!--- PTTitle for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2>
			<cfif #url.Head# eq 0>
				<b>Create new <i>book</i> for<br>
					<i><cfoutput>#FullName.FullNameCache#</cfoutput></i>
				</b>
			</cfif>
			<cfif #url.Head# eq 1 or #url.Head# eq 2>
				<b>Create new <i>book</i></b>
			</cfif>
		</h2></td>
	</tr>
	<tr bgcolor ="#eeeea">
		<td colspan="2">
		<cfif #url.Head# eq 0 or #url.Head# eq 2>
			<font color="Black">The entry marked with</font> <font color="Red">*</font> is required
		<cfelse>
			<font color="Black">Entries marked with</font> <font color="Red">*</font> are required
		</cfif>
		</td>
	</tr>
	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<cfif #url.Head# eq 0>
			<!--- NomAuthorTeam--->
			<tr bgcolor="#eeeee">
				<td width><b>Abbrev. authors</b></td>
				<td width>
					<input name="NomAuthorAbbrev" size="50" value="<cfoutput>#FullName.AuthorTeamCache#</cfoutput>" disabled>
				</td>
			</tr>
		</cfif>
		<!--- RefPTAuthorstring--->
		<tr bgcolor="#eeeee">
			<cfif #url.Head# eq 1>
				<td width><b>Full authors <font color="Red">*</font></b></td>
			<cfelse>
				<td width><b>Full authors</b></td>
			</cfif>
			<td width>
				<input type="text" name="Authors" size="70" value="<cfoutput>#session.Authors#</cfoutput>">
			</td>
		</tr>
		<!--- Year of publication --->
		<tr bgcolor="#eeeee">
			<td width><b>Reference year</b></td>
			<td width>
				<input type="text" name="RefYear" size="20" value="<cfoutput>#session.RefYear#</cfoutput>">
			</td>
		</tr>
		<!--- Abbreviated PTTitle --->
		<tr bgcolor="#eeeee">
			<cfif #url.Head# eq 0 or #url.Head# eq 2>
				<td width><b>Abbrev. title <font color="Red">*</font></b></td>
			<cfelse>
				<td width><b>Abbrev. title</b></td>
			</cfif>
			<td width>
			<input type="text" name="NomTitleAbbrev" size="50" value="<cfoutput>#session.NomTitleAbbrev#</cfoutput>">
				&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="checkbox" name="ThesisFlag" <cfif session.HiddenThesisFlag eq 'on'> checked </cfif> onClick="SetHiddenThesisFlag()"> (Thesis)
			<input type="hidden" name="HiddenThesisFlag"<cfif session.HiddenThesisFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>
			</td>
		</tr>
		<!--- PTTitle --->
		<tr bgcolor="#eeeee">
			<cfif #url.Head# eq 1>
				<td width=140><b>Full title <font color="Red">*</font></b></td>
			<cfelse>
				<td width=140><b>Full title</b></td>
			</cfif>
			<td width=460>
				<input type="text" name="Title" size="70" value="<cfoutput>#session.Title#</cfoutput>">
			</td>
		</tr>	
		<!--- Edition --->
		<tr bgcolor="#eeeee">
			<td width><b>Edition</b></td>
			<td width>
				<input type="text" name="Edition" size="50" value="<cfoutput>#session.Edition#</cfoutput>">
			</td>
		</tr>
		<!--- Series --->
		<tr bgcolor="#eeeee">
			<td width><b>Series</b></td>
			<td width>
				<input type="text" name="Series" size="50" value="<cfoutput>#session.Series#</cfoutput>">
			</td>
		</tr>
		<!--- Volume --->
		<tr bgcolor="#eeeee">
			<td width><b>Volume</b></td>
			<td width>
				<input type="text" name="Volume" size="50" value="<cfoutput>#session.Volume#</cfoutput>">
			</td>
		</tr>
		<!--- Page String --->
		<tr bgcolor="#eeeee">
			<td width><b>Page string</b></td>
			<td width>
				<input type="text" name="PageString" size="20" value="<cfoutput>#session.PageString#</cfoutput>">
			</td>
		</tr>
			<!--- DateString --->
		<tr bgcolor="#eeeee">
			<td width><b>Date string</b></td>
			<td width>
				<input type="text" name="DateString" size="20" value="<cfoutput>#session.DateString#</cfoutput>">
			</td>
		</tr>
		<!---  publisher --->
		<tr bgcolor="#eeeee">
			<td width><b>Publisher</b></td>
			<td width>
				<input type="text" name="publisher" size="50" value="<cfoutput>#session.publisher#</cfoutput>">
			</td>
		</tr>
			<!--- Publication_Town --->
		<tr bgcolor="#eeeee">
			<td width><b>Publication town</b></td>
			<td width>
				<input type="text" name="Publication_Town" size="30" value="<cfoutput>#session.Publication_Town#</cfoutput>">
			</td>
		</tr>
		<!--- ISBN --->
		<tr bgcolor="#eeeee">
			<td width><b>ISBN</b></td>
			<td width>
				<input type="text" name="ISBN" size="20" value="<cfoutput>#session.ISBN#</cfoutput>">
			</td>
		</tr>
		<!--- URL--->
		<tr bgcolor="#eeeee">
			<td width = 140><b>URL</b></td>
			<td width = 460>
				<input type="text" name="URL" size="70" value="<cfoutput>#session.URL#</cfoutput>">
			</td>
		</tr>
		<!--- ExportDate --->
		<tr bgcolor="#eeeee">
			<td width><b>Export date</b></td>
			<td width>
				<input type="text" name="ExportDate" size="20" value="<cfoutput>#session.ExportDate#</cfoutput>">
			</td>
		</tr>
		<!--- Reference deposited at --->
		<tr bgcolor="#eeeee">
			<td width><b>Reference deposited at </b></td>
			<td width>
				<input type="text" name="RefDepositedAt" size="50" value="<cfoutput>#session.RefDepositedAt#</cfoutput>">
			</td>
		</tr>
		<!--- Nomenclatural standard --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Nomenclatural standard</b>
			</td>
			<td>	
				<input type="text" name="NomStandard" size="20" value="<cfoutput>#session.NomStandard#</cfoutput>">
			</td>
		</tr>
		<!--- RefNotes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Reference notes</b>
			</td>
			<td>	
				<textarea cols="50" rows="3" name="RefNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.RefNotes#</cfoutput></textarea>
			</td>
		</tr>
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../template_down.cfm">