<!--- NewPartOfTitle			--->
<!---  J. Li					--->
<!--- Created: 2/2002			--->
<!--- Last update: 5/2003		--->
<!---
Create a new part of title.
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">
		
		<!--- Call this page once more if user selects a biblio entry --->
		function ChangeBiblioAction(Name, Ref, TempRefCat, Head, TempInRefCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Bib/NewPartOfTitle.cfm?name=' + Name + '&ref=' + Ref + '&TempRefCat=' + TempRefCat + '&Head=' + Head+ '&TempInRefCat=' + TempInRefCat;
			document.EM.submit();
		}	
		function ChangeCategoryAction(Name, Ref, TempRefCat, Head,CategoryLst) {
			TempInRefCat = CategoryLst.options[CategoryLst.selectedIndex].value;
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>Bib/NewPartOfTitle.cfm?name=' + Name + '&ref=' + Ref + '&TempRefCat=' + TempRefCat + '&Head=' + Head+ '&TempInRefCat=' + TempInRefCat;
			document.EM.submit();
		}
		function SetHiddenThesisFlag() {
			if (document.EM.ThesisFlag.checked) {
				document.EM.HiddenThesisFlag.value = 'on';
			} else {
				document.EM.HiddenThesisFlag.value = 'off';
			}
		}
		function SetHiddenIsPaper() {
			if (document.EM.IsPaper.checked) {
				document.EM.HiddenIsPaper.value = 'on';
			} else {
				document.EM.HiddenIsPaper.value = 'off';
			}
		}
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>

<cfstoredproc procedure="s_web_OneFullName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=FullName>
</cfstoredproc>
<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<cfif (isnumeric(form.PartCitBPTitle))>
			<cfstoredproc procedure="s_web_AddInBib" datasource=#session.DSName#>		
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTNameFk" value=#URL.Name#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTRefFk" value=#URL.Ref#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefCategoryFk" value=#url.TempRefCat#>
				
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@InRefFk" value=#form.PartCitBPTitle#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Title" value=#form.Title#>
				
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Edition" null="yes">
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Series" null="yes">
				
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefAuthorString" value=#form.Authors#>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefYear" value=#form.RefYear#>
				
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Volume" null="yes">
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@PageString" value=#form.PageString#>
				
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@URL" value=#form.URL#>	
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@ExportDate" value=#form.ExportDate#>
	
					<!--- Submit ThesisFlag --->
				<cfif (isdefined("form.ThesisFlag"))>
					<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@ThesisFlag" value=1>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@ThesisFlag" value=0>  
				</cfif>
				
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@RefDepositedAt" null="yes">
			
				<!--- Submit IsPaper --->
				<cfif (isdefined("form.IsPaper"))>
					<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@IsPaper" value=1>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@IsPaper" value=0>  
				</cfif>
				<cfif #url.Head# eq 0>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NomAuthorAbbrev" value=#FullName.AuthorTeamFk#>
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NomAuthorAbbrev" null="yes">
				</cfif>
				<cfprocparam type="in" cfsqltype=cf_sql_varchar dbvarname="@Notes" value=#form.PartNotes#>	
			</cfstoredproc>
			<!--- ... and jump back to the calling template --->
			<cflocation addtoken="no" url="#session.BackFromNewPartOfTitle#">
		<cfelse>
			<!--- Open message window --->
			<script language=javascript>
				window.open('<cfoutput>#application.EditorHome#</cfoutput>messages/NewRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
			</script>
			<!--- Save form field data into session variables ... --->
			<cfif isdefined("form.PartCitBPTitle")>
				<cfset session.PartCitBPTitle = form.PartCitBPTitle>
			</cfif>
			<cfif isdefined("form.Title")>
				<cfset session.Title = form.Title>
			</cfif>
			<cfif isdefined("form.Edition")>
				<cfset session.Edition = form.Edition>
			</cfif>
			<cfif isdefined("form.Series")>
				<cfset session.Series = form.Series>
			</cfif>
			<cfif isdefined("form.Authors")>
				<cfset session.Authors = form.Authors>
			</cfif>
			<cfif isdefined("form.RefYear")>
				<cfset session.RefYear = form.RefYear>
			</cfif>
			<cfif isdefined("form.Volume")>
				<cfset session.Volume = form.Volume>
			</cfif>
			<cfif isdefined("form.PageString")>
				<cfset session.PageString = form.PageString>
			</cfif>
			<cfif isdefined("form.URL")>
				<cfset session.URL = form.URL>
			</cfif>
			<cfif isdefined("form.ExportDate")>
				<cfset session.ExportDate = form.ExportDate>
			</cfif>
			<cfif isdefined("form.HiddenThesisFlag")>
				<cfset session.HiddenThesisFlag = form.HiddenThesisFlag>
			</cfif>	
			<cfif isdefined("form.HiddenIsPaper")>
				<cfset session.HiddenIsPaper = form.HiddenIsPaper>
			</cfif>		
			<cfset session.PartNotes = form.PartNotes>
		</cfif>
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.PartCitBPTitle")>
			<cfset session.PartCitBPTitle = form.PartCitBPTitle>
		</cfif>
		<cfif isdefined("form.Title")>
			<cfset session.Title = form.Title>
		</cfif>
		<cfif isdefined("form.Edition")>
			<cfset session.Edition = form.Edition>
		</cfif>
		<cfif isdefined("form.Series")>
			<cfset session.Series = form.Series>
		</cfif>
		<cfif isdefined("form.Authors")>
			<cfset session.Authors = form.Authors>
		</cfif>
		<cfif isdefined("form.RefYear")>
			<cfset session.RefYear = form.RefYear>
		</cfif>
		<cfif isdefined("form.Volume")>
			<cfset session.Volume = form.Volume>
		</cfif>
		<cfif isdefined("form.PageString")>
			<cfset session.PageString = form.PageString>
		</cfif>
		<cfif isdefined("form.URL")>
			<cfset session.URL = form.URL>
		</cfif>
		<cfif isdefined("form.ExportDate")>
			<cfset session.ExportDate = form.ExportDate>
		</cfif>
		<cfif isdefined("form.HiddenThesisFlag")>
			<cfset session.HiddenThesisFlag = form.HiddenThesisFlag>
		</cfif>	
		<cfif isdefined("form.HiddenIsPaper")>
			<cfset session.HiddenIsPaper = form.HiddenIsPaper>
		</cfif>		
		<cfset session.PartNotes = form.PartNotes>
		
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromNewPartOfTitle#">
		</cfif>
		<!--- New Bib record was pressed--->
		<cfif form.TheButton eq "NewBook">
			<cflocation url="#application.EditorHome#Bib/NewBook.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=3&Head=2" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "NewArticleOfJournal">
			<cflocation url="#application.EditorHome#Bib/NewArticleOfJournal.cfm?Name=#url.Name#&Ref=#URL.Ref#&TempRefCat=9&Head=1" addtoken="no">
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.PartCitBPTitle" default="">
<cfparam name="session.Title" default="">
<cfparam name="session.Edition" default="">
<cfparam name="session.Series" default="">
<cfparam name="session.Authors" default="">
<cfparam name="session.RefYear" default="">
<cfparam name="session.Volume" default="">
<cfparam name="session.PageString" default="">
<cfparam name="session.URL" default="">
<cfparam name="session.ExportDate" default="">
<cfparam name="session.HiddenThesisFlag" default="off">
<cfparam name="session.HiddenIsPaper" default="off">
<cfparam name="session.PartNotes" default="">
<cfparam name="session.BackFromNewPartOfTitle" default="">

<!--- Was this template called with get method from AddNomRef or UpdateNomRef form? --->
<cfif (cgi.request_method is "get") and ((session.CallingPage eq "AddNomRef")or(session.CallingPage eq "UpdateNomRef")) >
	<!--- Set session variables --->
	<cfset session.PartCitBPTitle = "">
	<cfset session.Title = "">
	<cfset session.Edition = "">
	<cfset session.Series = "">
	<cfset session.Authors = "">
	<cfset session.RefYear = "">
	<cfset session.Volume = "">
	<cfset session.PageString = "">
	<cfset session.URL = "">
	<cfset session.ExportDate = "">
	<cfset session.HiddenTHesisFlag = "off">
	<cfset session.HiddenIsPaper = "off">
	<cfset session.PartNotes = "">
	<cfset session.BackFromNewPartOfTitle = cgi.http_referer>
</cfif>
<!--- Database interface --->
<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=Name>
</cfstoredproc>
<cfstoredproc procedure="s_web_GetInRefCategorys" datasource=#session.DSName#>
	<cfprocresult name=Categorys>
</cfstoredproc>
<cfif (#session.PartCitBPTitle# eq "")>
	<cfstoredproc procedure="s_web_DiscoverNomRefCache1" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
		<cfprocresult name="NomValues">
	</cfstoredproc>
<cfelse>
	<cfif isnumeric(session.PartCitBPTitle)>
		<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.PartCitBPTitle#>
			<cfprocresult name="Bib">
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchNomRefCache" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.PartCitBPTitle#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.TempInRefCat#>
			<cfprocresult name="Bib">
		</cfstoredproc>
	</cfif>
</cfif>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"> 
		<h2>
		<cfif #url.Head# eq 0>
			<b>Create new <i>part of other title</i> for<br>
				<i><cfoutput>#FullName.FullNameCache#</cfoutput></i>
			</b>
		</cfif>
		<cfif #url.Head# eq 1>
			<b>Create new <i>part of other title</i></b>
		</cfif>
		</h2>
		</td>
	</tr>
	<tr bgcolor ="#eeeea">
		<td colspan="2">
		<font color="Black">The entry marked with</font> <font color="Red">*</font> is required
		</td>
	</tr>
	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<cfif #url.Head# eq 0>
			<!--- NomAuthorTeam--->
			<tr bgcolor="#eeeee">
				<td width><b>Abbrev. authors</b></td>
				<td width>
					<input name="NomAuthorAbbrev" size="50" value="<cfoutput>#FullName.AuthorTeamCache#</cfoutput>" disabled>
				</td>
			</tr>
		</cfif>
		<!--- RefAuthorString--->
		<tr bgcolor="#eeeee">
			<td width><b>Full authors</b></td>
			<td width>
				<input type="text" name="Authors" size="70" value="<cfoutput>#session.Authors#</cfoutput>">
			</td>
		</tr>
		<!--- Year of publication --->
		<tr bgcolor="#eeeee">
			<td width><b>Reference year</b></td>
			<td width>
				<input type="text" name="RefYear" size="20" value="<cfoutput>#session.RefYear#</cfoutput>">
			</td>
		</tr>
		
		<!---Article Title --->
		<tr bgcolor="#eeeee">
			<td width=140><b>Full title</b></td>
			<td width=460>
				<input type="text" name="Title" size="70" value="<cfoutput>#session.Title#</cfoutput>">
				<br>
				<input type="checkbox" name="ThesisFlag" <cfif session.HiddenThesisFlag eq 'on'> checked </cfif> onClick="SetHiddenThesisFlag()"> (Thesis)
				<input type="hidden" name="HiddenThesisFlag"<cfif session.HiddenThesisFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				<input type="checkbox" name="IsPaper" <cfif session.HiddenIsPaper eq 'on'> checked </cfif> onClick="SetHiddenIsPaper()"> (Paper)
				<input type="hidden" name="HiddenIsPaper"<cfif session.HiddenIsPaper eq 'on'> value="on" <cfelse> value = "off" </cfif>>
			</td>
		</tr>
		<!--- PageString--->
		<tr bgcolor="#eeeee">
			<td width><b>Page string</b></td>
			<td width>
				<input type="text" name="PageString" size="20" value="<cfoutput>#session.PageString#</cfoutput>">
			</td>
		</tr>
		<!--- URL--->
		<tr bgcolor="#eeeee">
			<td width = 140><b>URL</b></td>
			<td width = 460>
				<input type="text" name="URL" size="70" value="<cfoutput>#session.URL#</cfoutput>">
			</td>
		</tr>
		<!--- ExportDate --->
		<tr bgcolor="#eeeee">
			<td width><b>Export date</b></td>
			<td width>
				<input type="text" name="ExportDate" size="20" value="<cfoutput>#session.ExportDate#</cfoutput>">
			</td>
		</tr>	
		<!--- Select Ref Category  --->
		<tr bgcolor="#eeeee">
			<td width=140><b>Select category</b></td>
			<td width=460>
			Part of&nbsp;&nbsp;&nbsp;
			<cfoutput>
				<select name="RefCat" onChange="ChangeCategoryAction(#URL.Name#, #URL.Ref#, #url.TempRefCat#, #url.Head#,this)">
					<cfloop query="Categorys">
						<option value=#Categorys.RefCategoryId# <cfif Categorys.RefCategoryId eq #url.TempInRefCat#>selected</cfif>>#Categorys.RefCategory#
					</cfloop>	
				</select>
			</cfoutput>
			</td>
		</tr>
		<!--- Select Nom Reference --->
		<tr bgcolor="#eeeee">
			<cfif  #url.TempInRefCat# eq 1>
			<td width=150><b>Article in periodical <font color="Red">*</font></b></td>
			</cfif>
			<cfif  #url.TempInRefCat# eq 3>
			<td width=150><b>Book <font color="Red">*</font></b></td>
			</cfif>
			<td width = 460>
				<cfoutput>
				<select name="PartCitBPTitle" onChange="ChangeBiblioAction(#URL.Name#, #URL.Ref#, #url.TempRefCat#, #url.Head#, #url.TempInRefCat#)">
				<cfif session.PartCitBPTitle neq "">
					<cfif isnumeric(session.PartCitBPTitle)>
						<option value=#Bib.RefId#>#Bib.NomRefCache#
						<option value="">----------------------------------- no selection -----------------------------------
					<cfelse>
						<option value="#session.PartCitBPTitle#">-------------------------------- preselection: #session.PartCitBPTitle# ------------------------------
						<option value="">----------------------------------- no selection -----------------------------------
						<cfloop query="Bib">
							<option value=#Bib.RefId#>#Bib.NomRefCache#
						</cfloop>
					</cfif>
				<cfelse>
					<option value="">----------------------------------- no selection -----------------------------------
					<cfloop query="NomValues">
						<cfif len(#NomValues.FirstTwo#) gt 0>
							<option value="#NomValues.FirstTwo#">#NomValues.FirstTwo#&nbsp;...
						</cfif>
					</cfloop>	
				</cfif>
				</select>
				</cfoutput>
			</td>
		</tr>	
		<!--- New book, New Article of Journal--->
		<tr bgcolor="#eeeee">
			<td><a href="javascript: ButtonAction('NewBook')" class="addlink">New book</a></td>
			<td><a href="javascript: ButtonAction('NewArticleOfJournal')" class="addlink">New article in periodical</a></td>
		</tr>	
		<!--- PartNotes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Reference notes</b>
			</td>
			<td>	
				<textarea cols="50" rows="3" name="PartNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.PartNotes#</cfoutput></textarea>
			</td>
		</tr>
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
			</td>
		</tr>
	</form>
</table>

<cfinclude template="../template_down.cfm">
