<!--- DelAllFacts			--->
<!--- D. Rpert 			--->
<!--- Created: 2/2003		--->
<!--- Last update: 2/2003	--->
<!--- based on DelSynonym from Anton Gntsch, J. Li--->

<!---
Delete all facts from Fact table and the corresponding citation in RefDetail for an accepted taxon.
This procedure does not delete occurrence facts which are treated separately.
--->

<cfinclude template="../template_up.cfm">

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If "Yes" button was pressed --->
	<cfif form.TheButton eq "Yes">
		<!--- Delete all facts ant citation ... --->		 
		<cfstoredproc procedure="s_web_DelAllFacts" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Ref#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
		</cfstoredproc>
	</cfif>
	<!--- ... and jump to the central form --->
	<cflocation url=#session.BackFromDelAllFacts# addtoken="no">
</cfif>
<!--- Create session variables if not already existing --->
<cfparam name="session.BackFromDelAllFacts" default="">
<cfif (cgi.request_method is "get") and (session.CallingPage eq "TaxForm")>
	<cfset session.BackFromDelAllFacts = cgi.http_referer>
</cfif>
<!--- If calling Page ist InactiveTaxform --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "InactiveTaxForm")>
	<cfset session.BackFromDelAllFacts = cgi.http_referer>
</cfif>
<!--- Database Interface --->
<!--- Potential taxon information --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>

<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5103>
	<cfprocresult name=Message>
</cfstoredproc>

<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2><b>You are about to delete a all facts for<br><i><cfoutput>#OnePT.FullNameCache#</cfoutput></i></b></h2></td>
	</tr>
	<!--- The message Id=5102 --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><cfoutput>#Message.Message#</cfoutput></td>
	</tr>
	
			
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
			Do you really want to delete this fact from your revision?
			<br>
			<form name=EM action="#cgi.script_name#" method="post">
				<input type="submit" name="TheButton" value="Yes">
				<input type="submit" name="TheButton" value="Cancel">
			</form>
		</td>
	</tr>

</table>

<cfinclude template="../template_down.cfm">
