<!--- MoveFact.cfm			--->
<!---  D.Rpert 			--->
<!--- Created: 2/2003		--->
<!--- Last update: 7/2003	--->
<!---
This form (based on "Syn2Acc.cfm" (Anton Gntsch) is used to select a new parent taxon (accepted)
when a fact is moved to a new accepted taxon.
--->

<cfinclude template="../template_up.cfm">
	<script language="JavaScript">
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>

<!--- Potential taxon information to be displayed regardless whether this was a get or post. --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<!--- Get Fact for moving to be displayed regardless whether this was a get or post. --->
<cfstoredproc procedure="s_web_OneFactAndCitation" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#Url.FactId#>
	<cfprocresult name=FactCit>
</cfstoredproc>
<!--- Get FactCategory for information to be displayed regardless whether this was a get or post. --->
<cfstoredproc procedure="s_web_GetOneFactCategory" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#Url.FactCategory#>
	<cfprocresult name="FactCategory2">
</cfstoredproc>
<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5100>
	<cfprocresult name=Message>
</cfstoredproc>

<!--- Action: Submit Query and display hits with links to the taxon to be selected --->
<!--- as a new parent if this was a post. --->
<cfif cgi.request_method is "post">
	<!--- Call stored procedure to search for accepted taxa belonging to this reference --->
	<cfset NewSearchString = #replace(#form.SearchString#, "*", "%", "all")#>
	<cfstoredproc procedure="s_web_SearchTaxonName" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.Where#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=1>
		<cfprocresult name=Hits>
	</cfstoredproc>
	<!--- Display hits --->
	<table class="maintable">
		
		<!--- Title for this form --->
		<tr bgcolor="#eeeea">
			<td colspan="2">
				<h2>
					<b>Move fact<br>
					<i><cfoutput>#FactCategory2.FactCategory#</cfoutput>:&nbsp;
					<i><cfoutput>#FactCit.Fact#</cfoutput></i><br>
					to another <i>accepted or preliminary accepted taxon </i>
					</b>
				</h2>
			</td>
		</tr>
		<tr bgcolor="#eeeea">
			<td colspan="2">
				<cfoutput>#message.Message#</cfoutput>
			</td>	
		</tr>
		
		<tr bgcolor ="#eeeea">
			<td colspan="3">
				<h3>
					<cfoutput>
						#Hits.RecordCount# hits for<br>
						<i>
							<cfswitch expression=#form.Where#>
								<cfcase value=1>Entire taxon name</cfcase>
								<cfcase value=2>Suprageneric name</cfcase>
								<cfcase value=3>Genus</cfcase>
								<cfcase value=4>Infrageneric epithet</cfcase>
								<cfcase value=5>Species epihtet</cfcase>
								<cfcase value=6>Infraspecific epithet</cfcase>
								<cfcase value=7>Unnamed NamePhrase</cfcase>
								<cfcase value=8>Cultivar Name</cfcase>
								<cfcase value=9>Cultivar GroupName</cfcase>
							</cfswitch>
							&nbsp;=&nbsp;
							#form.SearchString#
						</i>
					</cfoutput>
				</h3>
			</td>
		</tr>

		<!--- Header --->
		<tr bgcolor="#eeeee">
			<td><b>Full name</b></td>
			<td><b>Rank</b></td>
		</tr>

		<!--- Hits and links to select the new parent taxon --->
		<cfoutput query=Hits>
			<tr bgcolor="##eeeee">
				<td><a href="#application.EditorHome#Facts/MoveFactsConf.cfm?Name=#Url.Name#&OldParent=#Url.Name#&Ref=#URL.Ref#&FactID=#Url.FactID#&NewParent=#Hits.NameId#&FactCategory=#Url.FactCategory#">#Hits.FullNameCache#</a></td>
				<td>#Hits.Rank#</td>
			</tr>	
		</cfoutput>
		<cfif Hits.recordcount gt 0>
			<tr bgcolor="#eeeea">
				<td colspan="2">Please follow one of the given links to <b>select the new parent taxon.</b></td>
			</tr>
		</cfif>
		
		<!--- Button: Back --->
		<tr bgcolor ="#eeeea">
			<form name=EM action="#cgi.script_name#" method="post">
				<tr bgcolor ="#eeeea">
			<td colspan="3">
				<input type=button value="Cancel" onClick="window.location.href='javascript:history.go(-2)'">
				<input type=button value="New Search" onClick="window.location.href='javascript:history.back()'">
			</td>
			</td>
		</tr>
			</form>
		</tr>	
	</table>
<cfelse>
	<table class="maintable">

		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=250>
		</colgroup>
	
		<tr bgcolor="#eeeea">
			<td colspan="2">
				<h2>
					<b>Move fact<br>
					<i><cfoutput>#FactCategory2.FactCategory#</cfoutput>:&nbsp;
					<i><cfoutput>#FactCit.Fact#</cfoutput></i><br>
					to another <i>accepted or preliminary accepted taxon </i>
					</b>
				</h2>
			</td>
		</tr>
		<tr bgcolor="#eeeea">
			<td colspan="2">
				<cfoutput>#message.Message#</cfoutput>
			</td>	
		</tr>
	
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td>To search for a parent taxon fill in search string (at least 3 characters) and use wild cards if needed (eg. '*inace*').</td>
			<td>Select name part to be queried.</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
		
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<input type="text" name="SearchString" size="60">
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrse
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="submit" value="Search">
					<cfoutput>
						<input type=button value="Cancel" onClick="window.location.href='javascript:history.back()'">
					</cfoutput>
				</td>
			</tr>
		
		</form>
	</table>
</cfif>

<cfinclude template="../template_up.cfm">


