<!--- HelpText							--->
<!--- Anton Gntsch & Marc Geoffroy		--->
<!--- Created: 3/2003					--->
<!--- Last update: 5/2003				--->

<!---
This template is used to display a help text for the given context. The helptext is identified with the
form name parameter in the url (e.g. FormName=taxform. If no help text is available in the database, a
default message is displayed.
--->

<cfinclude template="../template_up.cfm">

<table class="maintable">
	<colgroup>
		<col width=600>
	</colgroup>
	
	<!--- Retrieve the helptext to be displayed from backbone database --->
	<cfstoredproc procedure="s_web_GetHelpText" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#url.FormName#>
		<cfprocresult name=HelpText>
	</cfstoredproc>
	
	<cfif HelpText.RecordCount neq 0>
		<!--- Get matching submodules for this help text if any --->
		<cfstoredproc procedure="s_web_GetHelpModules" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#HelpText.MessageID#>
			<cfprocresult name=SubHelpText>
		</cfstoredproc>
	</cfif>
	
	<!--- Display the message --->
	<tr bgcolor="#eeeee">
    	<td>
			<cfif HelpText.RecordCount neq 0>
				<cfoutput>
					<cfloop query="HelpText">
						#HelpText.Message#
					</cfloop>
					<cfloop query="SubHelpText">
						<p>
							#SubHelpText.Header#<br>
						 	#SubHelpText.Message#
						</p>
					</cfloop>	
				</cfoutput>
			<cfelse>
				<h3>Sorry, presently no helptext available for this form.</h3>
			</cfif>
		</td>
	</tr>
	
	<!--- Button to close this window --->
	<tr bgcolor="#eeeea">
		<form>											
    		<td align="center">
				<input type="button" value="Close" onClick="window.close()"> 
			</td>	
		</form>
	</tr>
	
</table>

<cfinclude template="../template_down.cfm">
