<!--- Message				--->
<!--- Anton Gntsch 		--->
<!--- Created: 10/2001		--->
<!--- Last update: 12/2001	--->

<!---
This template gets a list of message identifiers (URL.MessageIdLst) corresponding to entries
in the Euro+Med MessageHTML table. The Messages are retieved from the backbone database and
simply displayed. An additional parameter URL.mode determines whether the given messages 
should be displayed as an information or a warning (other types to be implemented). The data-
base driven messages help to keep the userinterface software smaller and easier to translate
into other languages than English.
--->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Message</title>  
</head>

<body bgcolor=FloralWhite>

<table>
	<colgroup>
		<col width=400>
	</colgroup>
	<!--- Display a simple header --->
	<tr bgcolor="#eeeea">
		<td align="center">
    	<cfswitch expression=#URL.Mode#>
			<!--- type = information (e.g. 'Note that ...' or 'Not yet implemented') --->
			<cfcase value="i">
    			<h1>i</h1>
			</cfcase>
			<!--- type = warning (e.g. 'Species epithet missing.') --->
			<cfcase value="w">
    		<cfoutput><img border="0" src="#application.EditorHome#Pics/alert.gif"></cfoutput>
			</cfcase>
		</cfswitch>
		</td>
	</tr>
	
	<!--- Retrieve the message to be displayed from backbone database --->
	<cfset OrigMessageIdLst = urldecode(URL.MessageIdLst)>
	
	<cfstoredproc procedure="s_web_MessageLst" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#OrigMessageIdLst#>
		<cfprocresult name=Message>
	</cfstoredproc>
	
	
	<!--- Display the message --->
	<tr bgcolor="#eeeee">
    	<td>
			<h4><cfoutput>
				<cfloop query="Message">
					<p>
						#Message.Message#
					</p>
				</cfloop>	
			</cfoutput></h4>
		</td>
	</tr>
	
	<!--- Button to close this window --->
	<tr bgcolor="#eeeea">
		<form>											
    		<td align="center">
				<input type="button" value="Back to Edit" onClick="window.close()"> 
			</td>	
		</form>
	</tr>
	
</table>

</body>
</html>
