<!--- AddHybParent				--->
<!---  J. Li 					--->
<!--- Created: 9/2002			--->
<!--- Last update: 3/26/2003    --->
<!--- Updated by: M.Geoffroy	--->

<!---This template is used for adding a name as a parent of hybridformula.--->

<cfinclude template="../template_up.cfm">

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<cfif #url.RelQualifier# eq 9>
		<cfstoredproc procedure="s_web_AddHybParent1" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name1#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.RelQualifier#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.RelNotes#">
			<cfprocresult name=HybParent1>
		</cfstoredproc>
		<!--- ... and jump to the central form --->
		<cfif #URL.TempSynCat# neq 0>
			<cflocation url="selectHybParent.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#HybParent1.RankFk#&TempSynCat=#URL.TempSynCat#&RelQualifier=10&Name2=#HybParent1.NameFk2#" addtoken="no">
		<cfelse>
			<cflocation url="selectHybParent.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Ref2=#URL.Ref2#&TempRank=#HybParent1.RankFk#&TempSynCat=#URL.TempSynCat#&RelQualifier=10&Name2=#HybParent1.NameFk2#" addtoken="no">
		</cfif>
	</cfif>	
	<cfif #url.RelQualifier# eq 10>
		<cfstoredproc procedure="s_web_AddHybParent2" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name1#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name2#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.RelQualifier#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.RelNotes#">
			<cfprocresult name=HybParent2>
		</cfstoredproc>
		<cfif #url.TempRank# gte #HybParent2.RankFk#>
			<cfif #URL.TempSynCat# neq 0>
				<cflocation url="AddHybridFormula.cfm?Name2=#url.Name2#&Name=#url.Name#&Ref=#URL.Ref#&TempRank=#url.TempRank#&TempSynCat=#URL.TempSynCat#" addtoken="no">
			<cfelse>
				<cflocation url="AddHybridFormula.cfm?Name2=#url.Name2#&Name=#url.Name#&Ref=#URL.Ref#&Ref2=#URL.Ref2#&TempRank=#url.TempRank#&TempSynCat=#URL.TempSynCat#" addtoken="no">
			</cfif>
		<cfelse>
			<cfif #URL.TempSynCat# neq 0>
				<cflocation url="AddHybridFormula.cfm?Name2=#url.Name2#&Name=#url.Name#&Ref=#URL.Ref#&TempRank=#HybParent2.RankFk#&TempSynCat=#URL.TempSynCat#" addtoken="no">
			<cfelse>
				<cflocation url="AddHybridFormula.cfm?Name2=#url.Name2#&Name=#url.Name#&Ref=#URL.Ref#&Ref2=#URL.Ref2#&TempRank=#HybParent2.RankFk#&TempSynCat=#URL.TempSynCat#" addtoken="no">
			</cfif>
		</cfif>
	</cfif>
</cfif>

<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name1#>
	<cfprocresult name=OneName>
</cfstoredproc>
<cfparam name = "session.RelNotes" default ="">
<table class="maintable">
	<!--- Title for this form --->
	<form name=EM action="#cgi.script_name#" method="post">
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2>
			<b>Selected hybrid parent:</b>
			<br> <cfoutput><i>#OneName.FullNameCache#</i></cfoutput>
			</h2>
		</td>
	</tr>
	<!--- Name and nomenclatural citation --->  
	<tr bgcolor="#eeeee">
		<td width=140><strong>Name:</strong></td>
		<cfoutput><td width=460>#OneName.FullNameCache#</td></cfoutput>
	</tr>
	<tr bgcolor="#eeeee">
		<td><strong>Nomencl. ref.</strong></td>
		<cfoutput>
			<cfif #OneName.FullNomRefCache# neq ''>
				<td>#OneName.FullNomRefCache#</td>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
		</cfoutput>
	</tr>

	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
			Do you really want to choose  <cfoutput><i>#OneName.FullNameCache#</i></cfoutput>  as a hybrid parent?
		</td>
	</tr>
	<!--- Notes --->
	<tr bgcolor="#eeeee">
		<td><b>Notes(relation)</b></td>
		<td><textarea cols="50" rows="3" name="RelNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.RelNotes#</cfoutput></textarea></td>
	</tr>
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<input type="submit" value="Yes">
			<input type=button value="Cancel" onClick="window.location.href='javascript:history.back()'">	
		</td>
	</tr>
	</form>
</table>

<cfinclude template="../template_down.cfm">