<!---AddHybridFormula		--->
<!---  J. Li 				--->
<!--- Created: 9/2002		--->
<!--- Last update: 3/27/2003    --->
<!--- Updated by: M.Geoffroy	--->

<!---
Add a new hybridformula (synonym, doubtful synonym, pro parte synonym, misapplied name or included taxon)
for the given potential taxon. 
--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Call this page once more if user changes the synonym category --->
    	function ChangeSynCatAction(Name2, Name, Ref, TempRank, TSynCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>names/AddHybridFormula.cfm?name2=' + Name2 + '&name=' + Name + '&ref=' + Ref + '&TempRank=' + TempRank + '&TempSynCat=' + TSynCat;
			document.EM.submit();
		}
		function SetHiddenDoubtfulFlag() {
			if (document.EM.DoubtfulFlag.checked) {
				document.EM.HiddenDoubtfulFlag.value = 'on';
			} else {
				document.EM.HiddenDoubtfulFlag.value = 'off';
			}
		}
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>


<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
		<cfprocresult name=OneName>
	</cfstoredproc>
	<cfif form.TheButton eq "Apply" and #URL.TempSynCat# neq 0>
		<!--- the 's_AddHybridFormula' is only for adding a hybridfomula as synomyn or 
		as included taxon but the rank should be lower than the given accepted taxon.--->
		<cfif (#URL.TempSynCat# neq 1 )or (#url.TempRank# gt #OneName.RankFk#)>
			<cfstoredproc procedure="s_web_AddHybridFormula" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name2#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RefId" value=#url.ref#>
				<!--- Submit name, reference, and rank --->
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@StatusFk" value=#url.TempSynCat#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@AcceptedNameId" value="#url.name#">
				<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RankFk" value=#url.TempRank#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@NamePhrase" null="yes">
				<!--- Submit HybFormulaFlag --->
				<cfif isdefined("form.DoubtfulFlag")>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="d">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="a">  
				</cfif>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.NameNotes#">
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@RelNotes" value="#form.RelNotes#">
			</cfstoredproc>
			<!--- ... and jump to the central form --->
			<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
		<cfelse>
			<cfstoredproc procedure="s_web_DeleteHybParents" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name2#>
			</cfstoredproc>
			<cflocation url="#application.EditorHome#Messages/AddHybridFormulaMessage.cfm?Name2=#url.Name2#&Name=#url.Name#&Ref=#URL.Ref#&TempRank=#url.TempRank#&TempSynCat=#URL.TempSynCat#" addtoken="no">
		</cfif>
	<cfelseif form.TheButton eq "Apply" and #URL.TempSynCat# eq 0>
		<!--- the 's_AddOnlyHybridFormula' is only for adding a hybridfomula.--->
		<cfstoredproc procedure="s_web_AddOnlyHybridFormula" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name2#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RefId" value=#url.ref#>
			<!--- Submit name, reference, and rank --->
			<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RankFk" value=#url.TempRank#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.NameNotes#">
		</cfstoredproc>
		<!--- ... and jump to the SelectNameAndR form --->
		<cflocation url="SelectNameAndR.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name2=#url.Name2#&Ref2=#URL.Ref2#" addtoken="no">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.HiddenDoubtfulFlag")>
			<cfset session.HiddenDoubtfulFlag = form.HiddenDoubtfulFlag>
		</cfif>
		<cfset session.NameNotes = form.NameNotes>
		<cfif #URL.TempSynCat# neq 0>
			<cfset session.RelNotes = form.RelNotes>
		</cfif>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cfstoredproc procedure="s_web_DeleteHybParents" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name2#>
			</cfstoredproc>
			<cfif #URL.TempSynCat# neq 0>
				<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
			<cfelse>
				<cflocation url="SelectNameAndR.cfm?name=#URL.name#&ref=#URL.ref#&Name2=-99&Ref2=#URL.Ref2#" addtoken="no">
			</cfif>
		</cfif>
	</cfif>
</cfif>
<!--- Create session variables if not already existing --->
<cfparam name="session.HiddenDoubtfulFlag" default="off">
<cfparam name="session.NameNotes" default = "">
<cfparam name="session.RelNotes" default = "">
<cfparam name="session.BackFromAddHybridFormula" default="">

<!--- Was this template called with get method from the central form? --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "TaxForm")>
	<cfset session.DoubtfulFlag = "off">
	<cfset session.NameNotes = "">
	<cfset session.RelNotes = "">
	<cfset session.BackFromAddHybridFormula = cgi.http_referer>
</cfif>
<cfstoredproc procedure="s_web_OneParentName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name2#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=9>
	<cfprocresult name=OneParentName1>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneParentName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name2#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=10>
	<cfprocresult name=OneParentName2>
</cfstoredproc>
<!--- Retrieve information to populate pulldown menu for rank selection --->
<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocresult name=OneName>
</cfstoredproc>

<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<h2
				<cfif #URL.TempSynCat# eq 0>
					<<<<b>Add misapplied name (HybridFormula) for 
					<br><cfoutput><i>#OneName.FullNameCache#</i></cfoutput>
					</b>
				<cfelseif #URL.TempSynCat# neq 1>
					<<<b>Add synonym (HybridFormula) for 
					<br><cfoutput><i>#OneName.FullNameCache#</i></cfoutput>
					</b>
				<cfelse>
					<b>Add Included Taxon (HybridFormula)for
					<br><cfoutput><i>#OneName.FullNameCache#</i></cfoutput> 
					</b>
				</cfif>
			</h2>
		</td>
	</tr>
	<!--- Title for this form --->
	<tr bgcolor="#eeeee">
		<td width=140><b>Hybrid Parents:</b></td>
		<td width=460>
			<cfoutput><i>#OneParentName1.FullNameCache#</i></cfoutput>
			<br>
			<cfoutput><i>#OneParentName2.FullNameCache#</i></cfoutput>		
		</td>		
	</tr>
	<form name=EM action="#cgi.script_name#" method="post">
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<cfif #URL.TempSynCat# neq 0>
			<!--- Select synonym category--->
			<tr bgcolor="#eeeee">
				<cfif #URL.TempSynCat# neq 1>
					<td width=140><b>Category:</b></td>
					<td width=460>
						Doubtful<input type="checkbox" name="DoubtfulFlag" <cfif session.HiddenDoubtfulFlag eq 'on'> checked </cfif> onClick="SetHiddenDoubtfulFlag()"> 
						<input type="hidden" name="HiddenDoubtfulFlag"<cfif session.HiddenDoubtfulFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>
						<cfoutput>
							Synonym:<input type="radio" name="SynCat" <cfif #URL.TempSynCat# eq 2>checked</cfif> value=2 onClick="if (this.checked) ChangeSynCatAction(#url.Name2#, #url.Name#, #url.Ref#, #url.TempRank#, this.value)">&nbsp;
							<!---Doubtful syn.:<input type="radio" name="SynCat" <cfif #URL.TempSynCat# eq 2 and #OnePT.DoubtfulFlag# eq 1>checked</cfif> value=2 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Ref#, #url.TempRank#, this.value)">&nbsp;--->
							Pro parte syn.:<input type="radio" name="SynCat" <cfif #URL.TempSynCat# eq 4>checked</cfif> value=4 onClick="if (this.checked) ChangeSynCatAction(#url.Name2#, #url.Name#, #url.Ref#, #url.TempRank#, this.value)">&nbsp;
							Partial synonym:<input type="radio" name="SynCat" <cfif #URL.TempSynCat# eq 3>checked</cfif> value=3 onClick="if (this.checked) ChangeSynCatAction(#url.Name2#, #url.Name#, #url.Ref#, #url.TempRank#, this.value)">
						</cfoutput>
					</td>
				<cfelse>
					<td width=140>&nbsp;</td>
					<td width=460>
						Preliminary accepted <input type="checkbox" name="DoubtfulFlag" <cfif session.HiddenDoubtfulFlag eq 'on'> checked </cfif> onClick="SetHiddenDoubtfulFlag()"> 
						<input type="hidden" name="HiddenDoubtfulFlag"<cfif session.HiddenDoubtfulFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>
					</td>
				</cfif>
			</tr>
		</cfif>
		
		<!--- Notes --->
		<tr bgcolor="#eeeee">
			<td><b>Notes (name)</b></td>
			<td><textarea cols="50" rows="3" name="NameNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.NameNotes#</cfoutput></textarea></td>
		</tr>
		<!--- Notes --->
		<cfif #URL.TempSynCat# neq 0>
			<tr bgcolor="#eeeee">
				<td><b>Notes (relation)</b></td>
				<td><textarea cols="50" rows="3" name="RelNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.RelNotes#</cfoutput></textarea></td>
			</tr>
		</cfif>
		<!--- Check, Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
			</td>
		</tr>
	</form>
</table>

<cfinclude template="../template_downp.cfm">

