<!--- AddsyOrIn					--->
<!--- J. Li 					--->
<!--- Created: 1/2003			--->
<!--- Last update: 6/2003		--->

<!---This template is used for either adding existing synonym or included taxon.--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Call this page once more if user changes the synonym category --->
    	function ChangeSynCatAction(Name, Ref,  NameIn, TempStatus, Relqualifier) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>names/AddSyOrIn.cfm?name=' + Name + '&ref=' + Ref + '&NameIn=' + NameIn + '&TempStatus=' + TempStatus + '&Relqualifier=' + Relqualifier;
			document.EM.submit();
		}
		function SetHiddenDoubtfulFlag() {
			if (document.EM.DoubtfulFlag.checked) {
				document.EM.HiddenDoubtfulFlag.value = 'on';
			} else {
				document.EM.HiddenDoubtfulFlag.value = 'off';
			}
		}
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}	
</script>

<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.NameIn#>
	<cfprocresult name=OneName1>
</cfstoredproc>
<cfstoredproc procedure="s_web_PTStatus" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=PTStatus>
</cfstoredproc>
<cfif #PTStatus.StatusFk# gt 1>
	<cfstoredproc procedure="s_web_Syn2Acc" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=AcceptedTaxon>
	</cfstoredproc>
</cfif>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Yes button was pressed --->
	<cfif form.TheButton eq "Yes">	
		<cfif #PTStatus.StatusFk# eq 1>			
			<cfstoredproc procedure="s_web_AddExistingSyOrIn" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.NameIn#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.TempStatus#>
				<cfif isdefined("form.DoubtfulFlag")>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="d">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="a">  
				</cfif>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.Notes#">
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_AddExistingSyOrIn" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#AcceptedTaxon.PTNameFk2#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.NameIn#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.TempStatus#>
				<cfif isdefined("form.DoubtfulFlag")>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="d">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="a">  
				</cfif>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.Notes#">
			</cfstoredproc>
		</cfif>
		<!--- ... and jump to the central form --->
		<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	<cfelseif form.TheButton eq "BackToMain">
		<!--- ... and jump to the central form --->
		<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.HiddenDoubtfulFlag")>
			<cfset session.HiddenDoubtfulFlag = form.HiddenDoubtfulFlag>
		</cfif>
		<cfset session.Notes = form.Notes>
		<!--- "Cancel" was pressed --->
	</cfif>
</cfif>
<!--- Create session variables if not already existing --->
<cfparam name="session.HiddenDoubtfulFlag" default="off">
<cfparam name="session.Notes" default = "">
<!--- Was this template called with get method from the central form? --->
<cfif (cgi.request_method is "get")>
	<cfset session.DoubtfulFlag = "off">
	<cfset session.Notes = "">
</cfif>
<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocresult name=OneName>
</cfstoredproc>

<table class="maintable">
	<!--- Title for this form --->
	<form name=EM action="#cgi.script_name#" method="post">
	<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
	<input type="hidden" name="TheButton">
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2>
		<cfif #url.TempStatus# eq 1>
			<b>Selected Included Taxon:</b>
			<br> <cfoutput><i>#OneName1.FullNameCache#</i></cfoutput>
		<cfelseif #url.TempStatus# gte 2>
			<b>Selected </b> <cfoutput><i>#OneName1.FullNameCache#</i></cfoutput> is
			<br></h2> 
			Doubtful<input type="checkbox" name="DoubtfulFlag" <cfif session.HiddenDoubtfulFlag eq 'on'> checked </cfif> onClick="SetHiddenDoubtfulFlag()"> 
			<input type="hidden" name="HiddenDoubtfulFlag"<cfif session.HiddenDoubtfulFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>
			<cfoutput>
				Synonym:<input type="radio" name="SynCat" <cfif #URL.TempStatus# eq 2>checked</cfif> value=2 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Ref#, #nameIn#, this.value, #url.Relqualifier#)">&nbsp;
				Pro parte syn.:<input type="radio" name="SynCat" <cfif #URL.TempStatus# eq 4>checked</cfif> value=4 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Ref#, #nameIn#, this.value, #url.Relqualifier#)">&nbsp;
				Partial synonym:<input type="radio" name="SynCat" <cfif #URL.TempStatus# eq 3>checked</cfif> value=3 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Ref#,  #nameIn#,this.value, #url.Relqualifier#)">
			</cfoutput>
		</cfif>
		</td>
	</tr>
	<!--- Name and nomenclatural citation --->  
	<tr bgcolor="#eeeee">
		<td width=140><strong>Name:</strong></td>
		<cfoutput><td width=460>#OneName1.FullNameCache#</td></cfoutput>
	</tr>
	<tr bgcolor="#eeeee">
		<td><strong>Nomencl. ref.</strong></td>
		<cfoutput>
			<cfif #OneName1.FullNomRefCache# neq ''>
				<td>#OneName1.FullNomRefCache#</td>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
		</cfoutput>
	</tr>
	
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
		<cfif #url.TempStatus# eq 1>
			Are you sure <cfoutput><i>#OneName1.FullNameCache#</i></cfoutput>  is an included taxon of <cfoutput><i>#OneName.FullNameCache#</i></cfoutput> ?
		<cfelseif #url.TempStatus# gte 2>
			<cfif #PTStatus.StatusFk# eq 1>
				Are you sure  <cfoutput><i>#OneName1.FullNameCache#</i></cfoutput>  is a synonym  of <cfoutput><i>#OneName.FullNameCache#</i></cfoutput> ?
			<cfelse>
				Are you sure  <cfoutput><i>#OneName1.FullNameCache#</i></cfoutput>  is a synonym  of <cfoutput><i>#AcceptedTaxon.FullNameCache#</i></cfoutput> ?
			</cfif>	
		</cfif>
		</td>
	</tr>

	<tr bgcolor="#eeeee">
		<td><b>Notes(relation)</b></td>
		<td><textarea cols="50" rows="3" name="Notes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.Notes#</cfoutput></textarea></td>
	</tr>
	<cfif #url.Relqualifier# eq 0> 
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<input type="button" name="Yes" value="Yes" onClick="ButtonAction('Yes')">
			<input type=button value="Cancel" onClick="window.location.href='javascript:history.back()'">
		</td>
	</tr>
	<cfelse>
		<tr bgcolor ="#eeeea">
		<td colspan="2">
			<input type="button" name="Yes" value="Yes" onClick="ButtonAction('Yes')">
			<input type=button name="BackToMain" value="Cancel" onClick="ButtonAction('BackToMain')">
		</td>
	</tr>
	</cfif>
</form>
</table>

<cfinclude template="../template_down.cfm">