<!--- Alter Status of a Taxa--->
<!--- J.Li					--->
<!--- Created: 2/2002		--->
<!--- Last Updated: 8/2002	--->


<!---
Alter the status of a given accepted or doubtful accepted taxa. specified by 
the URL parameters URL.Name, URL.Ref, URL.TempFlag. 
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">
		
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		<!--- Set doubtful flag  fields --->
		function SetHiddenDoubtfulFlag() {
			if (document.EM.DoubtfulFlag.checked) {
				document.EM.HiddenDoubtfulFlag.value = 'on';
			} else {
				document.EM.HiddenDoubtfulFlag.value = 'off';
			}
		}

	</script>
 

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		
		<cfstoredproc procedure="s_web_UpdatePTaxon" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTNameFk" value="#URL.Name#">
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@PTRefFk" value=#URL.Ref#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@PotNotes" null="yes">
			
		<!--- Submit DoubtfulMarker --->
			<cfif isdefined("form.DoubtfulFlag")>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@DoubtfulFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@DoubtfulFlag" null="yes">  
			</cfif>
		</cfstoredproc>
		
		<!--- ... and jump to the central form --->
		<cflocation url=#session.BackFromAlterStatus# addtoken="no">
	<cfelse>	
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.HiddenDoubtfulFlag")>
			<cfset session.HiddenDoubtfulFlag = form.HiddenDoubtfulFlag>
		</cfif>	

		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
		<cflocation addtoken="no" url="#session.BackFromAlterStatus#">
		</cfif>
	
	</cfif>	
	
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.HiddenDoubtfulFlag" default="off">


<!--- Was this template called with get method from TaxForm? --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "TaxForm")>
	<!--- Retrieve  information for one name --->
<!--- Retrieve  information for one Taxon --->
	<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=OnePT>
	</cfstoredproc>
<!--- Retrieve information to populate pulldown menu for status selection --->
<!--- Set session variables --->
	<cfif (OnePT.DoubtfulFlag eq 1)>
		<cfset session.HiddenDoubtfulFlag = "on">
	<cfelse>
		<cfset session.HiddenDoubtfulFlag = "off">
	</cfif>
	<cfset session.BackFromAlterStatus = cgi.http_referer>
	
</cfif>
<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
	<cfprocresult name=Name>
</cfstoredproc>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<cfoutput>
			<td colspan=2><h2><b>Alter status for <br>
			<i>#Name.FullNameCache#</i><b></h2></td>
		</cfoutput>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		
		<!--- Select status --->
		<tr bgcolor="#eeeee">
			<td><b>Accepted status:</b></td>
			<td>
			<input type="checkbox" name="DoubtfulFlag" <cfif session.HiddenDoubtfulFlag eq 'on'> checked </cfif> onClick="SetHiddenDoubtfulFlag()"> (preliminary)
			<input type="hidden" name="HiddenDoubtfulFlag"<cfif session.HiddenDoubtfulFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>
			</td>
		</tr>
		
		
		<!---  Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
			</td>
		</tr>
	
	</form>
</table>

<cfinclude template="../template_down.cfm">



