<!--- DelSynonym				--->
<!---  J. Li 					--->
<!--- Created: 7/2003			--->
<!--- Last update: 7/2003		--->

<!---
Cut the links from all the given synonyms to their accepted taxon and remove all the potential taxons.
Do not remove the names and its names history. 
--->

<cfinclude template="../template_up.cfm">

<!--- Get synonyms for accepted taxon --->
<cfstoredproc procedure=" s_Acc2Syn" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=Synonyms>
</cfstoredproc>

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If "Yes" button was pressed --->
	<cfif form.TheButton eq "Yes">
		<cfloop query="Synonyms">
		<cfif #Synonyms.StatusId# eq 4>
			<!--- Delete pro parte synonym ... --->
			<cfstoredproc procedure="s_web_DeleteProSy" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#Synonyms.PTNameFk#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Ref#>
			</cfstoredproc>
		<cfelse>
			<!--- Delete synonym ... --->
			<cfstoredproc procedure="s_web_DeleteSyn" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#Synonyms.PTNameFk#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Ref#>
			</cfstoredproc>
		</cfif>
		</cfloop>
	</cfif>
	<!--- ... and jump to the central form --->
	<cflocation url=#session.BackFromDelAllSyn# addtoken="no">
</cfif>
<!--- Create session variables if not already existing --->
<cfparam name="session.BackFromDelAllSyn" default="">
<!--- If calling Page ist InactiveTaxform --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "InactiveTaxForm")>
	<cfset session.BackFromDelAllSyn = cgi.http_referer>
</cfif>
<!--- Database Interface --->
<!--- Potential taxon information --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>

<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5117>
	<cfprocresult name=Message>
</cfstoredproc>

<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><h2><b>You are about to delete <br><cfoutput><i><cfloop query="Synonyms">#Synonyms.FullNameCache#[#Synonyms.Status#]<br></cfloop></i>for<br><i>#OnePT.FullNameCache#</cfoutput></i></b></h2></td>
	</tr>
	<!--- The message Id=5000 --->
	<tr bgcolor ="#eeeea">
		<td colspan="2"><cfoutput>#Message.Message#</cfoutput></td>
	</tr>
	
	<!--- yes or cancel ? --->
	<tr bgcolor="#eeeee">
		<td colspan="2">
			Do you really want to delete these synonym relations from your revision?
			<br>
			<form name=EM action="#cgi.script_name#" method="post">
				<input type="submit" name="TheButton" value="Yes">
				<input type="submit" name="TheButton" value="Cancel">
			</form>
		</td>
	</tr>

</table>

<cfinclude template="../template_down.cfm">

