<!--- Edit MisAppRelNotes			--->
<!--- J. Li							--->
<!--- Created: 8/2003				--->
<!--- Based on EditPTaxonNotes(Anton Gntsch)--->


<!---
Edit a Misapplied relation note, for the given pair of potential taxon.
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">
		
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>
 

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfstoredproc procedure="s_web_UpdateMisapplied" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.name#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name1#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref1#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.Notes#">
		</cfstoredproc>
		<!--- ... and jump to the former form --->
		<cflocation url=#session.BackFromEditMisAppRelNotes# addtoken="no">
	<cfelse>		
		<cfset session.Notes = form.Notes>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation url=#session.BackFromEditMisAppRelNotes# addtoken="no">
		</cfif>
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Clear">
			<!--- Feed data into backbone database ... --->
			<cfstoredproc procedure="s_web_UpdateMisapplied" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.name#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name1#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref1#>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" null="yes">
			</cfstoredproc>
			<!--- ... and jump to the former form --->
			<cflocation url=#session.BackFromEditMisAppRelNotes# addtoken="no">
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->

<cfparam name="session.Notes" default = "">
<cfparam name="session.BackFromEditMisAppRelNotes" default="">

<!--- Retrieve information for one PTaxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePTAcc>
</cfstoredproc>	
	
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name1#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref1#>
	<cfprocresult name=OneMisApp>
</cfstoredproc>
<cfstoredproc procedure="s_web_Misapplied2Acc" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name1#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref1#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=Relation>
</cfstoredproc>
	
<!--- Was this template called with get method from the central form? --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "RelMisapplied")>
	
	<cfset session.Notes = Relation.Notes>
	<cfset session.BackFromEditMisAppRelNotes = cgi.http_referer>
</cfif>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<h2>
				<b>Edit misapplied relation notes:<br>
				<i><cfoutput>#OneMisApp.FullNameCache#</cfoutput></i> <br>
				is misapplied name for <br>
				<i><cfoutput>#OnePTAcc.FullNameCache#</cfoutput></i>
				 
				</b>
			</h2>
		</td>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
	
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
				
		<!--- Notes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Notes</b>
			</td>
			<td>	
				<textarea cols="50" rows="5" name="Notes" dir="ltr" clientwidth="500" wrap=physical><cfoutput>#session.Notes#</cfoutput></textarea>
			</td>
		</tr>
		
		<!--- Apply, Cancel buttons --->
		<tr bgcolor ="#eeeea">
			<td>
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
			</td>
			<td align="right">
				<input type="button" name="Clear" value="Clear" onClick="ButtonAction('Clear')">
			</td>
		</tr>
	</form>
</table>

<cfinclude template="../template_down.cfm">
