<!--- Edit synonym			--->
<!--- Anton Gntsch, J.Li 	--->
<!--- Created: 2/2002		--->
<!--- Updated: 4/2003		--->
<!--- Updated by: J. Li		--->

<!---
Edit a synonym, partial synonym or pro parte synonym for the given
potential taxon. The template is similiar to AddSynonym.cfm, except that the already
existing name data are displayed in the form and an updating stored procedure is called.
--->

<cfinclude template="../template_up.cfm">
	
  	<script language="JavaScript">
		<!--- Call this page once more if user changes the synonym category --->
    	function ChangeSynCatAction(Name, Name2, Ref, TempRank, TSynCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>names/EditSynonym.cfm?name=' + Name + '&Name2=' + Name2 + '&ref=' + Ref + '&TempRank=' + TempRank + '&TempSynCat=' + TSynCat;
			document.EM.submit();
		}
	
		<!--- Call this page once more if user select rank --->
    	function ChangeRankAction(Name, Name2, Ref, TRankLst, TSynCat) {
			TempRank = TRankLst.options[TRankLst.selectedIndex].value;
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>names/EditSynonym.cfm?name=' + Name + '&Name2=' + Name2+ '&ref=' + Ref + '&TempRank=' + TempRank + '&TempSynCat=' + TSynCat;
			document.EM.submit();
		}
		
		<!--- Call this page once more if user selects author teams --->
		function ChangeAuthorAction(Name, Name2, Ref, TempRank, TSynCat) {
			document.EM.action='<cfoutput>#application.EditorHome#</cfoutput>names/EditSynonym.cfm?name=' + Name + '&Name2=' + Name2+ '&ref=' + Ref + '&TempRank=' + TempRank + '&TempSynCat=' + TSynCat;
			document.EM.submit();
		}
		
		<!--- Set hidden hybrid fields --->
		function SetHiddenMonomHyb() {
			if (document.EM.MonomHyb.checked) {
				document.EM.HiddenMonomHyb.value = 'on';
			} else {
				document.EM.HiddenMonomHyb.value = 'off';
			}
		}

		function SetHiddenBinomHyb() {
			if (document.EM.BinomHyb.checked) {
				document.EM.HiddenBinomHyb.value = 'on';
			} else {
				document.EM.HiddenBinomHyb.value = 'off';
			}
		}
		
		function SetHiddenTrinomHyb() {
			if (document.EM.TrinomHyb.checked) {
				document.EM.HiddenTrinomHyb.value = 'on';
			} else {
				document.EM.HiddenTrinomHyb.value = 'off';
			}
		}
		
		function SetHiddenDoubtfulFlag() {
			if (document.EM.DoubtfulFlag.checked) {
				document.EM.HiddenDoubtfulFlag.value = 'on';
			} else {
				document.EM.HiddenDoubtfulFlag.value = 'off';
			}
		}
	
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>
 

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Feed data into backbone database ... --->
		<cfstoredproc procedure="s_web_UpdateSyn" datasource="#session.DSName#">
			<!--- Submit name, reference, and rank --->
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@StatusFk" value="#url.TempSynCat#">
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NameId" value="#url.Name#">
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NameFk2" value="#url.Name2#">
			<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RefId" value=#url.ref#>
			<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RankFk" value=#url.TempRank#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@NamePhrase" null="yes">
		
			<cfif  #url.TempRank# gte 40 and Len(form.UnnamedNamePhrase) is not 0>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@UnnamedNamePhrase" value="#form.UnnamedNamePhrase#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@UnnamedNamePhrase" null="yes">
			</cfif>
		
			<!--- Suprageneric rank: Submit suprageneric name --->
			<cfif #url.TempRank# lt 40>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@SupraGenericName" value="#form.SGenName#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@SupraGenericName" null="yes"> 
			</cfif>
			<!--- Genus and below: Submit genus name --->
			<cfif #url.TempRank# gte 40>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Genus" value="#form.Genus#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Genus" null="yes">
			</cfif>
			<!--- Infrageneric ranks: Submit infrageneric epithet --->
			<cfif (#URL.TempRank# gt 40) and (#URL.TempRank# lt 58) >
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@GenusSubdivisionEpi" value="#form.GenusSubdivisionEpi#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@GenusSubdivisionEpi" null="yes">
			</cfif>
			<!--- Species, subspecies, and aggregates: Submit species epithet --->
			<cfif (#url.TempRank# eq 58) or (#url.TempRank# gte 60) or (#url.TempRank# eq 59)>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@SpeciesEpi" value="#form.SpeciesEpi#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@SpeciesEpi" null="yes">  
			</cfif>
			<!--- Subspecies, variety, or forma: Submit infraspecific epithet --->
			<cfif (#url.TempRank# gt 60) >
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@InfraSpeciesEpi" value="#form.InfraSpeciesEpi#">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@InfraSpeciesEpi" null="yes">
			</cfif>
			<!--- Rank not aggregate and not a misapplied name: Submit authors & basionym authors --->
			<cfif (#URL.TempRank# neq 58)or (#URL.TempRank# neq 59) >
				<cfif isnumeric(form.Author)>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@AuthorTeamFk" value="#form.Author#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@AuthorTeamFk" null="yes">
				</cfif>
				<cfif isnumeric(form.BasAuthor)>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@BasAuthorTeamFk" value="#form.BasAuthor#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@BasAuthorTeamFk" null="yes">
				</cfif>	
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@AuthorTeamFk" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@BasAuthorTeamFk" null="yes">
			</cfif>
			<!--- Submit HybFormulaFlag --->
			<cfif isdefined("form.HybFormula")>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@HybridFormulaFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@HybridFormulaFlag" value=0>  
			</cfif>
			<!--- Submit MonomHybFlag --->
			<cfif isdefined("form.MonomHyb")>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@MonomHybFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@MonomHybFlag" value=0>  
			</cfif>
			<!--- Submit BinomHybFlag --->
			<cfif isdefined("form.BinomHyb")>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@BinomHybFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@BinomHybFlag" value=0>  
			</cfif>
			<!--- Submit TrinomHybFlag --->
			<cfif isdefined("form.TrinomHyb")>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@TrinomHybFlag" value=1>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_bit" dbvarname="@TrinomHybFlag" value=0>  
			</cfif>
			<cfif isdefined("form.DoubtfulFlag")>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="d">
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="a">  
			</cfif>
			<cfif (#url.TempRank# gt 40) >
				<cfif Len(form.CultivarGroupName) is not 0>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarGroupName" value="#form.CultivarGroupName#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarGroupName" null="yes">
				</cfif>
				
				<cfif Len(form.CultivarName) is not 0>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarName" value="#form.CultivarName#">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarName" null="yes">
				</cfif>
			<cfelse>
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarGroupName" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@CultivarName" null="yes">
			</cfif>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.NameNotes#">
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@RelNotes" value="#form.RelNotes#">
		</cfstoredproc>
		<!--- ... and jump to the central form --->
		<cflocation url=#session.BackFromEditSynonym# addtoken="no">
	<cfelse>
		<!--- Save form field data into session variables ... --->
		<cfif isdefined("form.SGenName")>
			<cfset session.SGenName = form.SGenName>
		</cfif>
		<cfif isdefined("form.Genus")>
			<cfset session.Genus = form.Genus>
		</cfif>
		<cfif isdefined("form.HiddenHybFormula")>
			<cfset session.HiddenHybFormula = form.HiddenHybFormula>
		</cfif>	
		<cfif isdefined("form.HiddenMonomHyb")>
			<cfset session.HiddenMonomHyb = form.HiddenMonomHyb>
		</cfif>	
		<cfif isdefined("form.GenusSubdivisionEpi")>
			<cfset session.GenusSubdivisionEpi = form.GenusSubdivisionEpi>
		</cfif>
		<cfif isdefined("form.SpeciesEpi")>
			<cfset session.SpeciesEpi = form.SpeciesEpi>
		</cfif>
		<cfif isdefined("form.HiddenBinomHyb")>
			<cfset session.HiddenBinomHyb = form.HiddenBinomHyb>
		</cfif>
		<cfif isdefined("form.HiddenTrinomHyb")>
			<cfset session.HiddenTrinomHyb = form.HiddenTrinomHyb>
		</cfif>
		<cfif isdefined("form.HiddenDoubtfulFlag")>
			<cfset session.HiddenDoubtfulFlag = form.HiddenDoubtfulFlag>
		</cfif>
		<cfif isdefined("form.InfraSpeciesEpi")>
			<cfset session.InfraSpeciesEpi = form.InfraSpeciesEpi>
		</cfif>
		<cfif isdefined("form.UnnamedNamePhrase")>
			<cfset session.UnnamedNamePhrase = form.UnnamedNamePhrase>
		</cfif>
		<cfif isdefined("form.CultivarName")>
			<cfset session.CultivarName = form.CultivarName>
		</cfif>
		<cfif isdefined("form.CultivarGroupName")>
			<cfset session.CultivarGroupName = form.CultivarGroupName>
		</cfif>
		<cfif isdefined("form.Author")>
			<cfset session.Author = form.Author>
		</cfif>
		<cfif isdefined("form.BasAuthor")>
			<cfset session.BasAuthor = form.BasAuthor>
		</cfif>
		<cfset session.NameNotes = form.NameNotes>
		<cfset session.RelNotes = form.RelNotes>
		<!--- ... and do something useful depending on the button which was pressed --->
		<!--- "Cancel" was pressed --->
		<cfif form.TheButton eq "Cancel">
			<cflocation addtoken="no" url="#session.BackFromEditSynonym#">
		</cfif>
		<cfif form.TheButton eq "ApplyHybSyn">
			<cfstoredproc procedure="s_web_UpdateHyb" datasource="#session.DSName#">
			<cfstoredproc procedure="s_web_Acc2HybParents" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=9>
				<cfprocresult name=HybridParent1>
			</cfstoredproc>
			<cfstoredproc procedure="s_web_Acc2HybParents" datasource=#session.DSName#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
				<cfprocparam type="in" cfsqltype=cf_sql_integer value=10>
				<cfprocresult name=HybridParent2>
			</cfstoredproc>
				<!--- Submit name, reference, and rank --->
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@StatusFk" value="#url.TempSynCat#">
				<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NameId" value="#url.Name#">
				<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RefId" value=#url.ref#>
				
				<cfif #HybridParent1.RankId# gte #HybridParent2.RankId#>
					<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RankFk" value=#HybridParent1.RankId#>
				<cfelse>
					<cfprocparam type="in" cfsqltype=cf_sql_integer dbvarname="@RankFk" value=#HybridParent2.RankId#>
				</cfif>
					
				<cfif isdefined("form.DoubtfulFlag")>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="d">
				<cfelse>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@DoubtfulFlag" value="a">  
				</cfif>
					<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@NamePhrase" null="yes">
				<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.NameNotes#">
			</cfstoredproc>
			<cflocation addtoken="no" url="#session.BackFromEditSynonym#">
		</cfif>
		<!--- New Author Team was pressed --->
		<cfif (form.TheButton eq "NewAuthorTeam")>
			<cflocation url="#application.EditorHome#Authors/NewAuthorTeam.cfm?Ref=#URL.Ref#" addtoken="no">
		</cfif>
		<!--- Syntax check button was pressed --->
		<cfif form.TheButton eq "Check">
			<!--- Create a list containing the form field values as specified for the java class BotName.class --->
			<cfset BotNameFieldLst = "Rank=" & #URL.TempRank#>
			<cfif isdefined("form.UnnamedNamePhrase") and (form.UnnamedNamePhrase neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "UnnamedNamePhrase=" & form.UnnamedNamePhrase, "|")>
			</cfif>
			<cfif isdefined("form.SGenName") and (form.SGenName neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "SupraGenericName=" & form.SGenName, "|")>
			</cfif>
			<cfif isdefined("form.Genus") and (form.Genus neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "Genus=" & form.Genus, "|")>
			</cfif>
			<cfif isdefined("form.MonomHyb")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "MonomHybFlag=x", "|")>
			</cfif>
			<cfif isdefined("form.GenusSubdivisionEpi") and (form.GenusSubdivisionEpi neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "GenusSubdivisionEpi=" & form.GenusSubdivisionEpi, "|")>
			</cfif>
			<cfif isdefined("form.SpeciesEpi") and (form.SpeciesEpi neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "SpeciesEpi=" & form.SpeciesEpi, "|")>
			</cfif>
			<cfif isdefined("form.BinomHyb")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "BinomHybFlag=x", "|")>
			</cfif>
			<cfif isdefined("form.InfraSpeciesEpi") and (form.InfraSpeciesEpi neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "InfraSpeciesEpi=" & form.InfraSpeciesEpi, "|")>
			</cfif>
			<cfif isdefined("form.TrinomHyb")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "TrinomHybFlag=x", "|")>
			</cfif>
			<cfif isdefined("form.CultivarName") and (form.CultivarName neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "CultivarName=" & form.CultivarName, "|")>
			</cfif>
			<cfif isdefined("form.CultivarGroupName") and (form.CultivarGroupName neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "CultivarGroupName=" & form.CultivarGroupName, "|")>
			</cfif>
			<cfif isdefined("form.BasAuthor") and (form.BasAuthor neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "BasAuthor=" & form.BasAuthor, "|")>
			</cfif>
			<cfif isdefined("form.Author") and (form.Author neq "")>
				<cfset BotNameFieldLst = listappend(BotNameFieldLst, "Author=" & form.Author, "|")>
			</cfif>
			<!--- Create Java object BotName and call the method CheckAll() --->
			<cfobject type = "JAVA" action = "Create" name="MyBotName" class="BotName">
			<cfset MyBotName.init(BotNameFieldLst)>
			<cfset NameRet = MyBotName.CheckAll()>
			<cfif len(NameRet) eq 0> <!--- no syntax errors found --->
				<cfset NameRetURLEnc = '9999'>
			<cfelse>
				<cfset NameRetURLEnc = urlencodedformat(NameRet)>
			</cfif>
			<!--- Open message window --->
			<script language=javascript>
				<cfoutput>
					window.open('#application.EditorHome#Messages/Message.cfm?Mode=w&MessageIdLst=#NameRetURLEnc#','mywindow','width=400,height=300,scrollbars=yes')
				</cfoutput>
			</script>
		</cfif>
	</cfif>
</cfif>

<!--- Create session variables if not already existing --->
<cfparam name="session.SGenName" default="">
<cfparam name="session.Genus" default="">
<cfparam name="session.HiddenMonomHyb" default="off">
<cfparam name="session.GenusSubdivisionEpi" default="">
<cfparam name="session.SpeciesEpi" default="">
<cfparam name="session.HiddenBinomHyb" default="off">
<cfparam name="session.InfraSpeciesEpi" default="">
<cfparam name="session.UnnamedNamePhrase" default="">
<cfparam name="session.CultivarName" default="">
<cfparam name="session.CultivarGroupName" default="">
<cfparam name="session.HiddenTrinomHyb" default="off">
<cfparam name="session.HiddenDoubtfulFlag" default="off">
<cfparam name="session.BasAuthor" default = "">
<cfparam name="session.Author" default = "">
<cfparam name="session.NameNotes" default = "">
<cfparam name="session.RelNotes" default = "">
<cfparam name="session.BackFromEditSynonym" default="">

<!--- Was this template called with get method from the central form? --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "TaxForm")>
	<!--- Retrieve information for one name --->
	<cfstoredproc procedure="s_web_OnePTAndRelation" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name2#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Ref#>
		<cfprocresult name=ThisName>
	</cfstoredproc>

	<cfset session.SGenName = ThisName.SupraGenericName>
	<cfset session.Genus = ThisName.Genus>
	<cfif (ThisName.MonomHybFlag eq 1)>
		<cfset session.HiddenMonomHyb = "on">
	<cfelse>
		<cfset session.HiddenMonomHyb = "off">
	</cfif>
	<cfset session.GenusSubdivisionEpi = ThisName.GenusSubdivisionEpi>
	<cfset session.SpeciesEpi = ThisName.SpeciesEpi>
	<cfif (ThisName.BinomHybFlag eq 1)>
		<cfset session.HiddenBinomHyb = "on">
	<cfelse>
		<cfset session.HiddenBinomHyb = "off">
	</cfif>		
	<cfset session.InfraSpeciesEpi = ThisName.InfraSpeciesEpi>
	<cfif (ThisName.TrinomHybFlag eq 1)>
		<cfset session.HiddenTrinomHyb = "on">
	<cfelse>
		<cfset session.HiddenTrinomHyb = "off">
	</cfif>	
	<cfif (ThisName.DoubtfulFlag eq "d")>
		<cfset session.HiddenDoubtfulFlag = "on">
	<cfelse>
		<cfset session.HiddenDoubtfulFlag = "off">
	</cfif>
	<cfset session.UnnamedNamePhrase = ThisName.UnnamedNamePhrase>
	<cfset session.CultivarName = ThisName.CultivarName>
	<cfset session.CultivarGroupName = ThisName.CultivarGroupName>
	<cfset session.BasAuthor = ThisName.BasAuthorTeamFk>
	<cfset session.Author = ThisName.AuthorTeamFk>
	<cfset session.NameNotes = ThisName.Notes>
	<cfset session.RelNotes = ThisName.RelNotes>
	<cfset session.BackFromEditSynonym = cgi.http_referer>
</cfif>

<!--- Database interface --->
<!--- Information for the focussed taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<!--- Get accepted taxon for this synonym --->
<cfstoredproc procedure="s_web_Syn2Acc" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=AcceptedTaxon>
</cfstoredproc>
<!--- Retrieve information to populate pulldown menu for rank selection --->
<cfstoredproc procedure="s_web_GetRanks" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="0" dbvarname="@Low">
	<cfprocparam type="in" cfsqltype="cf_sql_integer" value="100" dbvarname="@High">
	<cfprocparam type="in" cfsqltype="cf_sql_varchar" value="Syn" dbvarname="@Level">
	<cfprocresult name=Ranks>
</cfstoredproc>
<!--- Retrieve information to populate menus for author team and basionym authorteam --->
<cfif (#session.Author# eq "") or (#session.BasAuthor# eq "")>
	<cfstoredproc procedure="s_web_DiscoverValues" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype=cf_sql_varchar value="AuthorTeam">
		<cfprocparam type="in" cfsqltype=cf_sql_varchar value="AuthorTeamCache">
		<cfprocresult name=AuthorValues>
	</cfstoredproc>
</cfif>
<cfif session.Author neq "">
	<cfif isnumeric(session.Author)>
		<cfstoredproc procedure="s_web_OneAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.Author#>
			<cfprocresult name=AuthorTeam>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.Author#>
			<cfprocresult name=AuthorTeam>
		</cfstoredproc>
	</cfif>
</cfif>
<cfif session.BasAuthor neq "">
	<cfif isnumeric(session.BasAuthor)>
		<cfstoredproc procedure="s_web_OneAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#session.BasAuthor#>
			<cfprocresult name=BasAuthorTeam>
		</cfstoredproc>
	<cfelse>
		<cfstoredproc procedure="s_web_SearchAuthorTeam" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" value=#session.BasAuthor#>
			<cfprocresult name=BasAuthorTeam>
		</cfstoredproc>
	</cfif>
</cfif>
<cfstoredproc procedure="s_web_Acc2HybParents" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=9>
	<cfprocresult name=HybridParent1>
</cfstoredproc>
<cfstoredproc procedure="s_web_Acc2HybParents" datasource=#session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=10>
	<cfprocresult name=HybridParent2>
</cfstoredproc>

<!--- Create form --->
<table class="maintable">
	<!--- Title for this form --->
	<tr bgcolor ="#eeeea">
		<td colspan="2">
			<h2>
				<b>Edit synonym <br>
					<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i> for <br>
					<i><cfoutput>#AcceptedTaxon.FullNameCache#</cfoutput></i>
				</b>
			</h2>
		</td>
	</tr>

	<form name=EM action="#cgi.script_name#" method="post">
		<!--- Select synonym category--->
		<tr bgcolor="#eeeee">
			<td width=140><b>Category:</b></td>
			<td width=460>
				Doubtful<input type="checkbox" name="DoubtfulFlag" <cfif session.HiddenDoubtfulFlag eq 'on'> checked </cfif> onClick="SetHiddenDoubtfulFlag()"> 
					<input type="hidden" name="HiddenDoubtfulFlag"<cfif session.HiddenDoubtfulFlag eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				<cfoutput>
					Synonym:<input type="radio" name="SynCat" <cfif #URL.TempSynCat# eq 2>checked</cfif> value=2 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Name2#,#url.Ref#, #url.TempRank#, this.value)">&nbsp;
					<!---Doubtful syn.:<input type="radio" name="SynCat" <cfif #URL.TempSynCat# eq 2 and #OnePT.DoubtfulFlag# eq 1>checked</cfif> value=2 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Ref#, #url.TempRank#, this.value)">&nbsp;--->
					Pro parte syn.:<input type="radio" name="SynCat" <cfif #URL.TempSynCat# eq 4>checked</cfif> value=4 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Name2#, #url.Ref#, #url.TempRank#, this.value)">&nbsp;
					Partial synonym:<input type="radio" name="SynCat" <cfif #URL.TempSynCat# eq 3>checked</cfif> value=3 onClick="if (this.checked) ChangeSynCatAction(#url.Name#, #url.Name2#, #url.Ref#, #url.TempRank#, this.value)">
				</cfoutput>
			</td>
		</tr>
		
		<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<cfif (#OnePT.HybridFormulaFlag# eq 1)>
			<tr bgcolor="#eeeee">
				<td width=140><b>Hybrid parents:</b></td>
					<cfoutput>
						<td width=460>
						<cfif len(#HybridParent1.FullnameCache#) is not 0>
		  					#HybridParent1.FullnameCache# &nbsp;
							<i><b><a href="DelBasHomHybParent.cfm?Name2=#url.name#&Name=#HybridParent1.NameFk1#&Ref=#URL.Ref#">Del</a></b></i>
						<cfelse>
							<i><b><a href="#application.EditorHome#Names/EditHybFormula.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&TempSynCat=#URL.TempSynCat#&Relqualifier=9">Select first Parent</a></b></i>
						</cfif>
						<br>
						<cfif len(#HybridParent2.FullnameCache#) is not 0>
							#HybridParent2.FullnameCache# &nbsp;
							<i><b><a href="DelBasHomHybParent.cfm?Name2=#url.name#&Name=#HybridParent2.NameFk1#&Ref=#URL.Ref#">Del</a></b></i>
						<cfelse>
							<i><b><a href="#application.EditorHome#Names/EditHybFormula.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&TempSynCat=#URL.TempSynCat#&Relqualifier=10">Select second Parent</a></b></i>
						</cfif>
						</td>
					</cfoutput>
			</tr>
		<cfelse>
		
		<!--- Select rank category --->
		<tr bgcolor="#eeeee">
			<td width=140><b>Select rank:</b></td>
			<td width=460>
			<cfoutput>
				<select name="RankCat" onChange="ChangeRankAction(#url.Name#, #url.Name2#,#url.Ref#, this, #URL.TempSynCat#)">
				<cfloop query="Ranks">
					<option value=#Ranks.RankId# <cfif Ranks.RankId eq #url.TempRank#>selected</cfif>>#Ranks.Rank#
				</cfloop>		    
				</select>
			</cfoutput>
			</td>
		</tr>

		<!--- Suprageneric --->
		<cfif #url.TempRank# lt 40>
			<tr bgcolor="#eeeee">
				<td><b>Suprageneric name:</b></td>
				<td><input type="text" name="SGenName" size="50" value="<cfoutput>#session.SGenName#</cfoutput>"></td>
			</tr>
		</cfif>
		<!--- Genus  --->
		<cfif (#url.TempRank# eq 40)>
			<tr bgcolor="#eeeee">
				<td><b>Genus name:</b></td>
				<td>
					<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
					<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
					<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Unnamed name phrase:</b></td>
				<td>
				<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar name:</b></td>
				<td>
				<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar group name:</b></td>
				<td>
				<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
				</td>
			</tr>
		</cfif>
		<!--- Infrageneric ranks (subgenus, sectio, series) --->
		<cfif (#url.TempRank# eq 42) or (#url.TempRank# eq 45) or (#url.TempRank# eq 47) or(#url.TempRank# eq 50) or (#url.TempRank# eq 52) >
			<tr bgcolor="#eeeee">
				<td><b>Genus name:</b></td>
				<td>
					<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
					<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
					<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Infrageneric epithet::</b></td>
				<td>
					<input type="text" name="GenusSubdivisionEpi"  size="50" value="<cfoutput>#session.GenusSubdivisionEpi#</cfoutput>">
					<input type="checkbox" name="BinomHyb" <cfif session.HiddenBinomHyb eq 'on'> checked </cfif> onClick="SetHiddenBinomHyb()"> (genSubdi. hybrid)
					<input type="hidden" name="HiddenBinomHyb"<cfif session.HiddenBinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Unnamed name phrase:</b></td>
				<td>
				<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar name:</b></td>
				<td>
				<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar group name:</b></td>
				<td>
				<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
				</td>
			</tr>
		</cfif>
		<!--- Species aggregates --->
		<cfif (#url.TempRank# eq 58) or (#url.TempRank# eq 59)>
			<tr bgcolor="#eeeee">
				<td><b>Genus name:</b></td>
				<td>
					<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
					<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
					<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Specific epithet:</b></td>
				<td>
					<input type="text" name="SpeciesEpi"  size="50" value="<cfoutput>#session.SpeciesEpi#</cfoutput>">
					<input type="checkbox" name="BinomHyb" <cfif session.HiddenBinomHyb eq 'on'> checked </cfif> onClick="SetHiddenBinomHyb()"> (sp. hybrid)
					<input type="hidden" name="HiddenBinomHyb" <cfif session.HiddenBinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Unnamed name phrase:</b></td>
				<td>
				<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar name:</b></td>
				<td>
				<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar group name:</b></td>
				<td>
				<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
				</td>
			</tr>
		</cfif>
		<!--- Species --->
		<cfif #url.TempRank# eq 60>
			<tr bgcolor="#eeeee">
				<td><b>Genus name:</b></td>
				<td>
					<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
					<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
					<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Specific epithet:</b></td>
				<td>
					<input type="text" name="SpeciesEpi"  size="50" value="<cfoutput>#session.SpeciesEpi#</cfoutput>">
					<input type="checkbox" name="BinomHyb" <cfif session.HiddenBinomHyb eq 'on'> checked </cfif> onClick="SetHiddenBinomHyb()"> (sp. hybrid)
					<input type="hidden" name="HiddenBinomHyb" <cfif session.HiddenBinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Unnamed name phrase:</b></td>
				<td>
				<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar name:</b></td>
				<td>
				<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar group name:</b></td>
				<td>
				<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
				</td>
			</tr>
		</cfif>
		<!--- Subspecies --->
		<cfif (#url.TempRank# eq 65) or (#url.TempRank# gt 65)>
			<tr bgcolor="#eeeee">
				<td><b>Genus name:</b></td>
				<td>
					<input type="text" name="Genus"  size="50" value="<cfoutput>#session.Genus#</cfoutput>">
					<input type="checkbox" name="MonomHyb" <cfif session.HiddenMonomHyb eq 'on'> checked </cfif> onClick="SetHiddenMonomHyb()"> (gen. hybrid)
					<input type="hidden" name="HiddenMonomHyb"<cfif session.HiddenMonomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Specific epithet:</b></td>
				<td>
					<input type="text" name="SpeciesEpi"  size="50" value="<cfoutput>#session.SpeciesEpi#</cfoutput>">
					<input type="checkbox" name="BinomHyb" <cfif session.HiddenBinomHyb eq 'on'> checked </cfif> onClick="SetHiddenBinomHyb()"> (sp. hybrid)
					<input type="hidden" name="HiddenBinomHyb" <cfif session.HiddenBinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Infraspecific epithet:</b></td>
				<td>
				<input type="text" name="InfraSpeciesEpi" size="50" value="<cfoutput>#Session.InfraSpeciesEpi#</cfoutput>">
				<input type="checkbox" name="TrinomHyb" <cfif session.HiddenTrinomHyb eq 'on'> checked </cfif> onClick="SetHiddenTrinomHyb()"> (infsp. hybrid)
				<input type="hidden" name="HiddenTrinomHyb" <cfif session.HiddenTrinomHyb eq 'on'> value="on" <cfelse> value = "off" </cfif>>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Unnamed name phrase:</b></td>
				<td>
					<input type="text" name="UnnamedNamePhrase" size="50" value="<cfoutput>#Session.UnnamedNamePhrase#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar name:</b></td>
				<td>
					<input type="text" name="CultivarName" size="50" value="<cfoutput>#Session.CultivarName#</cfoutput>">
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Cultivar group name:</b></td>
				<td>
					<input type="text" name="CultivarGroupName" size="50" value="<cfoutput>#Session.CultivarGroupName#</cfoutput>">
				</td>
			</tr>
		</cfif>

		<!--- Basionym author teams and author teams for any rank except aggregates or group --->
		<cfif (#url.temprank# neq 58) or (#url.temprank# neq 59)>
		<tr bgcolor="#eeeee">
				<td><b>Basionym authors:</b></td>
				<td>
					<cfoutput>
					<select name="BasAuthor" onChange="ChangeAuthorAction(#url.Name#, #url.Name2#, #url.Ref#, #url.TempRank#, #URL.TempSynCat#)">
						<cfif session.BasAuthor neq "">
							<cfif isnumeric(session.BasAuthor)>
								<option value=#BasAuthorTeam.AuthorTeamId#>#BasAuthorTeam.AuthorTeamCache#
								<option value="">----------------------------------- no selection -----------------------------------
							<cfelse>
								<option value="#session.Author#">-------------------------------- preselection: #session.BasAuthor# ------------------------------
								<option value="">----------------------------------- no selection -----------------------------------
								<cfloop query="BasAuthorTeam">
									<option value=#BasAuthorTeam.AuthorTeamId#>#BasAuthorTeam.AuthorTeamCache#&nbsp;
								</cfloop>
							</cfif>
						<cfelse>	
							<option value="">----------------------------------- no selection -----------------------------------
							<cfloop query="AuthorValues">
								<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
							</cfloop>		    
						</cfif>	
					</select>
					</cfoutput>
				</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td><b>Authors:</b></td>
				<td>
					<cfoutput>
					<select name="Author" onChange="ChangeAuthorAction(#url.Name#, #url.Name2#,#url.Ref#, #url.TempRank#, #URL.TempSynCat#)">
						<cfif session.Author neq "">
							<cfif isnumeric(session.Author)>
								<option value=#AuthorTeam.AuthorTeamId#>#AuthorTeam.AuthorTeamCache#
								<option value="">----------------------------------- no selection -----------------------------------
							<cfelse>
								<option value="#session.Author#">------------------------------- preselection: #session.Author# -----------------------------
								<option value="">----------------------------------- no selection -----------------------------------
								<cfloop query="AuthorTeam">
									<option value=#AuthorTeam.AuthorTeamId#>#AuthorTeam.AuthorTeamCache#&nbsp;
								</cfloop>
							</cfif>
						<cfelse>	
							<option value="">----------------------------------- no selection -----------------------------------
							<cfloop query="AuthorValues">
								<option value=#AuthorValues.FirstTwo#>#AuthorValues.FirstTwo#&nbsp;...
							</cfloop>		    
						</cfif>	
					</select>
					</cfoutput>
				</td>
			</tr>
			<!--- New author team--->
			<tr bgcolor="#eeeee">
				<td><a href="javascript: ButtonAction('NewAuthorTeam')" class="addlink">New author team</a></td>
				<td>&nbsp;</td>
			</tr>
		</cfif>
		</cfif>
		<!--- Notes --->
		<tr bgcolor="#eeeee">
			<td><b>Notes (name)</b></td>
			<td><textarea cols="50" rows="3" name="NameNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.NameNotes#</cfoutput></textarea></td>
		</tr>
		<!--- Relation Notes --->
		<tr bgcolor="#eeeee">
			<td><b>Notes (relation)</b></td>
			<td><textarea cols="50" rows="3" name="RelNotes" dir="ltr" clientwidth="400" wrap=physical><cfoutput>#session.RelNotes#</cfoutput></textarea></td>
		</tr>
		
		<!--- Check, Apply, Cancel buttons --->
		<cfif (#OnePT.HybridFormulaFlag# eq 1)>
		<cfif len(#HybridParent1.FullnameCache#) is not 0 and  len(#HybridParent2.FullnameCache#) is not 0>
				<tr bgcolor ="#eeeea">
					<td colspan="2">
						<input type="button" name="ApplyHybSyn" value="Apply" onClick="ButtonAction('ApplyHybSyn')">
						<cfif #url.Name2# neq 0>
							<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
						</cfif>
					</td>
				</tr>
			<cfelse>
				<tr bgcolor ="#eeeea">
					<td colspan="2">&nbsp;
						
					</td>
				</tr>
			</cfif>
		<cfelse>
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="button" name="Check" value="Check" onClick="ButtonAction('Check')">
				<input type="button" name="Apply" value="Apply" onClick="ButtonAction('Apply')">
				<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
			</td>
		</tr>
		</cfif>
	</form>
</table>

<cfinclude template="../template_down.cfm">
