<!---  MoveTaxon					--->
<!---  M. Geoffroy					--->
<!--- Created: 7/2003				--->
<!--- Last update: 7/2003 by J. Li	--->

<!---This template is used to move the taxon from one higher taxon to another (modify the taxonomical tree).--->

<cfinclude template="../template_up.cfm">

<!--- If this template was recursively called with post method ... --->
<cfif cgi.request_method is "post">
		
	<cfstoredproc procedure="s_web_MoveTaxon" datasource=#Session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name#>
		<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name1#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name2#>
		<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
		<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value="#form.Notes#">
	</cfstoredproc>
	
	<!--- ... and jump to the central form --->
	<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
</cfif>

<cfstoredproc procedure="s_web_OnePT" datasource=#Session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<cfstoredproc procedure="s_web_OnePT" datasource=#Session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name1#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT1>
</cfstoredproc>
<cfstoredproc procedure="s_web_OnePT" datasource=#Session.DSName#>
	<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name2#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT2>
</cfstoredproc>
<cfstoredproc procedure="s_web_OneReference" datasource=#Session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OneReference>
</cfstoredproc>

<table class="maintable">
	<!--- Title for this form --->
	<form name=EM action="#cgi.script_name#" method="post">
		<tr bgcolor ="#eeeea">
			<td colspan="2"><h2>
				<b>Selected higher taxon:</b>
				<br> <cfoutput><i>#OnePT2.FullNameCache# #OnePT2.NamePhrase#</i> (rank is #OnePT2.Rank#)</cfoutput>
			</h2></td>
		</tr>
		<tr bgcolor="#eeeee">
			<td><strong>sec.</strong></td>
			<cfoutput>
				<cfif #OneReference.RefCache# neq ''>
					<td>#OneReference.RefCache#</td>
				<cfelse>
					<td>&nbsp;</td>
				</cfif>
			</cfoutput>
		</tr>
		<!--- Notes --->
		<tr bgcolor="#eeeee">
			<td>
				<b>Notes (for the new taxonomical relation)</b>
			</td>
			<td>	
				<textarea cols="55" rows="3" name="Notes" clientwidth="400" wrap=physical></textarea>
			</td>
		</tr>
		<!--- yes or cancel ? --->
		<tr bgcolor="#eeeee">
			<td colspan="2">
				Presently <cfoutput><i>#OnePT.FullNameCache#</i> (rank is #OnePT.Rank#)</cfoutput><br>
				is taxonomically linked to <cfoutput><i>#OnePT1.FullNameCache#</i> (rank is #OnePT1.Rank#).<br></cfoutput>
				Do you really want to choose  <cfoutput><i>#OnePT2.FullNameCache#</i>  (rank is #OnePT2.Rank#)</cfoutput>  as the new higher taxon?
			</td>
		</tr>
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<input type="submit" value="Yes">
				<input type=button value="Cancel" onClick="window.location.href='javascript:history.back()'">
			</td>
		</tr>
	</form>
</table>

<cfinclude template="../template_down.cfm">