<!--- RelMisapplied					--->
<!--- M.Geoffroy					--->
<!--- Created: 4/2003				--->
<!--- Last updated: 9/2003 by J. Li	--->


<!---
It is used for  displaying information on a misapplied name. The URL parameters name and ref
correspond to the accepted potential taxon.
--->

<cfinclude template="../template_up.cfm">

<script language="javascript">

	function openNomRefCheckWindow() {
		window.open('<cfoutput>#application.EditorHome#</cfoutput>Messages/AddNomRefMessage.cfm', 'mywindow', 'width=550, height=180, scrollbars=yes')
	}
	
</script>

<!--- Database Interface: Retrieve data to populate central form --->
<!--- Was this template called with get method from the central form? --->
<cfif (cgi.request_method is "get") and (session.CallingPage eq "TaxForm")>
	<cfset session.AcceptedName = #url.Name#>
	<cfset session.ForeignRef = #url.Ref1#>
</cfif>

<!--- Information for the focussed potential taxon --->
<cfstoredproc procedure="s_web_Misapplied2AllAcc" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name1#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref1#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=AcceptedTaxa>
</cfstoredproc>

<cfstoredproc procedure="s_web_OneNameAndCitation" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name1#>
		<cfprocresult name=NomRef>
</cfstoredproc>

<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name1#>
	<cfprocresult name=OneName>
</cfstoredproc>

	<!--- Information for the focussed name and nomStatus --->
<cfstoredproc procedure="s_web_OneNameAndNomStatuses" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name1#>
	<cfprocresult name=OneNameAndNomStatuses>
</cfstoredproc>

<!--- Retrieve information for one PTaxon --->
	<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=OnePT>
	</cfstoredproc>	
<table class="maintable">
	<!--- Section with information about this potential taxon --->  
	
	<tr bgcolor="#eeeee">
		<td width=120><strong>Name:</strong></td> 
		<cfoutput>
			<td width=440><b><i>#OneName.FullNameCache#</i></td>
			<!--- if names with ranks higher than family, it can not be edited.--->
			<cfif OneName.RankId lt 20>
				<td width=40>&nbsp;</td>
			<!--- if names with ranks equal or lower than family, it can be edited.--->
			<cfelse>
				<td width=40><i><b><a href="EditMisappliedName.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name1=#URL.Name1#&Ref1=#URL.Ref1#&TempRank=#OneName.RankId#">Edit</a></b></i></td>
			</cfif>
		</cfoutput>
	</tr>
	<!--- Hybridformula and autonym have no nomenclatural reference--->
	<cfif #OneName.HybridformulaFlag# neq 1 and (len(#OneName.SpeciesEpi#) eq 0 or len(#OneName.InfraSpeciesEpi#) eq 0 or #OneName.SpeciesEpi# neq #OneName.InfraSpeciesEpi#)> 
	<tr bgcolor="#eeeee">
		<td><strong>Nomencl. ref.</strong></td>
		<cfoutput>
			<cfif #OneName.FullNomRefCache# neq ''>
				<cfif #OneName.DetailPreliminaryFlag# eq 1>
					<td><i><b><a href="#Application.EditorHome#Bib/EditNomRef.cfm?Name=#URL.Name1#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">#OneName.FullNomRefCache#</a></b></i></td>		
				<cfelse>
					<td><i><b><a href="#Application.EditorHome#Bib/UpdateNomRef.cfm?Name=#URL.Name1#&Ref=#URL.Ref#&TempRefCat=#NomRef.RefCategoryId#">#OneName.FullNomRefCache#</a></b></i></td>		
				</cfif>
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
			<!--- if names with ranks higher than family, it can not be edited.--->
			<cfif OneName.RankId lt 20>
				<td>&nbsp;</td>
			<!--- if names with ranks equal or lower than family, it can be edited.--->
			<cfelse>
				<cfif #OneName.FullNomRefCache# neq ''>
					<td><i><b><a href="#Application.EditorHome#Bib/DelNomRef.cfm?Name2=#URL.Name#&Name=#URL.Name1#&Ref=#URL.Ref#">Del</a></b></i></td>
				<cfelse>
					<cfif #OneName.AuthorTeamFk# gte 0> 
						<td><i><b><a href="#Application.EditorHome#Bib/AddNomRef.cfm?Name=#URL.Name1#&Ref=#URL.Ref#&TempRefCat=3" class="addlink">Add</a></b></i></td>
					<cfelse>
						<td><i><b><a onclick=openNomRefCheckWindow()><u><font color="Blue">Add</font></u></a></b></i></td>
					</cfif>
				</cfif>	
			</cfif>
		</cfoutput>  
	</tr>
	
	<cfset Header = 1>
	<cfloop query="OneNameAndNomStatuses">   
		<tr bgcolor="#eeeee">
			<cfif Header eq 1>
				<td><strong>Nomencl. status(es)</strong></td>
				<cfset Header = 0>
			<cfelse>
				<td>&nbsp;</td>	
			</cfif>
		<cfoutput>
			<cfif #OneNameAndNomStatuses.RecordCount# gt 0>
				<td>
				<cfif Len(#OneNameAndNomStatuses.FullRefCache#)lt 60>
					<a href="#application.EditorHome#Names/ShowNomStatus.cfm?Name=#url.Name1#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#"><b>#OneNameAndNomStatuses.QuetionMark#&nbsp;#OneNameAndNomStatuses.Nomstatus#</b> &nbsp;<i>#OneNameAndNomStatuses.FullRefCache#</i></a>
				<cfelse>
					<a href="#application.EditorHome#Names/ShowNomStatus.cfm?Name=#url.Name1#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#"><b>#OneNameAndNomStatuses.QuetionMark#&nbsp;#OneNameAndNomStatuses.Nomstatus#</b> &nbsp;<i>#OneNameAndNomStatuses.First60#...</i></a>
				</cfif>
				</td>		
			<cfelse>
				<td>&nbsp;</td>
			</cfif>
			<cfif OneName.RankId lt 20> <!--- rank higher than family? -> do not edit! ---> <!--- rank higher than family? -> do not edit! --->
				<td>&nbsp;</td>
			<cfelse>
				<cfif #OneNameAndNomStatuses.RecordCount# gt 0>
					<td>	
						<i><b>
						<a href="#application.EditorHome#Names/DelNomStatus.cfm?Name=#url.Name1#&Ref=#URL.Ref#&NomStatus=#OneNameAndNomStatuses.NomstatusFk#&NomStatusRef=#OneNameAndNomStatuses.NomStatusRefFk#">Del</a>
						</b></i>
					</td>
				</cfif>
			</cfif>
		</cfoutput>
		</tr>
	</cfloop>
	<cfif Header eq 1>
		<tr bgcolor="#eeeee">
			<td><strong>Nomencl. status(es)</strong></td>
		<cfif OneName.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
			<td>&nbsp;</td>
		<cfelse>
			<td align="">
			<cfoutput>
				<i><b><a href="#application.EditorHome#Names/AddNomStatus.cfm?Name=#url.Name1#&Ref=#URL.Ref#&TempNomStatus=1&TempRefCat=1" class="addlink">add nomenclatural status</a></b></i>
			</cfoutput>
			</td>
		</cfif>
			<td>&nbsp;</td>
		</tr>
	<cfelse>
		<tr bgcolor="#eeeee">
			<td>&nbsp;</td>
		<cfif OneName.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
			<td>&nbsp;</td>
		<cfelse>
			<td align="">
			<cfoutput>
				<i><a href="#application.EditorHome#Names/AddNomStatus.cfm?Name=#url.Name1#&Ref=#URL.Ref#&TempNomStatus=1&TempRefCat=1" class="addlink">add nomenclatural status</a></i>
			</cfoutput>
			</td>
		</cfif>
			<td>&nbsp;</td>
		</tr>
	</cfif>
</cfif>
	<tr bgcolor="#eeeee">
		<td><strong>Rank:</strong></td>
		<cfoutput>
			<td>#OneName.Rank#</td>
		</cfoutput>
		<td>&nbsp;</td>
	</tr>

	<!--- Status --->
	<cfset Header = 1>
	<form name=EM action="#cgi.script_name#" method="post">
	<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
		<input type="hidden" name="TheButton">
		<cfloop query="AcceptedTaxa">
			<tr bgcolor="#eeeee">
				<cfif Header eq 1>
					<td><strong>Is misapplied name for:</strong></td>
					<cfoutput>
						<td><a href="#application.EditorHome#TaxForm.cfm?name=#AcceptedTaxa.PTNameFk#&ref=#url.ref#">#AcceptedTaxa.FullnameCache#</a></td>
						<td>&nbsp;</td>
					</cfoutput>
					<cfset Header = 0>
				<cfelse>
					<td><strong>&nbsp;</strong></td>
					<cfoutput>
						<td><a href="#application.EditorHome#TaxForm.cfm?name=#AcceptedTaxa.PTNameFk#&ref=#url.ref#">#AcceptedTaxa.FullnameCache#</a></td>
						<td>&nbsp;</td>
					</cfoutput>
				</cfif>
			</tr>
			<tr bgcolor="#eeeee">
				<td>
					<b>Notes (for relation):</b>
				</td>
			<cfoutput>
			<cfif Len(Trim(#AcceptedTaxa.Notes#))eq 0>
				<cfif AcceptedTaxa.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
					<td>&nbsp;</td>
					<td>&nbsp;</td>
				<cfelse>
					<td>&nbsp;</td>
					<td><i><b><a href="#Application.EditorHome#Names/EditMisAppRelNotes.cfm?Name=#AcceptedTaxa.PTNameFk#&Ref=#URL.Ref#&name1=#URL.Name1#&Ref1=#URL.Ref1#">Edit</a></b></i></td>
				</cfif>
			<cfelse>
				<cfif #Len("#AcceptedTaxa.subNotes#")# lt 65>
					<cfset RelNote = #AcceptedTaxa.subNotes#>
				<cfelse>
					<cfset RelNote = "#AcceptedTaxa.subNotes#...">
				</cfif>
				<cfif OnePT.RankId lt 20> <!--- rank higher than family? -> do not edit! --->
					<td>#RelNote#</td>
					<td>&nbsp;</td>
				<cfelse>
					<td><i><b><a href="#Application.EditorHome#Names/EditMisAppRelNotes.cfm?Name=#AcceptedTaxa.PTNameFk#&Ref=#URL.Ref#&name1=#URL.Name1#&Ref1=#URL.Ref1#">#RelNote#</a></td>
					<td>&nbsp;</td>
				</cfif>
			</cfif>
			</cfoutput>
			</tr>
		</cfloop>
	</form>
</table>

<cfinclude template="../template_down.cfm">
