<!--- SelectBOrH			            --->
<!---  J. Li 				            --->
<!--- Created: 1/2003		            --->
<!--- Last update: 7/2003 by J. Li		--->
<!---
Search for records in the name table. Use an additional selectbox to specify the field to 
be searched. The "*" charcacter within serach strings is replaced by "%" to be compliant with 
ANSI SQL.This template is used for either searching basionym or homonym.
--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>
</head>

<!--- Action: Submit Query and display hits with links to the new focus --->
<cfif cgi.request_method is "post">
	<cfif (form.TheButton neq "New Search" and form.TheButton neq "Cancel" and form.TheButton neq "CreateBasionym" and form.TheButton neq "Createhomonym" and form.TheButton neq "CreateVariant")
		 and len(ltrim(rtrim(replace(#form.SearchString#, '*', '', 'all' ))))gte 3 >
	<!--- Call stored procedure to search for name --->
	<cfset NewSearchString = #replace(#form.SearchString#, "*", "%", "all")#>
	<cfstoredproc procedure="s_web_SearchName" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.Where#>
		<cfprocresult name=Hits>
	</cfstoredproc>
	<!--- Display hits --->
	<table class="maintable">
		<!--- Title --->
		<tr bgcolor ="#eeeea">
			<td colspan="3">
				<h3>
					<cfoutput>
						#Hits.RecordCount# hits for<br>
						<i>
							<cfswitch expression=#form.Where#>
								<cfcase value=1>Entire taxon name</cfcase>
								<cfcase value=2>Suprageneric name</cfcase>
								<cfcase value=3>Genus</cfcase>
								<cfcase value=4>Infrageneric epithet</cfcase>
								<cfcase value=5>Species epihtet</cfcase>
								<cfcase value=6>Infraspecific epithet</cfcase>
								<cfcase value=7>Unnamed NamePhrase</cfcase>
								<cfcase value=8>Cultivar Name</cfcase>
								<cfcase value=9>Cultivar GroupName</cfcase>
							</cfswitch>
							&nbsp;=&nbsp;
							#form.SearchString#
						</i>
					</cfoutput>
				</h3>
			</td>
		</tr>

		<!--- Header --->
		<tr bgcolor="#eeeee">
			<td><b>Full name</b></td>
			<td><b>Rank</b></td>
			
		</tr>

		<!--- Hits and links to new focus --->
		<cfif #Hits.RecordCount# gt 0>
		<cfoutput query=Hits>
			<tr bgcolor="##eeeee">
				<cfif #url.RelQualifier# eq 1 >
					<td><a href="AddBOrH.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NameBOrH=#Hits.NameId#&TempRank=#url.TempRank#&Relqualifier=1">#Hits.FullNameCache#</a></td>
				</cfif>	
				<cfif #url.RelQualifier# eq 2 >
					<td><a href="AddBOrH.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NameBOrH=#Hits.NameId#&TempRank=#url.TempRank#&Relqualifier=2">#Hits.FullNameCache#</a></td>
				</cfif>	
				<cfif #url.RelQualifier# eq 16 >
					<td><a href="AddBOrH.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NameBOrH=#Hits.NameId#&TempRank=#url.TempRank#&Relqualifier=16">#Hits.FullNameCache#</a></td>
				</cfif>	
				<td>#Hits.Rank#</td>
			</tr>	
		</cfoutput>
		</cfif>
		<tr bgcolor ="#eeeea">
			<td colspan="3">
				Select from list or use button to create a new name
			</td>
		</tr>
		<tr bgcolor ="#eeeea">
			<form name=EM action="#cgi.script_name#" method="post">
				<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<td colspan="3">
				<input type=button name="New Search" value="New Search" onClick="ButtonAction('New Search')">
				<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">
				<cfif #url.RelQualifier# eq 1>
					<input type=button name="CreateBasionym" value="New Name"  onClick="ButtonAction('CreateBasionym')">
				</cfif>
				<cfif #url.RelQualifier# eq 2>
					<input type=button name="CreateHomonym" value="New Name"  onClick="ButtonAction('CreateHomonym')">
				</cfif>
				<cfif #url.RelQualifier# eq 16>
					<input type=button name="CreateVariant" value="New Name"  onClick="ButtonAction('CreateVariant')">
				</cfif>
			</td>
			</form>
		</tr>	
	</table>
	<cfelseif (form.TheButton eq "CreateBasionym") or (form.TheButton eq "CreateHomonym") or (form.TheButton eq "CreateVariant")>
		<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
			<cfprocresult name=OnePT>
		</cfstoredproc>
		<cfif form.TheButton eq "CreateBasionym">
			<cflocation url="AddBasionym.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "CreateHomonym">
			<cflocation url="AddHomonym.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#" addtoken="no">
		</cfif>
		<cfif form.TheButton eq "CreateVariant">
			<cflocation url="AddVariant.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#" addtoken="no">
		</cfif>
	<cfelseif (form.TheButton eq "Cancel")> 
		<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	<cfelseif form.TheButton eq "New Search" >
		<cflocation url="#application.EditorHome#/Names/SelectBOrH.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&relqualifier=#url.relqualifier#" addtoken="no">
		<script language=javascript>
			window.close('<cfoutput>#application.EditorHome#</cfoutput>messages/searchNameOrRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
		</script>
	<cfelse>
		<table class="maintable">

		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=250>
		</colgroup>
	
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<cfif #url.RelQualifier# eq 1>
				<h3>Select Basionym (name string)</h3>
				</cfif>
				<cfif #url.RelQualifier# eq 2>
				<h3>Select Homonym (name string)</h3>
				</cfif>
				<cfif #url.RelQualifier# eq 16>
				<h3>Select orthographic variant (name string)</h3>
				</cfif>
			</td>
		</tr>
	
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*inace*').</td>
			<td>Select name part to be queried.</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<input type="text" name="SearchString" size="60">
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrse
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button" value="Search" onClick="ButtonAction('Search')">
					<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">			
				</td>
			</tr>
		</form>
		</table>
	</cfif>
	<cfif (form.TheButton neq "New Search" and form.TheButton neq "Cancel" and form.TheButton neq "CreateBasionym" and form.TheButton neq "Createhomonym" and form.TheButton neq "CreateVariant")
		 and len(ltrim(rtrim(replace(#form.SearchString#, '*', '', 'all' ))))lt 3 >
		<!--- Open message window --->
		<script language=javascript>
			window.open('<cfoutput>#application.EditorHome#</cfoutput>messages/searchNameOrRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
		</script>
	</cfif>
<cfelse>
	<table class="maintable">
		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=250>
		</colgroup>
	
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<cfif #url.RelQualifier# eq 1>
				<h3>Select Basionym (name string)</h3>
				</cfif>
				<cfif #url.RelQualifier# eq 2>
				<h3>Select Homonym (name string)</h3>
				</cfif>
				<cfif #url.RelQualifier# eq 16>
				<h3>Select orthographic variant (name string)</h3>
				</cfif>
			</td>
		</tr>
	
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*inace*').</td>
			<td>Select name part to be queried.</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
				<cfif (#url.RelQualifier# eq 2 or #url.RelQualifier# eq 16)>
					<cfstoredproc procedure="s_web_OneName" datasource=#session.DSName#>
					<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#URL.Name#>
					<cfprocresult name=ThisName>
					</cfstoredproc>
					<input type="text" name="SearchString" size="60" value="<cfoutput>#ThisName.Namecache#</cfoutput>">
				<cfelse>
					<input type="text" name="SearchString" size="60">
				</cfif>
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrse
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button" value="Search" onClick="ButtonAction('Search')">	
					<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">	
				</td>
			</tr>
		
		</form>
	</table>
</cfif>

<cfinclude template="../template_down.cfm">

