<!--- SelectNameAndR		--->
<!---  M. Geoffroy			--->
<!--- Created: 3/2003		--->
<!--- Last update: 7/2003	--->
<!--- updated by: J. Li		--->
<!--- Search for records in the name table and in the reference table. An additional selectbox is used to 
specify the field to be searched. The "*" character within serach strings is replaced by "%" in order
to be compliant with ANSI SQL. This template is used to add misapplied names.
--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>

<!--- Keep information that has been already chosen --->
<cfoutput>
	<cfif #URL.Name2# neq -99>
	 	<cfstoredproc procedure="s_web_OneFullName" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name2#>
			<cfprocresult name=OneName>
		</cfstoredproc>
		<cfset Name2Cache = #OneName.FullNameCache#>
	<cfelse>
		<cfset Name2Cache = ''>
	</cfif>
	<cfset Ref2Cache = ''>
	<cfif #URL.Ref2# neq -99>
		<cfstoredproc procedure="s_web_OneReference" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref2#>
			<cfprocresult name=OneReference>
		</cfstoredproc>
		<cfset Ref2Cache = #OneReference.RefCache#>
	<cfelse>
		<cfset Ref2Cache = ''>
	</cfif>
	<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
		<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Name#>
		<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
		<cfprocresult name=OnePT>
	</cfstoredproc>
</cfoutput>


<!--- Action: Submit Query and display hits with links to the new focus --->
<cfif cgi.request_method is "post">
	<cfif(form.TheButton neq "NewSearch" and form.TheButton neq "Search2" and form.TheButton neq "NewSearch2" and form.TheButton neq "Apply" and form.TheButton neq "Cancel" and form.TheButton neq "CreateName" and form.TheButton neq "CreateReference")
		 and len(ltrim(rtrim(replace(#form.SearchString#, '*', '', 'all' ))))gte 3 >
		<!--- Call stored procedure to search for name --->
		<cfset NewSearchString = #replace(#form.SearchString#, "*", "%", "all")#>
		<cfstoredproc procedure="s_web_SearchFullName" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.Where#>
			<cfprocresult name=Hits>
		</cfstoredproc>
		<!--- Display hits --->

		<table class="maintable">
		
			<!--- Title --->
			<tr bgcolor ="#eeeea">
				<td colspan="3">
					<h3>
						<cfoutput>
							#Hits.RecordCount# hits for<br>
							<i>
								<cfswitch expression=#form.Where#>
									<cfcase value=1>Entire taxon name</cfcase>
									<cfcase value=2>Suprageneric name</cfcase>
									<cfcase value=3>Genus</cfcase>
									<cfcase value=4>Infrageneric epithet</cfcase>
									<cfcase value=5>Species epihtet</cfcase>
									<cfcase value=6>Infraspecific epithet</cfcase>
									<cfcase value=7>Unnamed NamePhrase</cfcase>
									<cfcase value=8>Cultivar Name</cfcase>
									<cfcase value=9>Cultivar GroupName</cfcase>
								</cfswitch>
								&nbsp;=&nbsp;
								#form.SearchString#
							</i>
						</cfoutput>
					</h3>
				</td>
			</tr>
	
			<!--- MRHeader --->
			<tr bgcolor="#eeeee">
				<td><b>Full name</b></td>
				<td><b>Rank</b></td>
				
			</tr>
	
			<!--- Hits and links to new focus --->
			<cfif #Hits.RecordCount# gt 0>
				<cfoutput query=Hits>
					<tr bgcolor="##eeeee">
						<td>
							<a href="SelectNameAndR.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name2=#Hits.NameId#&Ref2=#URL.Ref2#&MRHead=#url.MRHead#">#Hits.FullNameCache#</a>
						</td>
						<td>#Hits.Rank#</td>
					</tr>	
				</cfoutput>
			</cfif>
			<tr bgcolor ="#eeeea">
				<td colspan="3">
					Select from list or use button to create a new name
				</td>
			</tr>
			<!--- Button: Back --->
			<tr bgcolor ="#eeeea">
				<form name=EM action="#cgi.script_name#" method="post">
					<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
					<input type="hidden" name="TheButton">
						
					<td colspan="3">
						<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">
						<input type=button value="New Search" onClick="ButtonAction('NewSearch')">
						<input type=button name="CreateName" value="New Name"  onClick="ButtonAction('CreateName')">
					</td>
				</form>
			</tr>	
		</table>
	<cfelseif form.TheButton eq "Search2" and len(ltrim(rtrim(replace(#form.SearchString2#, '*', '', 'all' ))))gte 3 >
		<!--- Call stored procedure to search for name --->
		<cfset NewSearchString = #replace(#form.SearchString2#, "*", "%", "all")#>
		<cfstoredproc procedure="s_web_SearchReference" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.Where2#>
			<cfprocresult name=Hits>
		</cfstoredproc>
		
		<!--- Display hits --->
		<table class="maintable">
		
			<!--- Title --->
			<tr bgcolor ="#eeeea">
				<td colspan="3">
					<h3>
						<cfoutput>
							#Hits.RecordCount# hits for<br>
							<i>
								<cfswitch expression=#form.Where2#>
									<cfcase value=1>Entire reference</cfcase>
									<cfcase value=2>Author string</cfcase>
									<cfcase value=3>Title</cfcase>
									<cfcase value=4>Title abbreviation</cfcase>
								</cfswitch>
								&nbsp;=&nbsp;
								#form.SearchString2#
							</i>
						</cfoutput>
					</h3>
				</td>
			</tr>
	
			<!--- MRHeader --->
			<tr bgcolor="#eeeee">
				<td><b>Full reference</b></td>
				<td><b>Category</b></td>
			</tr>
	
			<!--- Hits and links to new focus --->
			<cfif #Hits.RecordCount# gt 0>
				<cfoutput query=Hits>
					<tr bgcolor="##eeeee">
						<td>
							<a href="SelectNameAndR.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name2=#URL.Name2#&Ref2=#Hits.RefId#&MRHead=#url.MRHead#">#Hits.RefCache#</a>
						</td>
						<td>#Hits.RefCategory#</td>
					</tr>	
				</cfoutput>
			</cfif>
			<tr bgcolor ="#eeeea">
				<td colspan="3">
					Select from list or use button to create a new reference
				</td>
			</tr>
			<!--- Button: Back --->
			<tr bgcolor ="#eeeea">
				<form name=EM action="#cgi.script_name#" method="post">
					<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
					<input type="hidden" name="TheButton">
					<td colspan="3">
						<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">
						<input type=button value="New Search" onClick="ButtonAction('NewSearch2')">
						<input type=button name="CreateReference" value="New Reference"  onClick="ButtonAction('CreateReference')">
					</td>
				</form>
			</tr>	
		</table>
		</body>
	<cfelseif(form.TheButton eq "Cancel")> 
		<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	
	<cfelseif form.TheButton eq "Apply">	
		<cflocation url="AddMisappliedName.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name2=#URL.Name2#&Ref2=#URL.Ref2#" addtoken="no">
	
	<cfelseif (form.TheButton eq "CreateName")>
		<cflocation url="AddName.cfm?name=#URL.name#&ref=#URL.ref#&Ref2=#URL.Ref2#&TempRank=#OnePT.RankId#&MRHead=#url.MRHead#" addtoken="no">
	
	<cfelseif form.TheButton eq "CreateReference">
		<cflocation url="#application.EditorHome#Bib/AddBibRef.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name2=#URL.Name2#&TempRefCat=3&MRHead=#url.MRHead#" addtoken="no">
	
	<cfelseif (form.TheButton eq "NewSearch")>
		<cflocation url="SelectNameAndR.cfm?name=#URL.name#&ref=#URL.ref#&Name2=-99&Ref2=#URL.Ref2#&MRHead=#url.MRHead#" addtoken="no">
		<script language=javascript>
			window.close('<cfoutput>#application.EditorHome#</cfoutput>messages/searchNameOrRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
		</script>
	<cfelseif form.TheButton eq "NewSearch2">
		<cflocation url="SelectNameAndR.cfm?Name=#URL.Name#&Ref=#URL.Ref#&Name2=#URL.Name2#&Ref2=-99&MRHead=#url.MRHead#" addtoken="no">
		<script language=javascript>
			window.close('<cfoutput>#application.EditorHome#</cfoutput>messages/searchNameOrRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
		</script>
	<cfelse>
		<form name=EM action="#cgi.script_name#" method="post">
		<table class="maintable">

			<!--- Define columns --->
			<colgroup>
				<col width=350>
				<col width=250>
			</colgroup>
		
			<!--- Title for this part --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<h2>
						<b>Add Misapplied Name (name and reference) for<br>
							<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i>
						</b>
					</h2>
				</td>
			</tr>
			<tr></tr>
			<tr></tr>
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<h3>Select Misapplied Name (name string)</h3>
				</td>
			</tr>
		
			<!--- some explanations --->
			<tr bgcolor="#eeeee">
				<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*inace*').</td>
				<td>Select name part to be queried.</td>
			</tr>

			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<cfoutput>
						<input type="text" name="SearchString" size="60" value="#Name2Cache#">
					</cfoutput>
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrase
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
			</tr>
		
			<!--- Button for this area --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button"  value="Search" onClick="ButtonAction('Search')">
				</td>
			</tr>
		
			<!--- split interface table ... --->
			<tr></tr>
			<tr></tr>
			<!--- Title for this part --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<h3>and Select Reference (reference string)</h3>
				</td>
			</tr>
			<!--- some explanations --->
			<tr bgcolor="#eeeee">
				<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*Auct.*').</td>
				<td>Select reference part to be queried.</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td>
					<cfoutput>
<!--- 						<input type="text" rows="2" name="SearchString2" size="60" value="#Ref2Cache#"> --->
						<textarea cols="45" rows="3" name="SearchString2" dir="ltr" clientwidth="400" wrap=physical>#Ref2Cache#</textarea>
					</cfoutput>
				</td>
				<td>
					<select name=Where2>
						<option value=1 selected>Entire reference
						<option value=2>Author string
						<option value=3>Title
						<option value=4>Title abbreviation
					</select>
				</td>
			</tr>
			<!--- Button for this part --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button"  value="Search" onClick="ButtonAction('Search2')">
				</td>
			</tr>
			<!--- split interface table ... --->
			<tr></tr>
			<tr></tr>
			<!--- Buttons --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<cfif #URL.Name2# eq -99 or #URL.Ref2# eq -99>
						<P align=right><input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')"></P>
					<cfelse>
						<P align=right>
							<input type=button name="Apply" value="Apply"  onClick="ButtonAction('Apply')">
							<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">
						</P>					
					</cfif>
				</td>
			</tr>
		</table>
	</form>
	</cfif>
	<cfif ((form.TheButton neq "NewSearch" and form.TheButton neq "Search2" and form.TheButton neq "NewSearch2" and form.TheButton neq "Apply" and form.TheButton neq "Cancel" and form.TheButton neq "CreateName" and form.TheButton neq "CreateReference")
		 and len(ltrim(rtrim(replace(#form.SearchString#, '*', '', 'all' ))))lt 3) or 
			(form.TheButton eq "Search2" and len(ltrim(rtrim(replace(#form.SearchString2#, '*', '', 'all' ))))lt 3)  >
		<!--- Open message window --->
		<script language=javascript>
			window.open('<cfoutput>#application.EditorHome#</cfoutput>messages/searchNameOrRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
		</script>
	</cfif>
<cfelse>
	<form name=EM action="#cgi.script_name#" method="post">
		<table class="maintable">
			<!--- Define columns --->
			<colgroup>
				<col width=350>
				<col width=250>
			</colgroup>
		
			<!--- Title for this part --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<h2>
						<b>Add Misapplied Name (name and reference) for<br>
							<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i>
						</b>
					</h2>
				</td>
			</tr>
			<tr></tr>
			<tr></tr>
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<h3>Select Misapplied Name (name string)</h3>
				</td>
			</tr>
		
			<!--- some explanations --->
			<tr bgcolor="#eeeee">
				<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*inace*').</td>
				<td>Select name part to be queried.</td>
			</tr>

			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<cfoutput>
						<input type="text" name="SearchString" size="60" value="#Name2Cache#">
					</cfoutput>
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrase
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
			</tr>
		
			<!--- Button for this area --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button"  value="Search" onClick="ButtonAction('Search')">
				</td>
			</tr>
		
			<!--- split interface table ... --->
			<tr></tr>
			<tr></tr>
			<!--- Title for this part --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<h3>and Select Reference (reference string)</h3>
				</td>
			</tr>
			<!--- some explanations --->
			<tr bgcolor="#eeeee">
				<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*Auct.*').</td>
				<td>Select reference part to be queried.</td>
			</tr>
			<tr bgcolor="#eeeee">
				<td>
					<cfoutput>
<!--- 						<input type="text" rows="2" name="SearchString2" size="60" value="#Ref2Cache#"> --->
						<textarea cols="45" rows="3" name="SearchString2" dir="ltr" clientwidth="400" wrap=physical>#Ref2Cache#</textarea>
					</cfoutput>
				</td>
				<td>
					<select name=Where2>
						<option value=1 selected>Entire reference
						<option value=2>Author string
						<option value=3>Title
						<option value=4>Title abbreviation
					</select>
				</td>
			</tr>
			<!--- Button for this part --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button"  value="Search" onClick="ButtonAction('Search2')">
				</td>
			</tr>
			<!--- split interface table ... --->
			<tr></tr>
			<tr></tr>
			<!--- Buttons --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<cfif #URL.Name2# eq -99 or #URL.Ref2# eq -99>
						<P align=right><input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')"></P>
					<cfelse>
						<P align=right>
							<input type=button name="Apply" value="Apply"  onClick="ButtonAction('Apply')">
							<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">
						</P>					
					</cfif>
				</td>
			</tr>
		</table>
		</body>
	</form>
</cfif>

<cfinclude template="../template_down.cfm">



