<!--- SelectSyOrIn			            --->
<!---  J. Li 				            --->
<!--- Created: 1/2003		            --->
<!--- Last update: 7/2003 by J. Li		--->
<!---
Search for records in the name table. Use an additional selectbox to specify the field to 
be searched. The "*" charcacter within serach strings is replaced by "%" to be compliant with 
ANSI SQL.This template is used for either searching synonym or searching included taxon.
--->

<cfinclude template="../template_up.cfm">

	<script language="JavaScript">
		<!--- Set TheButton field --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
		
	</script>

<!--- Action: Submit Query and display hits with links to the new focus --->
<cfif cgi.request_method is "post">
	<cfif (form.TheButton neq "New Search" and form.TheButton neq "Cancel" and form.TheButton neq "CreateIncludedTaxon" and form.TheButton neq "CreateSynonym")
		 and len(ltrim(rtrim(replace(#form.SearchString#, '*', '', 'all' ))))gte 3 >
		<!--- Call stored procedure to search for name --->
		<cfset NewSearchString = #replace(#form.SearchString#, "*", "%", "all")#>
		<cfif #url.TempStatus# eq 1>
			<cfstoredproc procedure="s_web_SearchinclName" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.TempRank#>
				<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.Where#>
				<cfprocresult name=Hits>
			</cfstoredproc>
		<cfelse>
			<cfstoredproc procedure="s_web_SearchName" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#NewSearchString#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#form.Where#>
				<cfprocresult name=Hits>
			</cfstoredproc>
		</cfif>
	<!--- Display hits --->
	<table class="maintable">
	
		<!--- Title --->
		<tr bgcolor ="#eeeea">
			<td colspan="3">
				<h3>
					<cfoutput>
						#Hits.RecordCount# hits for<br>
						<i>
							<cfswitch expression=#form.Where#>
								<cfcase value=1>Entire taxon name</cfcase>
								<cfcase value=2>Suprageneric name</cfcase>
								<cfcase value=3>Genus</cfcase>
								<cfcase value=4>Infrageneric epithet</cfcase>
								<cfcase value=5>Species epihtet</cfcase>
								<cfcase value=6>Infraspecific epithet</cfcase>
								<cfcase value=7>Unnamed NamePhrase</cfcase>
								<cfcase value=8>Cultivar Name</cfcase>
								<cfcase value=9>Cultivar GroupName</cfcase>
							</cfswitch>
							&nbsp;=&nbsp;
							#form.SearchString#
						</i>
					</cfoutput>
				</h3>
			</td>
		</tr>

		<!--- Header --->
		<tr bgcolor="#eeeee">
			<td><b>Full name</b></td>
			<td><b>Rank</b></td>	
		</tr>
		<!--- Hits and links to new focus --->
		<cfif #Hits.RecordCount# gt 0>
			<cfoutput query=Hits>
				<cfstoredproc procedure="s_web_DetectPTaxon" datasource=#session.DSName#>
					<cfprocparam type="IN" cfsqltype=cf_sql_varchar value=#Hits.NameId#>
					<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.ref#>
					<cfprocresult name=DetectPTaxon>
				</cfstoredproc>
			<tr bgcolor="##eeeee">
				<cfif #url.TempStatus# eq 1>
					<td>
					<cfif #DetectPTaxon.RecordCount# gt 0>
						<a href="#application.EditorHome#Messages/SearchPTaxonMessage.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NameIn=#Hits.NameId#&TempStatus=#url.TempStatus#">#Hits.FullNameCache#</a>
					<cfelse>
						<a href="AddSyOrIn.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NameIn=#Hits.NameId#&TempRank=#url.TempRank#&TempStatus=1&Relqualifier=0">#Hits.FullNameCache#</a>
					</cfif>	
					</td>
				</cfif>
				
				<cfif #url.TempStatus# eq 2>
					<td>
					<cfif #DetectPTaxon.RecordCount# gt 0>
						<cfif #DetectPTaxon.statusFk# eq 1>
							<a href="#application.EditorHome#Messages/SearchPTaxonMessage.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NameIn=#Hits.NameId#&TempStatus=#url.TempStatus#">#Hits.FullNameCache#</a>
						</cfif>
						<cfif #DetectPTaxon.statusFk# neq 1>
							<cfstoredproc procedure="s_web_DetectSyn" datasource=#session.DSName#>
								<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#url.Name#>
								<cfprocparam type="in" cfsqltype=cf_sql_integer value=#url.Ref#>
								<cfprocparam type="in" cfsqltype="cf_sql_integer" value=#Hits.NameId#>
								<cfprocresult name=DetectSyn>
							</cfstoredproc>
							<cfif #DetectSyn.RecordCount# gt 0>
								<a href="#application.EditorHome#Messages/SearchPTaxonMessage.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NameIn=#Hits.NameId#&TempStatus=#url.TempStatus#">#Hits.FullNameCache#</a>
							<cfelse>
								<a href="AddExistingSy.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NameIn=#Hits.NameId#&TempStatus=#DetectPTaxon.statusFk#&Relqualifier=0">#Hits.FullNameCache#</a>
							</cfif>
						</cfif>
					<cfelse>
						<a href="AddSyOrIn.cfm?Name=#URL.Name#&Ref=#URL.Ref#&NameIn=#Hits.NameId#&TempRank=#url.TempRank#&TempStatus=#url.TempStatus#&Relqualifier=0">#Hits.FullNameCache#</a>
					</cfif>
					</td>
				</cfif>
				<td>#Hits.Rank#</td>
			</tr>	
			</cfoutput>
		</cfif>
		<tr bgcolor ="#eeeea">
			<td colspan="3">
				Select from list or use button to create a new name
			</td>
		</tr>
		<!--- Button: Back --->
		<tr bgcolor ="#eeeea">
			<form name=EM action="#cgi.script_name#" method="post">
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<td colspan="3">
				<input type=button name="New Search" value="New Search" onClick="ButtonAction('New Search')">
				<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">
				<cfif #url.TempStatus# eq 1>
					<input type=button name="CreateIncludedTaxon" value="New Name"  onClick="ButtonAction('CreateIncludedTaxon')">
				</cfif>
				<cfif #url.TempStatus# eq 2>
					<input type=button name="CreateSynonym" value="New Name"  onClick="ButtonAction('CreateSynonym')">
				</cfif>		
			</td>
			</form>
		</tr>	
	</table>
	<cfelseif (form.TheButton eq "CreateIncludedTaxon") or (form.TheButton eq "CreateSynonym")>
		<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
			<cfprocresult name=OnePT>
		</cfstoredproc>
		<!--- Derive next higher rank --->
		<cfstoredproc procedure="s_web_SuccRank" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#OnePT.RankId#>
			<cfprocresult name=NextRank>
		</cfstoredproc>		
			<cfif form.TheButton eq "CreateIncludedTaxon">
				<cfif #url.temprank# eq 20>
					<cflocation url="AddIncludedTaxon.cfm?name=#URL.name#&ref=#URL.ref#&temprank=40" addtoken="no">
				<cfelseif #url.temprank# eq 40>
					<cflocation url="AddIncludedTaxon.cfm?name=#URL.name#&ref=#URL.ref#&temprank=60" addtoken="no">
				<cfelse>
					<cflocation url="AddIncludedTaxon.cfm?name=#URL.name#&ref=#URL.ref#&temprank=#NextRank.RankId#" addtoken="no">
				</cfif>
			</cfif>
		
			<cfif form.TheButton eq "CreateSynonym">
				<cflocation url="AddSynonym.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#OnePT.RankId#&TempSynCat=2" addtoken="no">
			</cfif>
	<cfelseif (form.TheButton eq "Cancel")> 
		<cflocation url="#application.EditorHome#/TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	<cfelseif form.TheButton eq "New Search" >
		<cflocation url="#application.EditorHome#/Names/SelectSyOrIn.cfm?Name=#URL.Name#&Ref=#URL.Ref#&TempRank=#URL.TempRank#&TempStatus=2" addtoken="no">
		<script language=javascript>
			window.close('<cfoutput>#application.EditorHome#</cfoutput>messages/searchNameOrRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
		</script>
	<cfelse>
	<table class="maintable">

		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=250>
		</colgroup>
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<cfif #url.TempStatus# eq 1>
				<h3>Select Included Taxon (name string)</h3>
				</cfif>
				<cfif #url.TempStatus# eq 2>
				<h3>Select Synonym (name string)</h3>
				</cfif>
			</td>
		</tr>
	
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*inace*').</td>
			<td>Select name part to be queried.</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<input type="text" name="SearchString" size="60">
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrase
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button"  value="Search" onClick="ButtonAction('Search')">
					<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">	
				</td>
			</tr>
		</form>
	</table>
	</cfif>
	<cfif (form.TheButton neq "New Search" and form.TheButton neq "Cancel" and form.TheButton neq "CreateIncludedTaxon" and form.TheButton neq "CreateSynonym")
		 and len(ltrim(rtrim(replace(#form.SearchString#, '*', '', 'all' ))))lt 3 >
		<!--- Open message window --->
			<script language=javascript>
				window.open('<cfoutput>#application.EditorHome#</cfoutput>messages/searchNameOrRefMessage.cfm', 'mywindow', 'width=550, height=200, scrollbars=yes')
			</script>
	</cfif>
<cfelse>
	<table class="maintable">
		<!--- Define columns --->
		<colgroup>
			<col width=350>
			<col width=250>
		</colgroup>
	
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td colspan="2">
				<cfif #url.TempStatus# eq 1>
				<h3>Select Included Taxon (name string)</h3>
				</cfif>
				<cfif #url.TempStatus# eq 2>
				<h3>Select Synonym (name string)</h3>
				</cfif>
			</td>
		</tr>
	
		<!--- some explanations --->
		<tr bgcolor="#eeeee">
			<td>Fill in search string (at least 3 characters) and use wild cards if needed (eg. '*inace*').</td>
			<td>Select name part to be queried.</td>
		</tr>

		<form name=EM action="#cgi.script_name#" method="post">
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Form fields --->		
			<tr bgcolor="#eeeee">
				<td>
					<input type="text" name="SearchString" size="60">
				</td>
				<td>
					<select name=Where>
						<option value=1 selected>Entire taxon name
						<option value=2>Suprageneric name
						<option value=3>Genus
						<option value=4>Infrageneric epithet
						<option value=5>Species epithet
						<option value=6>Infraspecific epithet
						<option value=7>Unnamed NamePhrase
						<option value=8>Cultivar Name
						<option value=9>Cultivar GroupName
					</select>
				</td>
			</tr>
		
			<!--- Buttons for this form --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type="button"  value="Search" onClick="ButtonAction('Search')">
					<input type=button name="Cancel" value="Cancel"  onClick="ButtonAction('Cancel')">
				</td>
			</tr>
		</form>
	</table>
	</body>
</cfif>

<cfinclude template="../template_down.cfm">



