<!--- SetUnresolved				--->
<!--- D. Rpert				--->
<!--- Created: 2/2003			--->
<!--- Last update: 2/2003		--->
<!--- based on Syn2AccConf (Anton Gntsch) --->

<!--- Set status of the given potential taxon to unresolved by altering its status and removing all relations
to other potential taxa. Note that this action may be risky for accepted taxa having concept relationships
to taxa belonging to different references. In this case, the concept relationship could be preserved in
the notes field of the taxon.
--->

<cfinclude template="../template_up.cfm">
	
	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>
	

<!--- Information needed regardless whether this was a get or post. --->
<!--- focuused potential taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>

<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5006>
	<cfprocresult name=Message>
</cfstoredproc>

<!--- If this page was recursively called with post method ... --->
<cfif cgi.request_method is "post">

	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Apply status change ... --->
		<cfstoredproc procedure="s_web_SetUnresolved" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefId" value=#URL.Ref#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@Name" value=#URL.Name#>
		</cfstoredproc>	
		<!--- ... and jump back to InactiveTaxForm.cfm --->
		<cflocation url="#application.EditorHome#InactiveTaxForm.cfm?Name=#URL.Name2#&Ref=#URL.Ref#" addtoken="no">
	</cfif>

	<!--- If Cancel button was pressed jump also back to InactiveTaxForm.cfm --->
	<cfif form.TheButton eq "Cancel">
		<cflocation url="#application.EditorHome#InactiveTaxForm.cfm?Name=#URL.Name2#&Ref=#URL.Ref#" addtoken="no">
	</cfif>

<cfelse> <!--- This page has been called with a get --->

	<!--- Create form --->
	<table class="maintable">
	
		<!--- Title for this form --->
		<tr bgcolor="#eeeea">
			<td>
				<h2>
					<b>Set synonym<br>
					<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i><br>
					to status unresolved
					</b>
				</h2>
			</td>
		</tr>
		<!--- Some explanations --->
		<tr bgcolor="#eeeea">
			<td>
				<cfoutput>#message.Message#</cfoutput>
			</td>	
		</tr>
		
		<form name=EM action="#cgi.script_name#" method="post">
		
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Apply, Cancel, and Back buttons --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type=button value="Apply" value="Apply" onClick="ButtonAction('Apply')">
					<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
					<input type=button value="Back" onClick="window.location.href='javascript:history.back()'">
					
				</td>
			</tr>
			
		</form>

	</table>
</cfif>


<cfinclude template="../template_down.cfm">
