<!--- InactivateConf				--->
<!--- A.Gntsch 					--->
<!--- Created: 2/2003				--->
<!--- Last update: 7/2003 by J. Li	--->
<!---
This form is used to conform the "inactivation" of an accepted taxon which is the prerequesit for turning
an accepted taxon into a synonym of any kind.
--->

<cfinclude template="../template_up.cfm">
	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>


<!--- Information for the given potential taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>
<!--- Create session variables if not already existing --->
<cfparam name="session.BackFromDelSynonym" default="">
<cfif (cgi.request_method is "get") and (session.CallingPage eq "TaxForm")>
	<cfset session.BackFromInactivateConf = cgi.http_referer>
</cfif>
<!--- If this page was recursively called with post method ... --->
<cfif cgi.request_method is "post">
	<cfif form.TheButton eq "Yes" or form.TheButton eq "YesInac" or form.TheButton eq "YesDel"> 
		<!--- Inactivate the given potential taxon .... --->
		<cfstoredproc procedure="s_web_UpdateInactivateTaxonTree" datasource=#session.DSName#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Ref#>
			<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#url.Name#>
		</cfstoredproc>
		<cfif form.TheButton eq "Yes" or form.TheButton eq "YesDel">
			<!--- ... and jump to InactivateTaxForm --->
			<cflocation url="#application.EditorHome#InactiveTaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
		<cfelse>
			<!--- ... and jump to the central form --->
			<cflocation url=#session.BackFromInactivateConf# addtoken="no">
		</cfif>
	</cfif>
	<cfif form.theButton eq "Cancel">
		<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	</cfif>
	<cfif form.theButton eq "CancelDel">
		<!--- ... and jump to the central form --->
		<cflocation url=#session.BackFromInactivateConf# addtoken="no">
	</cfif>
<cfelse>
	<table class="maintable">
		<!--- Title for this form --->
		<tr bgcolor ="#eeeea">
			<td width="640">
				<h2>
				<cfif #url.alterstatus# eq 1>
					<b>Alter status for<br>
					<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i><br>
					present status:
					<cfif (OnePT.DoubtfulFlag eq 'd')>
						<cfoutput>preliminary #OnePT.Status#</cfoutput>	
					<cfelse>
						<cfoutput>#OnePT.Status#</cfoutput>
					</cfif>
					</b>
				<cfelse>
					<b>Inactivate or delete<br>
					<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i>
					</b>
				</cfif>
					
				</h2>
			</td>
		</tr>
		
		<form name="EM" action="#cgi.script_name#" method="post">
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			<!--- Display the message for inactivating an accepted taxon --->
			<!--- get a suitable message --->
			<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5005>
				<cfprocresult name=Message1>
			</cfstoredproc>
			<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
				<cfprocparam type="IN" cfsqltype=cf_sql_integer value=50010>
				<cfprocresult name=Message2>
			</cfstoredproc>
			<tr bgcolor= "#eeeee">
				<td width="640">
					<cfif #url.alterstatus# eq 1>
						<cfoutput>#Message1.Message#</cfoutput>
					<cfelse>
						<cfoutput>#Message2.Message#</cfoutput>
					</cfif>
				</td>
			</tr>
			<!--- confirm or cancel ... --->
			<tr bgcolor = "#eeeea">
				<td>
					<cfif #url.alterstatus# eq 1>
						Do you really want to inactivate <cfoutput>#OnePT.FullNameCache# now?</cfoutput><br>
						<!--- Add the buttons  --->
						<input type="button" name="Yes" value="Yes" onClick="ButtonAction('Yes')"> 
						<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')">
						<input type=button value="Back" onClick="window.location.href='javascript:history.back()'">	
					<cfelse>
						Do you really want to inactivate or delete <cfoutput>#OnePT.FullNameCache#?</cfoutput><br>
						<!--- Add the buttons  --->
						<input type="button" name="YesInac" value="Yes, inactivate" onClick="ButtonAction('YesInac')"> 
						<input type="button" name="YesDel" value="Yes, delete" onClick="ButtonAction('YesDel')"> 
						<input type="button" name="CancelDel" value="Cancel" onClick="ButtonAction('CancelDel')">	
					</cfif>
				</td>
			</tr>
		</form>
		
	</table>
</cfif>

<cfinclude template="../template_down.cfm">
