<!--- Syn2AccConf				--->
<!--- Anton Gntsch				--->
<!--- Created: 1/2003			--->
<!--- Last update: 8/2003 by J. Li	--->

<!---
After selecting a new parent taxon when turning a synonym into an accepted taxon, the user has
to confirm the selection. If this form is called with a get, the previous selctions are once
more displayed and a selectbox can be used to choose between preliminary and not preliminary
accepted as the new status. If then the Apply button is pressed, the form will call itself with
a post. From there the status alteration will be performed with a stored procedure and taxform.cfm
is called with the new accepted taxon as the focus.
--->

<cfinclude template="../template_up.cfm">
	
	<script language="JavaScript">
		<!--- Set TheButton field  --->
		function ButtonAction(WhichButton) {
			document.EM.TheButton.value = WhichButton;
			document.EM.submit();
		}
	</script>


<!--- Information needed regardless whether this was a get or post. --->
<!--- focuused potential taxon --->
<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Name#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
	<cfprocresult name=OnePT>
</cfstoredproc>

<!--- Get a suitable message --->
<cfstoredproc procedure="s_web_Message" datasource=#session.DSName#>
	<cfprocparam type="IN" cfsqltype=cf_sql_integer value=5002>
	<cfprocresult name=Message>
</cfstoredproc>

<!--- If this page was recursively called with post method ... --->
<cfif cgi.request_method is "post">

	<!--- If Apply button was pressed --->
	<cfif form.TheButton eq "Apply">
		<!--- Apply status change ... --->
		<cfstoredproc procedure="s_web_SetStatusSyn2Acc" datasource=#session.DSName#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NameId" value=#URL.Name#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@RefId" value=#URL.Ref#>
			<cfprocparam type="in" cfsqltype="cf_sql_integer" dbvarname="@NewParentNameId" value=#URL.NewParent#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Doubtful" value=#form.preliminary#>
			<cfprocparam type="in" cfsqltype="cf_sql_varchar" dbvarname="@Notes" value=#form.RefNotes#>
		</cfstoredproc>	
		<!--- ... and jump back to TaxForm.cfm --->
		<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	</cfif>

	<!--- If Cancel button was pressed jump also back to TaxForm.cfm --->
	<cfif form.TheButton eq "Cancel">
		<cflocation url="#application.EditorHome#TaxForm.cfm?Name=#URL.Name#&Ref=#URL.Ref#" addtoken="no">
	</cfif>

<cfelse> <!--- This page has been called with a get --->

	<cfstoredproc procedure="s_web_OnePT" datasource=#session.DSName#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.NewParent#>
		<cfprocparam type="IN" cfsqltype=cf_sql_integer value=#URL.Ref#>
		<cfprocresult name=OneParent>
	</cfstoredproc>

	<!--- Create form --->
	<table class="maintable">
	
		<!--- Title for this form --->
		<!--- Title for this form --->
		<tr bgcolor="#eeeea">
			<td>
				<h2>
					Alter status for<br>
					<i><cfoutput>#OnePT.FullNameCache#</cfoutput></i><br>
					present status:
					<cfif (OnePT.DoubtfulFlag eq 1)>
						<i><cfoutput>doubtful #OnePT.Status#</cfoutput></i>
					<cfelse>
						<i><cfoutput>#OnePT.Status#</cfoutput></i>
					</cfif>
					<br>
					target status: <i>accepted or preliminary accepted</i>
				</h2>
			</td>
		</tr>
		<!--- Some explanations --->
		<tr bgcolor="#eeeea">
			<td>
				<cfoutput>#message.Message#</cfoutput>
			</td>	
		</tr>
		<!--- Display selected parent taxon --->
		<tr bgcolor="#eeeee">
			<td>
				Selected parent taxon is:<br>
				<cfoutput>
					<b><i>#OneParent.FullNameCache#</i></b>
				</cfoutput>
			</td>		
		</tr>
		<form name=EM action="#cgi.script_name#" method="post">
		
			<!--- Hidden field to be set if a button was pressed (see JavaScript section) --->
			<input type="hidden" name="TheButton">
			
			<!--- Is the new status preliminary? --->
			<tr bgcolor="#eeeee">
				<td>
					<b>Please indicate whether
					<cfoutput><i>#OnePt.FullNameCache#</i></cfoutput>
					is going to be an accepted or preliminary accepted taxon.<br></b>
					<select name="preliminary">
						<option value='a'>accepted
						<option value='d'>preliminary accepted
					</select>
				</td>
			</tr>
			
			<tr bgcolor="#eeeee">
				<td>
					<b>Notes</b><br>
					<textarea cols="60" rows="3" name="RefNotes" dir="ltr" clientwidth="400" wrap=physical></textarea>
				</td>
			</tr>

			<!--- Apply, Cancel, and Back buttons --->
			<tr bgcolor ="#eeeea">
				<td colspan="2">
					<input type=button value="Apply" value="Apply" onClick="ButtonAction('Apply')">
					<input type="button" name="Cancel" value="Cancel" onClick="ButtonAction('Cancel')"> 
					<input type=button value="Back" onClick="window.location.href='javascript:history.back()'">
				</td>
			</tr>
			
		</form>

	</table>
</cfif>


<cfinclude template="../template_down.cfm">
